define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil','checkForm'], function($, common, controller, model, routesUtil,checkForm) {

    var mainView = $.extendCls(controller, {
        //ejs: (common.terminal == 'android' || common.terminal == 'ios' || common.terminal == 'iPhone' || common.terminal == 'iPad') ? '../BocAbroad/views/bpay/sin/bpayPay/bpayPaySin.ejs' : '../Login/views/login_pc.ejs',
        ejs: '../BocAbroad/views/bpay/aud/AudBillerAddressBook/qryBillerDetail.ejs',
        css: '',
        services: null,
        /**
         *点击下一步，根据账单公司代码查询账单公司名称
         * 参数：billerCode
         */
        onBpayBillerDetailQry : function(){

            if(!checkForm.checkAll('.boc-input-import')){//验证输入项，要求：必填、只能输入0-9的数字
                return;
            }
            var billerCode = $("#billerCode").val();//账单公司代码
            var params = {
                billerCode:billerCode.trim()
            };

            model.interaction({
                method: routesUtil.method.BII.OvpBpayBillerDetailQry,//查询账单公司明细
                params: params
            }, "BII", function(data) {
                data.qryCode=billerCode;//用于返回账单代码查询的时候携带以前输入的值
                var funArgs =[data];//账单公司代码和名称，ep:"billerName":"Bank Of China","billerCode":"9506"

                common.params.targetRouter = {
                    routerKey: "BocAbroad_AudBillerAddressBookQry", //entrance  加载账单公司添加界面js
                    isExcuteInit: false,
                    excuteFun: "initdata",
                    funArgs: funArgs,
                    moduleArgs: []
                }
                common.triggerRouter(common.params.targetRouter);



            });

        },
        onSubError: function(err) {

        },
        serviceFormParams: function() {
            return {};
        },
        onLoadFinish: function(data) {

            //处理过长的title
            var _title = common.strLong($.localeResource["BocAbroad_AudBillerAddressBook"].ovs_bpa_bdb_addnewpayment,25);
            $("#audaddnewpayment").html(_title);
        },

        //执行方式
        onChoice: function() {

        },
        destroy: function() {
            $.proxy(this.baseprototype.destroy, this)();
        },
        navigateToPage:function(){
            bocovsbridge.navigateToPage(function(params){

            }, function(params){

            },'entrance');
        }

    });

    return common.Module.sub({
        _constructor: function() {
            this.mainView = null;
            $.proxy(this.baseprototype._constructor, this)();
        },

        init: function() {
            this.mainView = new mainView({
                id: "AudBillerAddressBook",
                el: "#loginViewWrap",
                eloper: "html",
                //参数
                data: {

                }
            });
            this.mainView.load();

        },
        initdata:function(data){
           // debugger;
            if(data!=''){
                $("#billerCode").val(data);
            }

        },
        destroy: function() {
            this.mainView.destroy();
        }
    });
});