define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil', 'constant', 'pluginsUtil', 'dateUtil', 'checkForm', 'iscroll'],
    function($, common, controller, model, routesUtil, constant, pluginsUtil, dateUtil, checkForm, iscroll) {
	var mainView = $.extendCls(controller, {
		ejs: '../BocAbroad/views/bpay/aud/bpayPay/AudBpayPay.ejs',
		services: [],
		acctList: [],
        noFiterAccList: [],
        accListCountNet: 0,
		billerBookList: [], //公司信息
		conversationId: "",
		accountId: "",
        accountMainNumber: "",//借记卡的number
		accountNumber: "",
		accountType: "",
		accountNickName: "",
		availableBalance: "",
		currencyCode: "",
		money: "",
		token: "",
        otp:"",
        transMode:"0",
        assignedDate:"",
        sysTime:"",
        challenge:false,
        confirmBillerName: "",
        bComfirm: true,
        flag: true,
		afterFormSubmit: function(data) {

		},
		onSubError: function(err) {

		},
		serviceFormParams: function() {
			return {};
		},
		onLoadFinish: function(data) {
			var _t = this;
			//_t.setCanvas();

            //var myScroll = new IScroll('.boc-content-ui', { mouseWheel: true ,click:true});
            $('#txtWay').html($.localeResource['BocAbroad_AudBpayPay'].l_way);
            //得到系统时间
            model.interaction({
                method: routesUtil.method.BII.OvcSysTimeQry,
                params: {}
            }, "BII", function(data) {
                _t.sysTime = data.sysTime.split(' ')[0];
            });


            bocovsbridge.retrieveAccountsList(function(data){
                //alert("aaaaaaaa" + data.acctList.length);
                _t.clearData();
                 _t.noFiterAccList = data.acctList;

                 _t.fiterAccount();

            }, function(data){

            });
		},

        //过滤账户查询余额
        fiterAccount: function(){
            var _t = this;
            //是否有可用账户
            var count = 0;
            for(var i = 0; i < _t.noFiterAccList.length; i++){
                if(_t.noFiterAccList[i].accountType == "201" || _t.noFiterAccList[i].accountType == "203"){
                    if(_t.noFiterAccList[i].currencyCode == "029"){
                        _t.acctList.push(_t.noFiterAccList[i]);
                        count += 1;
                    }
                }
                else if(_t.noFiterAccList[i].accountType == "212" || _t.noFiterAccList[i].accountType == "213"){//活一本 无法过滤
                    _t.acctList.push(_t.noFiterAccList[i]);
                    count += 1;
                }
                //else if(_t.noFiterAccList[i].accountType == "213"){
                //    var dic = {};
                //    dic.accountId = _t.noFiterAccList[i].accountId;
                //    dic.currencyCode = _t.noFiterAccList[i].currencyCode;
                //    dic.accountIbknum = _t.noFiterAccList[i].accountIbknum;
                //    dic.accountType = _t.noFiterAccList[i].accountType;
                //    dic.accountNumber = _t.noFiterAccList[i].accountNumber;
                //    dic.accountNickName = _t.noFiterAccList[i].accountNickName;
                //    dic.cardDescription = _t.noFiterAccList[i].cardDescription;
                //    var subDic = {};
                //    var is = false;
                //    var subDebitInfo = _t.noFiterAccList[i].subDebitInfo;
                //    if(subDebitInfo != null && subDebitInfo != undefined){
                //        subDic.productName = subDebitInfo.productName != null && subDebitInfo.productName != undefined ? subDebitInfo.productName :"";
                //        subDic.customerNo = subDebitInfo.customerNo;
                //        subDic.customerType = subDebitInfo.customerType;
                //        subDic.custName = subDebitInfo.custName;
                //        var arr = [];
                //        var subAcctList = subDebitInfo.subAcctList;
                //        if(subAcctList != null && subAcctList != undefined){
                //            for(var j = 0; j < subAcctList.length; j++){
                //                if(subAcctList[j].accountType == "201" || subAcctList[j].accountType == "203"){
                //                    if(subAcctList[j].currencyCode == "029")
                //                        arr.push(subAcctList[j]);
                //                }
                //                else if (subAcctList[j].accountType == "212")
                //                    arr.push(subAcctList[j]);
                //            }
                //        }
                //        if(arr.length > 0){
                //            is = true;
                //            subDic.subAcctList = arr;
                //        }
                //    }
                //    //有关联子账户再放
                //    if(is == true){
                //        dic.subDebitInfo = subDic;
                //        _t.acctList.push(dic);
                //        count += 1;
                //    }
                //}
            }

            //console.log(_t.acctList.length);

            if(count == 0){
                _t.showNoAccountView();
                return;
            }

            _t.initData();

        },

        initData:function(){
          var _t = this;
            //alert("_t.acctList.length " + _t.acctList.length );


            if(_t.acctList != null){
                _t.accountMainNumber = "";
                if(_t.acctList.length == 1){
                    $("#accountContent").removeClass('hide').addClass('show');
                    $("#accountChoice").removeClass('show').addClass('hide');


                    //借记卡单独处理
                    if(_t.acctList[0].accountType == "213"){
                        _t.accountId = _t.acctList[0].accountId;
                        _t.accountType = _t.acctList[0].accountType;
                        _t.accountNickName = _t.acctList[0].accountNickName;
                        _t.accountMainNumber = _t.acctList[0].accountNumber;
                        var subDebitInfo = _t.acctList[0].subDebitInfo;
                        if(subDebitInfo != null){
                            var subAcctList = subDebitInfo.subAcctList;
                            if(subAcctList && subAcctList.length > 0){
                                _t.accountNumber = subAcctList[0].accountNumber;
                                    //非关联账户的查询余额
                                    var params = {accountId: _t.accountId, accountNumber: _t.accountNumber};
                                    model.interaction({
                                        method: routesUtil.method.BII.OvpNoAssoAcctBalanceQry,
                                        params: params
                                    }, "BII", function (data) {
                                        var balanceList = data.balanceList;
                                        for(var i = 0; i < balanceList.length; i++){
                                            if(balanceList[i].currencyCode == "029"){
                                                _t.availableBalance = balanceList[i].availableBalance;
                                                _t.currencyCode = balanceList[i].currencyCode;
                                                $("#txtBalMoney").html(_t.availableBalance.toString().changePartition() );
                                                $("#txtBalCurrencyCode").html("("+ constant.currency_sign_1_[_t.currencyCode] +")") ;
                                                $("#txtCurrenyCode").html("("+ constant.currency_sign_1_[_t.currencyCode] +")");
                                                _t.setCanvas();

                                            }
                                        }
                                    }, function(data){}, false);

                            }
                        }
                    }
                    else{
                        _t.accountId = _t.acctList[0].accountId;
                        _t.accountNumber = _t.acctList[0].accountNumber;
                        _t.accountType = _t.acctList[0].accountType;
                        _t.accountNickName = _t.acctList[0].accountNickName;

                        var params = {accountId: _t.accountId};
                        model.interaction({
                            method: routesUtil.method.BII.OvpAcctBalanceQry,
                            params: params
                        }, "BII", function(data) {
                            var balanceList = data.balanceList;
                            if(_t.accountType != "212"){
                                _t.currencyCode = balanceList[0].currencyCode;
                                _t.availableBalance = balanceList[0].availableBalance;
                            }
                            else {
                                for(var i = 0; i < balanceList.length; i++){
                                    if(balanceList[i].currencyCode == "029"){
                                        _t.currencyCode = balanceList[i].currencyCode;
                                        _t.availableBalance = balanceList[i].availableBalance;
                                    }
                                }
                            }

                            $("#txtBalMoney").html(_t.availableBalance.toString().changePartition() );
                            $("#txtBalCurrencyCode").html("("+ constant.currency_sign_1_[_t.currencyCode] +")") ;
                            $("#txtCurrenyCode").html("("+ constant.currency_sign_1_[_t.currencyCode] +")");
                            _t.setCanvas();

                        });
                    }

                    if(_t.accountMainNumber == "")
                        $("#txtAccountNum").html(_t.accountNumber);
                    else
                        $("#txtAccountNum").html(_t.accountMainNumber);

                    var str = constant.account_type_[_t.accountType];
                    $("#txtAccountType").html('<em class="boc-change-type" style="float: left;">'+str+'</em>');
                    if(_t.accountNickName != undefined && _t.accountNickName != null &&  _t.accountNickName != "")
                        $('#txtAccountType').html('<em class="boc-change-type" style="float: left;">'+str+'</em>'+'&nbsp;&nbsp;|&nbsp;&nbsp;' + _t.accountNickName);
                       // $("#txtNickName").html("&nbsp;&nbsp;|&nbsp;&nbsp;" + _t.accountNickName);
//                    else
//                        $("#txtNickName").html("");

                }
            }
            else if(_t.acctList.length > 1){ // 选择界面
                $("#accountContent").removeClass('show').addClass('hide');
                $("#accountChoice").removeClass('hide').addClass('show');
            }
            else{
                _t.showNoAccountView();
            }
        },
		/**
		 * 设置币种
		 */
		setCanvas: function() {
            var _t = this;
            //alert("aaaaaaaaaaaaaaaaaa" + _t.accountType + "bbbb" + _t.currencyCode);
            if(_t.accountType == "201" || _t.accountType == "203" ){
                if(_t.currencyCode != ""){
                    $('#bgCurrencyCode').removeClass('hide').addClass('show');
                    $('#txtCurrencyCode').removeClass('hide').addClass('show');
                }
                else{
                    $('#bgCurrencyCode').removeClass('show').addClass('hide');
                    $('#txtCurrencyCode').removeClass('show').addClass('hide');
                }

            }
            else{
                $('#bgCurrencyCode').removeClass('show').addClass('hide');
                $('#txtCurrencyCode').removeClass('show').addClass('hide');
            }

            $('#txtCurrencyCode').html(constant.currency_sign_1_[_t.currencyCode]);
		},
        //提交
        onSubmit: function() {

            var _t = this;

            //_t.showNoAccountView();
            //return;

            var str = $('#txtMoney').val();
            _t.money = str.trim();//str.replace(" ", "");



            if(_t.accountId == ""){
                common.showMessage($.localeResource['BocAbroad_AudBpayPay'].ovs_bpa_bp_select);
                return;
            }


            if(!checkForm.checkAll('.boc-content')){//验证页面信息。
                return;
            };
            //金额不足提示
            //alert("aaaaaaaaaaa" + _t.money);
            //console.log("_t.availableBalance" + _t.availableBalance +  "_t.money"  + _t.money);
            if(_t.availableBalance != undefined && Number(_t.availableBalance) < Number(_t.money))
                common.popup.single($.localeResource['BocAbroad_AudBpayPay'].ovs_bpa_bp_error2, $.proxy(_t.showComfirm, _t));

            //common.showAlert($.localeResource['BocAbroad_AudBpayPay'].ovs_bpa_bp_error2, [window.app.nls.l_comfirm, window.app.nls.l_cancel], [$.proxy(_t.showComfirm, _t), function(){}]);
            else
                _t.showComfirm();


        },
        //显示确认页面
        showComfirm:function(){
            var _t = this;
            if(_t.bComfirm == false){
                return;
            }
            else{
                _t.bComfirm = false;
                setTimeout(function(){
                    _t.bComfirm = true;
                }, 1000);
            }

            var params = {cusRefNum: $('#txtCusRefNum').val().trim(), billerCode: $('#txtBillerCode').val().trim(), amount: _t.money , paymentDate: _t.transMode == "0" ? _t.sysTime : _t.assignedDate};
            model.interaction({
                    method: routesUtil.method.BII.OvpBpayBillerNameQry,
                    params: params
                }, "BII", function(data) {
                    var str = "";
                    if(_t.transMode == "0")
                        str = $.localeResource['BocAbroad_AudBpayPay'].l_way;
                    else
                        str = $.localeResource['BocAbroad_AudBpayPay'].l_sinbpay3;
                    _t.confirmBillerName = data.billerName;
                    common.fullLayer.show({
                        view: new($.extendCls(controller, {
                            ejs: "../BocAbroad/views/bpay/sin/bpayPay/bpayPayComfirm.ejs"
                        }))({
                            id: 'bpayPayComfirmView',
                            data: [{
                                amount: _t.money.toString().changePartition(),
                                accountId: _t.accountId,
                                accountNumber: _t.accountMainNumber == "" ? _t.accountNumber : _t.accountMainNumber,
                                billerCode: $('#txtBillerCode').val().trim(),
                                billerName: _t.confirmBillerName,
                                billerAlias: $('#txtBillerAlias').val().trim(),
                                cusRefNum: $('#txtCusRefNum').val().trim(),
                                describe: $('#txtDescribe').val().trim(),
                                transMode: _t.transMode,
                                transModeTxt: str,
                                assignedDate: _t.assignedDate,
                                type:"AUD",
                            }],
                            sure: function(e) {
                                common.fullLayer.close(e);
                                _t.bComfirm = true;
                                _t.checkParams();
                            },
                            _hisClose:function(e){
                                _t.bComfirm = true;
                                common.fullLayer.close(e);
                            },
                            onLoadFinish:function(data){
                                //var myScroll = new IScroll('.boc-content', { mouseWheel: true ,click:true});
                            }
                        })
                    }, $.localeResource['BocAbroad_AudBpayPay'].l_describe1);
                }
            );
        },
        //显示无可用账户界面
        showNoAccountView:function(){
            var _t = this;
            common.fullLayer.show({
                view: new($.extendCls(controller, {
                    ejs: "../BocAbroad/views/bpay/sin/bpayPay/noAccountView.ejs"
                }))({
                    id: 'NoAccountView',
                    data: {},
                    _hisClose: function(e) {
                        common.fullLayer.close(e);
                        _t.onBack('entrance');
                    }
                })
            });
        },
		//选择转出账号
		onOvpAcctListQry: function() {
            var _t = this;

            //bocovsbridge.retrieveAccountsList(function(data){
            //    alert(JSON.stringify(data));
            //    _t.noFiterAccList = data.acctList;
            //    alert("noFiterAccList" + _t.noFiterAccList + "noFiterAccList length" + _t.noFiterAccList.length);
            //    _t.fiterAccount();
            //
            //}, function(data){
            //
            //});
            //return;

            if(_t.acctList.length < 1 )
                return;
            else if(_t.acctList.length == 1 && _t.acctList[0].accountType != "213")
                return;

            var params = {acctList: _t.acctList};
            bocovsbridge.showAccountListPage(function(data) {
                    var result = data.data;

                    for(var i = 0; i < _t.acctList.length; i++){
                        if(_t.acctList[i].accountId == result.accountId){
                            //借记卡处理
                            if(_t.acctList[i].accountType == "213"){
                                _t.accountId = _t.acctList[i].accountId;
                                _t.accountType = _t.acctList[i].accountType;
                                _t.accountNickName = _t.acctList[i].accountNickName;
                                _t.accountMainNumber = _t.acctList[i].accountNumber;
                                _t.accountId = _t.acctList[i].accountId;
                                var subDebitInfo = result.subDebitInfo;
                                if(subDebitInfo != null){
                                    var subAcctList = subDebitInfo.subAcctList;
                                    if(subAcctList && subAcctList.length > 0){
                                        _t.accountNumber = subAcctList[0].accountNumber;
                                        //非关联账户的查询余额
                                        var params = {accountId: _t.accountId, accountNumber: _t.accountNumber};
                                        model.interaction({
                                            method: routesUtil.method.BII.OvpNoAssoAcctBalanceQry,
                                            params: params
                                        }, "BII", function (data) {
                                            var balanceList = data.balanceList;
                                            var bFlase = true;
                                            for(var i = 0; i < balanceList.length; i++){
                                                if(balanceList[i].currencyCode == "029"){
                                                    _t.availableBalance = balanceList[i].availableBalance;
                                                    _t.currencyCode = balanceList[i].currencyCode;
                                                    $("#txtBalMoney").html(_t.availableBalance.toString().changePartition() );
                                                    $("#txtBalCurrencyCode").html("("+ constant.currency_sign_1_[_t.currencyCode] +")") ;
                                                    $("#txtCurrenyCode").html("("+ constant.currency_sign_1_[_t.currencyCode] +")");
                                                    _t.setCanvas();
                                                    bFlase = false;
                                                }
                                            }

                                            if(bFlase){
                                                common.showMessage($.localeResource['BocAbroad_AudBpayPay'].ovs_bpa_bp_error3);
                                                $("#accountContent").removeClass('show').addClass('hide');
                                                $("#accountChoice").removeClass('hide').addClass('show');
                                                _t.accountId = "";
                                            }
                                            else{
                                                $("#accountContent").removeClass('hide').addClass('show');
                                                $("#accountChoice").removeClass('show').addClass('hide');
                                            }
                                        }, function(data){

                                        });

                                    }
                                }

                            }
                            else {
                                _t.accountId = _t.acctList[i].accountId;
                                _t.accountNumber = _t.acctList[i].accountNumber;
                                _t.accountType = _t.acctList[i].accountType;
                                _t.accountNickName = _t.acctList[i].accountNickName;
                                _t.accountMainNumber = "";

                                var params = {accountId: _t.accountId};
                                model.interaction({
                                    method: routesUtil.method.BII.OvpAcctBalanceQry,
                                    params: params
                                }, "BII", function(data) {
                                    var balanceList = data.balanceList;
                                    var bFalse = false;
                                    if(_t.accountType != "212"){
                                        _t.currencyCode = balanceList[0].currencyCode;
                                        _t.availableBalance = balanceList[0].availableBalance;
                                        bFalse = true;
                                    }
                                    else {
                                        for(var i = 0; i < balanceList.length; i++){
                                            if(balanceList[i].currencyCode == "029"){
                                                _t.currencyCode = balanceList[i].currencyCode;
                                                _t.availableBalance = balanceList[i].availableBalance;
                                                bFalse = true;
                                            }
                                        }

                                        if(!bFalse){
                                            common.showMessage($.localeResource['BocAbroad_AudBpayPay'].ovs_bpa_bp_error3);
                                            $("#accountContent").removeClass('show').addClass('hide');
                                            $("#accountChoice").removeClass('hide').addClass('show');
                                            _t.accountId = "";
                                        }

                                    }

                                    if(bFalse){
                                        $("#txtBalMoney").html(_t.availableBalance.toString().changePartition() );
                                        $("#txtBalCurrencyCode").html("("+ constant.currency_sign_1_[_t.currencyCode] +")") ;
                                        $("#txtCurrenyCode").html("("+ constant.currency_sign_1_[_t.currencyCode] +")");
                                        _t.setCanvas();
                                        $("#accountContent").removeClass('hide').addClass('show');
                                        $("#accountChoice").removeClass('show').addClass('hide');

                                    }

                                }, function(data){
                                    common.showMessage($.localeResource['BocAbroad_AudBpayPay'].ovs_bpa_bp_error3);
                                    $("#accountContent").removeClass('show').addClass('hide');
                                    $("#accountChoice").removeClass('hide').addClass('show');
                                    _t.accountId = "";
                                });
                            }

                            if(_t.accountMainNumber == "")
                                $("#txtAccountNum").html(_t.accountNumber);
                            else
                                $("#txtAccountNum").html(_t.accountMainNumber);

                            var str = constant.account_type_[_t.accountType];
                            $("#txtAccountType").html('<em class="boc-change-type" style="float: left;">'+str+'</em>');
                            if(_t.accountNickName != undefined && _t.accountNickName != null &&  _t.accountNickName != "")
                                $('#txtAccountType').html('<em class="boc-change-type" style="float: left;">'+str+'</em>'+'&nbsp;&nbsp;|&nbsp;&nbsp;' + _t.accountNickName);
//                                $("#txtNickName").html("&nbsp;&nbsp;|&nbsp;&nbsp;" + _t.accountNickName);
//                            else
//                                $("#txtNickName").html("");

                        }
                    }
            },
            function(data){

            }, params);
		},
		//选择公司信息
		onOvpBpayBillerBookQry: function() {
			//显示页面
			var _t = this;
			common.fullLayer.show({
				view: new($.extendCls(controller, {}))({
					id: 'bpayPayChoiceCompanyView',
					data: [],
					_hisClose:function(e){
						common.fullLayer.close(e);
					},
					sure: function(e) {
						common.fullLayer.close(e);
						var clickobj = $(e.target);
						while (clickobj.length > 0 && !clickobj.hasClass('boc-company-card')) {
							clickobj = clickobj.parent();
						}
						var index = clickobj.attr("index");
                        //alert("bbbbbbbbbbbbbbb" + billerCode);
						for (var i = 0; i < this.data.length; i++) {
                            //alert("aaaaaa" +  this.data[i].billerCode + "aaaa11"+ billerCode);
							if (i == index) {
								$('#txtBillerCode').val(this.data[i].billerCode);
								$('#txtBillerName').val(this.data[i].billerName);
								$('#txtBillerAlias').val(this.data[i].billerAlias);
								$('#txtCusRefNum').val(this.data[i].cusRefNum);
								break;
							}
						}

					},
                    noresult:function(){

                        //common.fullLayer.show({
                        //    view: new ($.extendCls(controller, {
                        //        ejs: "../BocAbroad/views/bpay/sin/bpayPay/noAccountView.ejs"
                        //    }))({
                        //        id: 'noresultView',
                        //        data:[],
                        //        _Close: function(e){
                        //            common.fullLayer.close(e);
                        //        }
                        //    })
                        //});

                        var noresultHtml = new EJS({
                            url: '../BocAbroad/views/bpay/aud/AudQueryHistoryList/noresult.ejs'
                        }).render();
                        $('#bpaypayCompanyView').html(noresultHtml);
                    },
					onLoadFinish: function(data) {
						var _t = this;
                        //_t.noresult();
						new common.ScrollPagination({
							pageSize: 50,
							recordNum: 10000,
							el: _t.domNode,
							getPageData: function(pageSize, currentPage, startIdx, endIdx, callback) {

                                //if(_t.data.length  == _t.recordNumber || _t.data.length  == _t.recordNumber % pageSize)
                                //    return;
                                if(_t.data.length / pageSize != 0){
                                    this.removeTip();
                                    return;
                                }

								var params = {
									"currentIndex": _t.data.length / pageSize *  pageSize ,
									"pageSize": pageSize
								};
                                var p = this;
								model.interaction({
									method: routesUtil.method.BII.OvpBpayBillerBookQry,
									params: params,
                                    loadingMask:_t.flag
								}, "BII", function(data) {
                                    p.removeTip();
                                    _t.flag = false;

									_t.data = _t.data.concat(data.billerBookList);
                                    //_t.recordNumber = _t.recordNumber;

									_t.append(_t.domNode, new EJS({
										url: '../BocAbroad/views/bpay/sin/bpayPay/bpayPayChoiceCompanyView.ejs'
									}).render({
										data: {billerBookList: data.billerBookList, startIdx:startIdx != 0 ? startIdx -1 : startIdx}
									}));

                                    if (data.billerBookList.length ==0){
                                        _t.noresult();
                                        return;
                                    }
								}, {errorFun:function(data){
                                    //common.fullLayer.close();
                                    common.showMessage(data, function(){common.fullLayer.close()});
                                }});

							}
						});
					}
				})
			});
		},



        //执行方式
		onChoice: function() {
            var _t = this;
            common.fullLayer.show({
                classes:"halfLayer",
                closeByMask:true,
                view: new($.extendCls(controller, {
                    ejs: "../BocAbroad/views/bpay/sin/bpayPay/bpayPayChoiceWayView.ejs"
                }))({
                    id: 'bpayPayChoiceWayView',
                    onTime: function(e) {
                        common.fullLayer.close(e);
                        $("#txtWay").html($.localeResource['BocAbroad_AudBpayPay'].l_way);
                        _t.transMode = "0";
                        _t.assignedDate = "";
                        $("#ll_date").removeClass("show").addClass("hide");
                    },
                    onDate:function(e){
                        common.fullLayer.close(e);
                        _t.onDate();
                    }
                })
            }, $.localeResource['BocAbroad_AudBpayPay'].l_choiceway);
		},
		// 返回主菜单
		onBack: function(data) {

            var params = "";
            if(data == undefined || data == "")
                params = "entrance";
            else
                params = data;
            bocovsbridge.navigateToPage(function(data){}, function(data){}, params);
		},
        onBackUI: function() {
            bocovsbridge.navigateToPage(function(data){}, function(data){}, "entrance");
        },

		//显示date
		onDate: function() {
            var _t = this;
            var params = "";
            var dateMin = "";
            var dateMax = "";

            if(_t.assignedDate == ""){
                if(_t.sysTime != ""){
                    var sysDate = dateUtil.parse(_t.sysTime, 'yyyy/MM/dd');
                    //var str = _t.sysTime.split(' ');
                    //str = str[0].split('/');
                    //var date = new Date(str[0], str[1], str[2]);

                    dateMin = dateUtil.addDays(sysDate, 1);
                    dateMax = dateUtil.addMonths(sysDate, 3);
                    params = pluginsUtil.createSigleDateSelectParams({min:dateUtil.format(dateMin, "yyyy/MM/dd"),
                        max:dateUtil.format(dateMax, "yyyy/MM/dd"), def:dateUtil.format(dateMin,"yyyy/MM/dd")});
                }
                else{
                    var  date = new Date();
                    dateMin = dateUtil.addDays(date.getDay(), 1);
                    dateMax = dateUtil.addMonths(date.getMonth(), 3);
                    params = pluginsUtil.createSigleDateSelectParams({min:dateUtil.format(dateMin, "yyyy/MM/dd"),
                        max:dateUtil.format(dateMax, "yyyy/MM/dd"), def:dateUtil.format(dateMin,"yyyy/MM/dd")});
                }
            }
            else{
                var sysDate = dateUtil.parse(_t.sysTime, 'yyyy/MM/dd');
                var choiceDate = dateUtil.parse(_t.assignedDate, 'yyyy/MM/dd');
                dateMin = dateUtil.addDays(sysDate, 1);
                dateMax = dateUtil.addMonths(sysDate, 3);
                params = pluginsUtil.createSigleDateSelectParams({min:dateUtil.format(dateMin, "yyyy/MM/dd"),
                    max:dateUtil.format(dateMax, "yyyy/MM/dd"), def:dateUtil.format(choiceDate,"yyyy/MM/dd")});
            }



           // alert(dataMin + "aaaa" + max:dataMax);

            bocovsbridge.showDatePicker(function(data){
                if(!data.close){
                    _t.assignedDate = data.picker.single;
                    $("#ll_date").removeClass("hide").addClass("show");
                    $('#txtDate').html(_t.assignedDate);
                    $("#txtWay").html($.localeResource['BocAbroad_AudBpayPay'].l_sinbpay3);
                    _t.transMode = "1";
                }
                else{

                }
                //_t.assignedDate = "2020/02/01";
            }, function(data){
                console(data);
            }, params);
		},
		//检查数据
		checkParams:function(){
			var _t = this;

			var params = {
				cusRefNum:$('#txtCusRefNum').val().trim(),
				billerCode: $('#txtBillerCode').val().trim(),
				amount:_t.money,
				paymentDate: _t.transMode == "0" ? _t.sysTime: _t.assignedDate
			};
			 model.interaction({
                            method: routesUtil.method.BII.OvpBpayBillerNameQry,
                            params: params
                        }, "BII", function(data) {
                            _t._OvcCreConversationWithToken();
                        }
              );
		},
        _OvcCreConversationWithToken:function(){
            var _t = this;
            model.interaction({
                method: routesUtil.method.BII.OvcCreConversationWithToken,
                params: {}
            }, "BII", function(data) {
                _t.conversationId = data.conversationId;
                _t.token = data.token;
                var params = {conversationId: _t.conversationId,
                    serviceId: "OB055"};
                model.interaction({
                    method: routesUtil.method.BII.PsnGetSecurityFactor,
                    params: params
                }, "BII", function(data) {
                    var params = {
                        conversationId:_t.conversationId,
                        accountId: _t.accountId,
                        currencyCode: "029",
                        amount: _t.money,
                        billerCode: $('#txtBillerCode').val().trim(),
                        billerName: _t.confirmBillerName,
                        billerAlias: $('#txtBillerAlias').val().trim(),
                        description: $('#txtDescribe').val().trim(),
                        cusRefNum:$('#txtCusRefNum').val().trim(),
                        terminalId:"04",
                        assignedDate: _t.assignedDate,
                        accountNumber:_t.accountNumber,
                        transMode: _t.transMode,
                        _combinId:data._combinList[0].id + ""
                    };
                    var functionId = "";
                    if(_t.transMode == "0")
                        functionId = routesUtil.method.BII.OvpBpayPaymentConfirm;
                     else
                        functionId = routesUtil.method.BII.OvpBpaySchedPaymentConfirm;
                    model.interaction({
                        method: functionId,
                        params: params
                    }, "BII", function(data) {
                        _t.onTokePassword();
                    });
                });

            });
        },

        _OvpBpaySchedPayment:function(){
            var _t = this;
            var params = {
                conversationId:_t.conversationId,
                accountId: _t.accountId,
                fromAcctNo: _t.accountNumber,
                currencyCode: "029",
                amount: _t.money,
                billerCode: $('#txtBillerCode').val().trim(),
                billerName: _t.confirmBillerName,
                billerAlias: $('#txtBillerAlias').val().trim(),
                description: $('#txtDescribe').val().trim(),
                cusRefNum: $('#txtCusRefNum').val().trim(),
                transMode: _t.transMode,
                assignedDate: _t.transMode == "0" ? _t.sysTime:_t.assignedDate,
                terminalId:"04",
                Otp:_t.otp,
                token:_t.token
            };
            var functionId = "";
            if(_t.transMode == "0")
                functionId =  routesUtil.method.BII.OvpBpayPayment;
            else
                functionId = routesUtil.method.BII.OvpBpaySchedPayment;
            model.interaction({
                method: functionId,
                params: params
            }, "BII", function(data) {
                var exchangeSeq = "";
                var amount = data.amount;
                var paymentDate = "";
                var str = "";
                if(_t.transMode == "0"){
                	paymentDate = data.paymentDate;
                	exchangeSeq = data.receiptNum;
                    str = $.localeResource['BocAbroad_AudBpayPay'].l_way;
                }
                else{
                	paymentDate = _t.assignedDate;
                	exchangeSeq = data.exchangeSeq;
                    str = $.localeResource['BocAbroad_AudBpayPay'].l_sinbpay3;
                }
                //alert("exchangeSeq:" + exchangeSeq + "paymentDate:" + paymentDate);
                //成功回显示界面
                common.fullLayer.show({
                    view: new($.extendCls(controller, {
                        ejs: "../BocAbroad/views/bpay/sin/bpayPay/bpayPayResult.ejs"
                    }))({
                        id: 'bpayPayResultView',
                        data: [{
                            exchangeSeq: exchangeSeq,
                            amount: amount.toString().changePartition(),
                            accountNumber: _t.accountMainNumber == "" ? _t.accountNumber : _t.accountMainNumber,
                            accountId: _t.accountId,
                            billerCode: $('#txtBillerCode').val().trim(),
                            billerName: _t.confirmBillerName,
                            billerAlias: $('#txtBillerAlias').val().trim(),
                            cusRefNum: $('#txtCusRefNum').val().trim(),
                            describe: $('#txtDescribe').val().trim(),
                            assignedDate: paymentDate,
                            transMode: _t.transMode,
                            transModeTxt: str,
                            type:"AUD"
                        }],
                        onBack: function(e) {
                            common.fullLayer.close(e);
                            _t.onBack('home');
                        },
                        _hisClose:function(e){
                            common.fullLayer.close(e);
                            common.params.targetRouter = {
                                routerKey: "BocAbroad_AudBpayPay",
                                isExcuteInit: false,
                                excuteFun: null,
                                funArgs: null,
                                moduleArgs: []
                            }
                            common.triggerRouter(common.params.targetRouter);
                            _t.clearData();

                        }
                    })
                }, "");
            });
        },
        //显示tokenPassword
        onTokePassword:function(){
            var _t = this;
            var params = {cipher:false, challenge: _t.challenge};
            bocovsbridge.showEtokenPasswordPage(function(data){
//            		alert("password" + data.password);
                    _t.otp = data.password;
                    if(data.close == false)
                    _t._OvpBpaySchedPayment();

            },
            function(data){

            },
            params);
        },

        clearData:function(){
            var _t = this;
            $("#accountChoice").removeClass('hide').addClass('show');
            $("#accountContent").removeClass('show').addClass('hide');
            _t.noFiterAccList = [];
            _t.acctList = [];
            _t.billerBookList = [];
        },

		destroy: function() {
			$.proxy(this.baseprototype.destroy, this)();
		}
	});

	return common.Module.sub({
		_constructor: function() {
			this.mainView = null;
			$.proxy(this.baseprototype._constructor, this)();
		},
		init: function() {
			this.mainView = new mainView({
				id: "bpayPayAud",
				el: "#loginViewWrap",
				eloper: "html",
				//参数
				data: {
					acctTypeList: ["201", "203", "212"]
				}
			});
			this.mainView.load();

		},
		destroy: function() {
			this.mainView.destroy();
		}
	});
});
