/**
 * 收款人管理-首页列表
 * @author  LX7108
 */
define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil','amountUtil','constant','checkForm','CaPayeeDetail','CaPayeeMod','CaPayeeAdd'], function($, common, controller, model, routesUtil,amountUtil,constant,checkForm,CaPayeeDetail,CaPayeeMod,CaPayeeAdd) {
    var count = 0; // 为0代表第一次进入需要大loading
    var _pageSize = 50;
    var mainView = $.extendCls(controller, {
        html:'<header class="boc-red" id = "can-payee-header">' +
        '<img class="boc-red-icon" src="images/back.png" />' +
        '<span class="boc-red-name" id="CaBpayMTitleName" nls ="ovs_bps_bpm_payeemanagement">收款人管理</span>' +
        // 共XX条固定显示在页面上方（需删除下方该同名div，修改style.css）
        // '<div class="boc-content-item-a  can-payee-isumtop" style="background-color: #E7E8EC">' +
        // '<span nls="ovs_bps_bpti_total" class="boc-total"></span><span id="isum"></span><span nls="ovs_bps_bpti_item" class="boc-item"></span>' +
        // '</div>' +
        '</header>' +
        '<div class="boc-content boc-content-ui" id="can-payee-list">' +
        '<div class="boc-content-item-a  can-payee-isumtop" style="background-color: #E7E8EC">' +
        '<span nls="ovs_bps_bpti_total" class="boc-total"></span><span id="isum"></span><span nls="ovs_bps_bpti_item" class="boc-item"></span>' +
        '</div>' +
        '</div>' +
        '<div id = "can-payee-footer">' +
        '<div>' +
        '<span class = boc-details-name nls = "ovs_bps_bpm_ListTip" id = "listTips" style = "word-break: break-word">提示</span>' +
        '</div>' +
        '<button  id="ovpCanBpayPayeeAdd" nls="ovs_bps_bpm_AddPayee">添加收款人</button>' +
        '</div>',

        onSubError: function(err) {
        },
        serviceFormParams: function() {
            return {};
        },
        init:function () { // 加载前先显示该页面，否则大白屏体验差
            common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/bpay/can/CaPayeeManagement/beforePayeeList.ejs"
                }))({
                    id: 'beforePayeeList',
                    _hisClose: function(e){
                        common.fullLayer.close(e);
                        $("#can-payee-list").css("overflow-y","auto");
                        $("#can-payee-list").css('-webkit-overflow-scrolling','touch');
                    },
                    onLoadFinish: function () {
                    }
                })
            });

        },
        //返回的列表数据
        onLoadFinish: function() {
            var _t = this;
            // var currentIndex = 0;
            _t.resultData = [];
            _t.icount = 0;
            // 绑定列表样式 返回原生
            $(".boc-red-icon").bind("click", function () {
                $(this).css("background", "#c6c6c6");//改变按钮颜色
                bocovsbridge.navigateToPage(function (params) {
                }, function (params) {
                }, 'entrance');
            });
            $("#can-payee-list").css("overflow-y","hidden");
            $("#can-payee-list").css('-webkit-overflow-scrolling','');
            model.interaction({//先拿到conversationId
                method: routesUtil.method.BII.OvcCreConversationWithToken,
                params: {}
            }, "BII", function(data) {
                var params = {};
                new common.ScrollPagination({
                    el: _t.domNode.find('.boc-content'),
                    pageSize: _pageSize,
                    recordNum: 10000,
                    startIdxMod: 0, //从0开始计算序号
                    getPageData: function(pageSize, currentPage, startIdx, endIdx, callback) {
                        params.currentIndex = startIdx;
                        params.pageSize = pageSize;
                        params.startIdx = startIdx;
                        params.endIdx = endIdx;
                        params.conversationId = data.conversationId;
                        if(_t.currentPage == 1 || startIdx == 0){
                            params._refresh = "true";
                        }
                        else{
                            params._refresh = "false";
                        }
                        var p = this;
                        //第一次进来大loading，第二次及以后进来小loading
                        var flag = false;
                        if( count == 0 ){
                            flag = true;
                            count++;
                        }
                        else{
                            flag = false;
                            count++;
                        }
                        // alert(JSON.stringify(params));
                        model.interaction({
                            method: routesUtil.method.BII.OvpCANBpayPayeeListQry,
                            loadingMask: flag,
                            params: params
                        }, "BII", function(data) {
                            p.removeTip();
                            _t.data = data.recordNumber;
                            p.setRecordNum(_t.data);
                            _t.resultData = _t.resultData.concat(data.list);
                            // currentIndex = currentIndex + _pageSize;
                            _t.icount = _t.resultData.length - data.list.length;
                            _t.bigData = {list: _t.resultData, icount: _t.icount};
                            // _t.data = 0;
                            if(_t.data == 0) {
                                _t.append(_t.domNode.find('.boc-content'), new EJS({
                                    url: '../BocAbroad/views/bpay/can/CaPayeeManagement/noresult.ejs',
                                }).render({data: null}));
                                $(".boc-content-item-a").remove();
                                $("#listTips").remove();
                            }
                            else{
                                _t.append(_t.domNode.find('.boc-content'), new EJS({
                                    url: '../BocAbroad/views/bpay/can/CaPayeeManagement/PayeeList.ejs'
                                }).render({data: _t.bigData}));
                                //  共 _t.data 条
                                $("#isum").html(_t.data);
                                // 绑定修改收款人
                                CaPayeeMod.getBillPayeeModify(".boc-success-back", _t);
                                // $(".boc-failed-back ").css({color:"grey"});// 存在未完成交易(样式写在ejs中)
                                // 绑定收款人详情（删除收款人）
                                CaPayeeDetail.getBillPayeeDetail(".payeeCard", _t);
                            }
                        },{errorFun:function(data){
                            common.showMessage(data.message, function(){
                                // common.fullLayer.close(e)
                                if ( data.code == "OIBS.53024") {
                                    _t.append(_t.domNode.find('.boc-content'), new EJS({
                                        url: '../BocAbroad/views/bpay/can/CaPayeeManagement/noresult.ejs',
                                    }).render({data: null}));
                                    $(".boc-content-item-a").remove();
                                    $("#listTips").remove();
                                }
                            });
                        }});
                    }
                });
                // 添加收款人  有无记录均可添加收款人
                CaPayeeAdd.getBillPayeeAdd("#ovpCanBpayPayeeAdd", _t);
            },{errorFun:function(data){ common.showMessage(data.message, function(){common.fullLayer.close(e)});}});
        },

        //执行方式
        onChoice: function() {
        },
        destroy: function() {
            $.proxy(this.baseprototype.destroy, this)();
        }
    });
    return common.Module.sub({
        _constructor: function() {
            this.mainView = null;
            $.proxy(this.baseprototype._constructor, this)();
        },
        init: function() {
            // debugger;
            this.mainView = new mainView({
                id: "PayeeManage",
                el: "#loginViewWrap",
                eloper: "html",
                //参数
                data: {
                    currentIndex:"0",
                    pageSize: _pageSize
                }
            });
            this.mainView.load();
        },
        destroy: function() {
            this.mainView.destroy();
        }
    });
});