/**
 * 收款人管理-修改
 * @author  LX7108
 */
define('CaPayeeMod', ['zepto', 'common','viewcontroller','model','routesUtil','amountUtil','constant','checkForm','algorit','dateUtil'], function($, common,controller,model,routesUtil,amountUtil,constant,checkForm,algorit,dateUtil) {
    var CAPayeeMod = {
    };
    /**
     * 点击“修改”，修改页面可输入账号
     * @namespace _style 绑定的样式 _t 数据
     */
    CAPayeeMod.getBillPayeeModify = function(_style,_t) {
        $(_style).bind("click", function () {       
            var arr = this.id;            
            var params = _t.resultData[arr];
            params.payeeId = _t.resultData[arr].payeeID;// 首页列表回送“payeeID”，修改和添加上送要求“payeeId”T——T
            var CaPayeeModData= $.extend({},{"params":params});
            $("#billHidden").css('-webkit-overflow-scrolling','');
            common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/bpay/can/CaPayeeManagement/PayeeMod.ejs"
                }))({
                    id: 'PayeeMod',
                    data: CaPayeeModData,
                    _hisCloseMod: function(e){
                        $(e.currentTarget).css("background","#c6c6c6");//改变按钮颜色
                        common.fullLayer.close(e);                        
                    },
                    // 点击确认
                    PayeeModSubmit:function(e){
                        if (checkForm.checkAll('.boc-input-import')) { // 界面校验
                            CAPayeeMod.PayeeSubmit(e,_t,arr,params.payeeActno,params);
                        }
                    }
                })
            });
        });
    };
    /**
     * 点击“确认”，eToken与修改预交易
     */
    // 加拿大-电子支付服务码：OB102
    CAPayeeMod.PayeeSubmit = function(e,_t,arr,actno,params){
        params.payeeActno = $("#billerActno").val().trim();
        // 申请会话
        model.interaction({
            method: routesUtil.method.BII.OvcCreConversationWithToken,
            params: {}
        },"BII", function(data) {
            params.conversationId = data.conversationId;
            params.token = data.token;
            /*弹出eToken页面*/
            bocovsbridge.showEtokenPasswordPage(function(data){
                params.Otp = data.password;
                var secParams = {
                    conversationId: params.conversationId,
                    serviceId: "OB102"
                };
                /*获取安全组合因子*/
                model.interaction({
                    method: routesUtil.method.BII.PsnGetSecurityFactor,
                    params: secParams
                }, "BII", function (data) {
                    params._combinId = data._combinList[0].id + "";
                    /*预交易*/
                    model.interaction({
                        method: routesUtil.method.BII.OvpCANBpayPayeeModConfirm,
                        params: params
                    }, "BII", function (data) {
                        // 交易
                        CAPayeeMod.PayeeModConfirm(e,_t,arr,actno, params);
                    },{errorFun:function(data){
                        common.showMessage(data.message, function(){
                            // 报错后重新申请会话ID及防重Token
                            model.interaction({
                                method: routesUtil.method.BII.OvcCreConversationWithToken,
                                params:{}
                            }, "BII", function (data) {
                                params.conversationId = data.conversationId;
                                params.token = data.token;
                            });
                        });
                    }});// 预交易后括号
                });// 获取安全因子后括号
            });// eToken后括号
        });
    };
    /**
     * 修改交易
     */
    CAPayeeMod.PayeeModConfirm = function (e,_t,arr,actno,params) {
        model.interaction({
            method: routesUtil.method.BII.OvpCANBpayPayeeMod,
            params: params
        }, "BII", function(data) {
            common.fullLayer.close(e);
            /*结果页面*/
            common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/bpay/can/CaPayeeManagement/PayeeResult.ejs"
                }))({
                    id: 'paymanageResult',
                    data:'',
                    onLoadFinish:function () {
                        $("#img").attr('src','images/suc.png');
                        var str = $.localeResource["BocAbroad_CaPayeeList"].ovs_bpa_spm_modsuccess;
                        $("#okorError").html(str);
                    },
                    _hisCloseAndReturn: function(e){
                        common.fullLayer.close(e);
                        /*跳转回列表页面(重新请求接口，刷新数据)*/
                        common.params.targetRouter = {
                            routerKey: "BocAbroad_CaPayeeList",
                            isExcuteInit: false,
                            excuteFun: null,
                            funArgs: null,
                            moduleArgs: []
                        };
                        common.triggerRouter(common.params.targetRouter);
                        // 删除成功提示信息
                        var strdel = $.localeResource["BocAbroad_CaPayeeList"].ovs_bpa_spm_modsuccess;
                        common.popdown.single(strdel,function(e){});
                    },
                    goHome: function(e){
                        bocovsbridge.navigateToPage(function (params) {
                        }, function (params) {
                        }, 'home');
                    }
                })
            });
        },{errorFun:function(data){
            common.showMessage(data.message, function(){
                // 报错后重新申请会话ID及防重Token
                model.interaction({
                    method: routesUtil.method.BII.OvcCreConversationWithToken,
                    params:{}
                }, "BII", function (data) {
                    params.conversationId = data.conversationId;
                    params.token = data.token;
                });
            });
        }});// 修改交易后括号
    }; 
    return CAPayeeMod;
});