/**
 * Created by dn7110 on 2016/11/28.
 */

define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil', 'dateUtil','amountUtil','constant'],
    function($, common, controller, model, routesUtil, dateUtil, amountUtil,constant) {
        var mainView = $.extendCls(controller, {
            ejs: '../BocAbroad/views/bpay/can/CaPaymentTransaction/CaQueryTotalList.ejs',
              resultData:[],
            p:null,

            _showhisDetail: function(item) {
                common.fullLayer.show({
                    view: new ($.extendCls(controller, {
                        ejs: "../BocAbroad/views/bpay/can/CaPaymentTransaction/CaPaymentDetail.ejs"
                    }))({
                        class: 'halfLayer',
                        id: 'hisdetailView',
                        data: item,
                        _hisClose: function(e){
                            common.fullLayer.close(e);
                        }
                    })
                });

            },

            /*
             历史列表页面，点击返回，跳转选择查询时间页面
             */
            goHisTimeSelect:function(){
                var funArgs =[];
                common.params.targetRouter = {
                    routerKey: "BocAbroad_CaPaymentTransaction", //entrance
                    isExcuteInit: false,
                    excuteFun: "init",
                    funArgs: funArgs,
                    moduleArgs: []
                };
                common.triggerRouter(common.params.targetRouter);
            },

            /*
             查询无结果页面
             */
            noresult:function(){
                var html = new EJS({url:"../BocAbroad/views/bpay/can/CaPaymentTransaction/noresult.ejs"}).render({});
                $('#listViewContainer').html(html);
            },

            /**
             * 查询帐单历史列表
             */
            getOvpCaBpayHistoryQry: function(setArg) {
                var _t = this;
                var hisLisParams = {};
                hisLisParams.payeeId = setArg.payeeId;
                hisLisParams.startDate = setArg.startDate;
                hisLisParams.endDate = setArg.endDate;
                hisLisParams.currentIndex = setArg.currentIndex;
                hisLisParams.pageSize = 50;
                model.interaction({
                    method: routesUtil.method.BII.OvpCANBpayHistoryQry,
                    params: hisLisParams
                }, "BII", function (data) {
                    console.log(data);
                    _t.recordNumber = data.recordNumber;
                    if (data.recordNumber==0){
                        _t.noresult();
                        return;
                    }
                    $("#recordNumberContainer").show();
                      _t.resultData = _t.resultData.concat(data.list);
                    $.each(data.list, function(index, item){
                        item.amount= amountUtil.changePartition(item.amount.toString()) ;
                        item.paymentDate =  dateUtil.format(dateUtil.parse(item.paymentDate, 'yyyy/MM/dd'), 'yyyy/MM/dd');
                        item.billerName= common.strLong(item.billerName,30);
                    });

                    _t.append(_t.domNode.find('#listView'), new EJS({
                        url: '../BocAbroad/views/bpay/can/CaPaymentTransaction/CaQueryList.ejs'
                    }).render({data:data}));

                    $('#recordNumber').html( _t.recordNumber);
                    $.each($('.boc-list'), function(index, object){
                        $(object).bind('click', function(){
                            _t._showhisDetail( _t.resultData[index]);
                        });
                    });
                });

            },
            onSubError: function(err) {

            },
            serviceFormParams: function() {
                return {};
            },
            onLoadFinish: function(data) {
                var _t = this;
                _t.getOvpCaBpayHistoryQry(data);
                // new common.ScrollPagination({
                //     el: _t.domNode.find('#listViewContainer'),
                //     getPageData: function() {
                //         _t.getOvpCaBpayHistoryQry(data);
                //     }
                // });
            },
            //执行方式
            onChoice: function() {

            },
            destroy: function() {
                $.proxy(this.baseprototype.destroy, this)();
            }
        });

        return common.Module.sub({
            _constructor: function(data) {
                this.mainView = null;
                $.proxy(this.baseprototype._constructor, this)();
            },
            CSSPATH:[""],
            init: function() {
            },
            initdata:function(data){
                this.mainView = new mainView({
                    id: "boc-historylistview",
                    el: "#loginViewWrap",
                    eloper: "html",
                    //参数
                    data:data
                });
               
                this.mainView.load(data);
            },
            destroy: function() {
                this.mainView.destroy();
            }
        });
    });
