define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil','dateUtil','pluginsUtil'], function($, common, controller, model, routesUtil,dateUtil,pluginsUtil) {
    var mainView = $.extendCls(controller, {
        //ejs: (common.terminal == 'android' || common.terminal == 'ios' || common.terminal == 'iPhone' || common.terminal == 'iPad') ? '../BocAbroad/views/bpay/sin/bpayPay/bpayPaySin.ejs' : '../Login/views/login_pc.ejs',
        ejs: '../BocAbroad/views/bpay/jom/JomSelectHistoryTime/selectHistoryTime.ejs',
        css: '',
        systemDate:null,
        accountNumber:null,
        accountId: null,
        startDate:null,
        endDate:null,
        selectComlistModel:{data:null, selected:null},
        noFiterAccList:[],
        goback:function(){
            bocovsbridge.navigateToPage(function(params){
            }, function(params){
            }, 'entrance');
        },

        showCompany: function(){
            var _t = this;
            _t.onOvpAcctListQry();

        },

        //日期选择
        //原生日期控件调用
        showDatePicker:function(){
            var _t = this;
            var sysDate = dateUtil.parse(_t.systemDate, 'yyyy/MM/dd hh:mm:ss');
            var systemDateString = dateUtil.format(sysDate, 'yyyy/MM/dd')
            dateMin = dateUtil.addMonths(sysDate, -3);
            dataMin1 = dateUtil.addYears(sysDate, -1);
            dateMax = sysDate;
            var dateparams = pluginsUtil.createLimitDataSelectParams(systemDateString, {
                min: dateUtil.format(dataMin1, "yyyy/MM/dd"),
                max: dateUtil.format(dateMax, "yyyy/MM/dd"),
                mindef: _t.startDate,
                maxdef: _t.endDate
            }, "yyyy/MM/dd");
            bocovsbridge.showDatePicker(function(result){
                if (!result.close) {
                    var select = result.select;
                    if (select){
                        var arr =  select.split(",");
                        _t.startDate = arr[0];
                        _t.endDate = arr[1];
                        _t.startDate = arr[0];
                        _t.endDate = arr[1];
                        console.log( arr[0]  + arr[1]);
                        $('#datePicker').text( _t.startDate + "-" + _t.endDate);
                    } else {
                        var picker = result.picker;
                        $('#datePicker').text(picker.scopeMin + "-" + picker.scopeMax);
                        _t.startDate = picker.scopeMin;
                        _t.endDate = picker.scopeMax;
                        _t.startDate = picker.scopeMin;
                        _t.endDate = picker.scopeMax;
                    }
                }
            }, function(params){
            }, dateparams);
        },
        //点击下一步
        sinHistoryQry : function(){
            var param = {};
            if(this.accountNumber == null || this.accountNumber == ""){
                common.showMessage($.localeResource["BocAbroad_JomSelectHistoryTime"].ovs_bps_bpti_1);
                return;
            }

            param.accountNumber = this.accountNumber;
            param.accountId = this.accountId;
            param.startDate = this.startDate;
            param.endDate = this.endDate;
            param.currentIndex="0";
            param.pageSize="50";
            param._refresh="true";
            param.loading="true";

            common.params.targetRouter = {
                routerKey: "BocAbroad_JomQueryHistoryList", //entrance
                isExcuteInit: false,
                excuteFun: "initdata",
                funArgs: [param],
                moduleArgs: []
            }
            //common.setTargetRouter(common.params.targetRouter);
            common.triggerRouter(common.params.targetRouter);


        },
        onSubError: function(err) {

        },
        serviceFormParams: function() {
            return {};
        },
        onLoadFinish: function(data) {
            var _t = this;
            _t.noFiterAccList=[];

            //得到系统时间
            model.interaction({
                method: routesUtil.method.BII.OvcSysTimeQry,
                params: {}
            }, "BII", function(data) {
                _t.systemDate = data.sysTime;

                var params = "";
                var sysDate = dateUtil.parse(_t.systemDate, 'yyyy/MM/dd hh:mm:ss');
                var tempdate = dateUtil.addDays(sysDate, 1);
                var minDate = dateUtil.format(dateUtil.addMonths(tempdate, -3),"yyyy/MM/dd");
                var maxDate = dateUtil.format(sysDate,"yyyy/MM/dd");
                _t.startDate = minDate;
                _t.endDate = maxDate;
                $('#datePicker').text(minDate+" - "+maxDate);

            }, {errorFun:function(){
                var cuurent = new Date();
                _t.systemDate = dateUtil.format(cuurent, 'yyyy/MM/dd hh:mm:ss');
                var sysDate = dateUtil.parse(_t.systemDate, 'yyyy/MM/dd hh:mm:ss');
                var tempdate = dateUtil.addDays(sysDate, 1);
                var minDate = dateUtil.format(dateUtil.addMonths(tempdate, -3),"yyyy/MM/dd");
                var maxDate = dateUtil.format(sysDate,"yyyy/MM/dd");
                _t.startDate = minDate;
                _t.endDate = maxDate;
                $('#datePicker').text(minDate+" - "+maxDate);
            }})

            bocovsbridge.retrieveAccountsList(function(data){
                var list=[];
                // _t.noFiterAccList = data.acctList;
                list=data.acctList;
                var count = 0;
                for(var i = 0; i < list.length; i++){
                    if(list[i].accountType == "201" || list[i].accountType == "203"){//活期账户，支票账户
                        if(list[i].currencyCode == "032"){//
                            _t.noFiterAccList.push(list[i]);
                            count += 1;
                        }
                    }
                    else if(list[i].accountType == "213"){//活一本 无法过滤
                        _t.noFiterAccList.push(list[i]);
                        count += 1;
                    }

                }
                // var count = 0;
                // for(var i = 0; i < _t.noFiterAccList.length; i++){
                //     if(_t.noFiterAccList[i].accountType == "201" || _t.noFiterAccList[i].accountType == "203"){//活期账户，支票账户
                //         if(_t.noFiterAccList[i].currencyCode == "032"){//
                //             _t.acctList.push(_t.noFiterAccList[i]);
                //             count += 1;
                //         }
                //     }
                //     else if(_t.noFiterAccList[i].accountType == "213"){//活一本 无法过滤
                //         _t.acctList.push(_t.noFiterAccList[i]);
                //         count += 1;
                //     }
                //
                // }
                if(count == 0){
                    _t.showNoAccountView();
                    return;
                }
                // _t.initAccount();
            }, function(data){

            });
            //得到缴费公司列表
            // model.interaction({
            //     method: routesUtil.method.BII.OvpMalJPayBillerListQuery,
            //     params: {currentIndex: 0,
            //                 pageSize: 50,}
            // }, "BII", function(data) {
            //     _t.comlist = data;
            //
            // });

        },

        showNoAccountView:function(){
            var html = new EJS({url:"../BocAbroad/views/bpay/jom/JomSelectHistoryTime/noresult.ejs"}).render({});
            $('#jomSelectHistoryDiv').html(html);
        },


        //选择转出账号
        onOvpAcctListQry: function() {
            var _t = this;

            if(_t.noFiterAccList.length < 1 ){
                return;
            }

            var params = {acctList: _t.noFiterAccList};
            bocovsbridge.showAccountListPage(function(data) {
                    var result = data.data;
                    _t.accountId = result.accountId;

                    for(var i = 0; i < _t.noFiterAccList.length; i++){
                        if(_t.noFiterAccList[i].accountId == result.accountId){
                            if(_t.noFiterAccList[i].accountType == "213"){
                                var subDebitInfo = result.subDebitInfo;
                                if(subDebitInfo != null){
                                    var subAcctList = subDebitInfo.subAcctList;
                                    if(subAcctList && subAcctList.length > 0){
                                        _t.accountNumber = subAcctList[0].accountNumber;
                                        $(".company").text(_t.accountNumber);

                                    }
                                }
                            }
                            else {
                                _t.accountNumber = _t.noFiterAccList[i].accountNumber;
                                //_t.selectComlistModel.data = _t.noFiterAccList;
                                //_t.selectComlistModel.selected =  _t.accountNumber;
                                //_t.selectComlistModel.accountId = _t.accountId;
                                $(".company").text(_t.accountNumber);
                            }
                        }
                    }

                },
                function(data){

                }, params);
        },

        _converDate:function(dateString){

            var date = dateUtil.parse(dateString, 'dd/MM/yyyy');
            return dateUtil.format(date, 'yyyy/MM/dd');
        },
        //执行方式
        onChoice: function() {

        },
        destroy: function() {
            $.proxy(this.baseprototype.destroy, this)();
        }
    });

    return common.Module.sub({
        _constructor: function() {
            this.mainView = null;
            $.proxy(this.baseprototype._constructor, this)();
        },
        CSSPATH:[],
        init: function() {
            this.mainView = new mainView({
                id: "boc-sinhissel",
                el: "#loginViewWrap",
                eloper: "html"
                //参数
            });
            this.mainView.load(
            );

        },
        destroy: function() {
            this.mainView.destroy();
        }
    });
});