/**
 *
 */
define('billPayeeDetail', ['zepto', 'common','viewcontroller','model','routesUtil','amountUtil','constant','checkForm'], function($, common,controller,model,routesUtil,amountUtil,constant,checkForm) {
    var BillPayeeDetail = {
    };
    /**
     *查看收费机构
     * @namespace _style 绑定的style _t 数据
     */
    BillPayeeDetail.getBillPayeeDetail= function(_style,_t) {

        /**
         * 点击查看
         */
        $(_style).bind("click", function(){
          
            var arr = this.id;
            var bpayPayeeDetail = _t.resultData[arr];
            var params = bpayPayeeDetail;
            var org = constant.sin_company_id_2_[bpayPayeeDetail.billerCode];//得到当前机构的详细 信息

            var orgbillerDetail= $.extend({},{"params":params},{"org":org});
            //$("#billHidden").css("overflow-y","hidden");
            $("#billHidden").css('-webkit-overflow-scrolling','');
            common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/bpay/sin/SinBillPayeeManagement/billPayeeDetail.ejs"
                }))({
                    id: 'billPayeeDetail',
                    data:orgbillerDetail,
                    _hisClose: function(e){
                        common.fullLayer.close(e);
                        $("#billHidden").css("overflow-y","auto");
                        $("#billHidden").css('-webkit-overflow-scrolling','touch');
                    },
                    //点击删除
                    ovpSinBpayPayeeDel : function(){
                        BillPayeeDetail.ovpSinBpayPayeeDel();
                    }
                })
            });
            //处理过长的详情页title
            var _titleDetail = common.strLong($.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bps_bpm_billingorganisationaddressbook,25);
            $("#sinbPayDTitleName").html(_titleDetail);
        });
    };
    /**
     * 点击详情页的删除按钮
     */
    BillPayeeDetail.ovpSinBpayPayeeDel=function(){
        var payeeId  = $("#payeeId").val();//获取
        var billerCode  = $("#billerCode").val();//获取
        var str = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_afterdeletion;
        common.popup.single(str,function(e){
            common.fullLayer.close(e);//先关闭窗口
            model.interaction({//先拿到先拿到conversationId和token
                method: routesUtil.method.BII.OvcCreConversationWithToken,
                params: {}
            }, "BII", function(data) {//调删除借口
                var _conversationId = data.conversationId;
                var _token = data.token;

                model.interaction({
                    method: routesUtil.method.BII.OvpSinBpayPayeeDelete,
                    params: {
                        conversationId:_conversationId,
                        token:_token,
                        payeeId:payeeId,
                        billerCode:billerCode
                    }
                }, "BII", function(data) {//跳转回列表页面
                    model.interaction({
                        method: routesUtil.method.BII.OvpSinBpayPayeeListQry,
                        params: {
                            currentIndex:"0",
                            pageSize:"10"

                        }
                    }, "BII", function(data) {

                        common.params.targetRouter = {
                            routerKey: "BocAbroad_SinbpayPayeeList",
                            isExcuteInit: false,
                            excuteFun: null,
                            funArgs: null,
                            moduleArgs: []
                        }
                        common.triggerRouter(common.params.targetRouter);
                        var strdel = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_delsuccess;
                        common.popdown.single(strdel,function(e){});
                    });
                });
            });

        });
    };
    return BillPayeeDetail;
});