define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil', 'constant', 'pluginsUtil', 'dateUtil', 'checkForm', 'iscroll'],
    function($, common, controller, model, routesUtil, constant,  pluginsUtil, dateUtil, checkForm, iscroll) {
	var mainView = $.extendCls(controller, {
		ejs: '../BocAbroad/views/bpay/sin/bpayPay/SinBpayPay.ejs',
		services: [],
        noFiterAccList: [],
		acctList: [],
		billerBookList: [], //公司信息
		conversationId: "",
		payeeId:"",
		accountId: "",
		accountNumber: "",
		accountType: "",
		accountNickName: "",
		availableBalance: "",
		currencyCode: "",
		money: "",
		token: "",
        otp:"",
        otp_rc:"",
        transMode:"0",
        assignedDate:"",
        assignedDateShow:"",
        sysTime:"",
        bTest: false,
        minAmount:0,
        maxAmount:888888,
        _challengeCode: "",
        dicText:{},
        flag: true,
        accListCountNet: 0,
        billerCode: "",
        bComfirm: true,
        tokenClass: [],
        tokenType: "1",//默认是一代Key
		afterFormSubmit: function(data) {

		},
		onSubError: function(err) {

		},
		serviceFormParams: function() {
			return {};
		},
		onLoadFinish: function(data) {
			var _t = this;
            //alert("navigator.language" + navigator.language);

            $('#txtWay').html($.localeResource['BocAbroad_SinBpayPay'].l_way);
            $('#txtBillerCode').html($.localeResource['BocAbroad_SinBpayPay'].l_required);

            //得到系统时间
            model.interaction({
                method: routesUtil.method.BII.OvcSysTimeQry,
                params: {}
            }, "BII", function(data) {
                _t.sysTime = data.sysTime;
             });
           bocovsbridge.retrieveAccountsList(function(data){
                //alert(JSON.stringify(data.acctList));
//                alert("data.acctList.length " + data.acctList.length );
//                if( data.acctList.length == 0){
//                    common.showMessage($.localeResource['BocAbroad_SinBpayPay'].ovs_bpa_bp_error1);
//                }
                _t.clearData();
               _t.noFiterAccList = data.acctList;
                _t.fiterAccount();

            }, function(data){

            });
		},
        //过滤账户
        fiterAccount: function(){
            var _t = this;

            var count = 0;
            for( var i  = 0; i < _t.noFiterAccList.length; i++){
                if(_t.noFiterAccList[i].accountType == "201" || _t.noFiterAccList[i].accountType == "203"){
                    if(_t.noFiterAccList[i].currencyCode == "018")
                        count += 1;
                }
                else if(_t.noFiterAccList[i].accountType == "212" )
                    count += 1;
            }
            if(count == 0){
                _t.showNoAccountView();
                return;
            }


            _t.accListCountNet = 0;
            //计算需要网络请求的数量
            for(var j = 0; j <  _t.noFiterAccList.length; j++){
                if(_t.noFiterAccList[j].accountType == "201" || _t.noFiterAccList[j].accountType == "203"){
                    if(_t.noFiterAccList[j].currencyCode == "018"){
                        _t.accListCountNet += 1;
                    }
                }
                else if(_t.noFiterAccList[j].accountType == "212"){
                    _t.accListCountNet += 1;
                }
            }

            for(var index = 0; index <  _t.noFiterAccList.length; index++){
                ////201=海外普通活期 203=海外支票
                //if(data[index].accountType == "201" || data[index].accountType == "203"){
                //    if(data[index].currencyCode == "018")
                //        _t.acctList.push(data[index]);
                //}
                ////212=海外活期一本通
                //else if(data[index].accountType == "212"){
                //    _t.acctList.push(data[index]);
                //}

                //201=海外普通活期 203=海外支票
                if(_t.noFiterAccList[index].accountType == "201" || _t.noFiterAccList[index].accountType == "203"){
                    if(_t.noFiterAccList[index].currencyCode == "018"){
                        var params = {accountId: _t.noFiterAccList[index].accountId};
                        var extParams = {index:index};
                        params.extParams = extParams;
                        model.interaction({
                            method: routesUtil.method.BII.OvpAcctBalanceQry,
                            params: params
                        }, "BII", function(data) {
                            var balanceList = data.balanceList;
                            //alert("data1.extParams" + data1.extParams);
                            if(balanceList.length > 0){
                                _t.noFiterAccList[data.extParams.index].availableBalance = balanceList[0].availableBalance;
                                _t.noFiterAccList[data.extParams.index].currencyCode = balanceList[0].currencyCode;
                            }
                            _t.acctList.push(_t.noFiterAccList[data.extParams.index]);
                            _t.accListCountNet -= 1;
                            if(_t.accListCountNet <= 0)
                                _t.initData();
                        }, function(data){
                            _t.acctList.push(_t.noFiterAccList[data.extParams.index]);
                            _t.accListCountNet -= 1;
                            if(_t.accListCountNet <= 0)
                                _t.initData();
                        });
                    }
                }
                //212=海外活期一本通
                else if(_t.noFiterAccList[index].accountType == "212"){
                    var params = {accountId: _t.noFiterAccList[index].accountId};
                    var extParams = {index:index};
                    params.extParams = extParams;
                    model.interaction({
                        method: routesUtil.method.BII.OvpAcctBalanceQry,
                        params: params
                    }, "BII", function(data) {
                        var balanceList = data.balanceList;
                        if(balanceList.length == 0){
                            _t.accListCountNet -= 1;
                            if(_t.accListCountNet <= 0)
                                _t.initData();
                        }
                        else{
                            for(var i = 0; i < balanceList.length; i++){
                                if(balanceList[i].currencyCode == "018"){
                                    _t.noFiterAccList[data.extParams.index].availableBalance = balanceList[i].availableBalance;
                                    _t.noFiterAccList[data.extParams.index].currencyCode = balanceList[i].currencyCode;
                                    _t.acctList.push(_t.noFiterAccList[data.extParams.index]);
                                    _t.accListCountNet -= 1;
                                    if(_t.accListCountNet <= 0)
                                        _t.initData();
                                    break;
                                }

                                if(i + 1 == balanceList.length ){
                                    _t.accListCountNet -= 1;
                                    if(_t.accListCountNet <= 0)
                                        _t.initData();
                                    break;
                                }

                            }
                        }

                    }, function(data){
                        _t.accListCountNet -= 1;
                        if(_t.accListCountNet <= 0)
                            _t.initData();
                    });
                }
            }

        },
        //
        initData:function(){
            var _t = this;
            params = {}
            if(_t.acctList != null){
                console.log("_t.acctList.length" + _t.acctList.length);
                if (  _t.acctList.length > 0 && _t.acctList.length <= 1) {
                    $("#accountContent").removeClass('hide').addClass('show');
                    $("#accountChoice").removeClass('show').addClass('hide');
                    // alert(_t.acctList[0].accountId + _t.acctList[0].accountNumber);

                    _t.accountId = _t.acctList[0].accountId;
                    _t.accountNumber = _t.acctList[0].accountNumber;
                    _t.accountType = _t.acctList[0].accountType;
                    _t.currencyCode = _t.acctList[0].currencyCode;
                    _t.accountNickName = _t.acctList[0].accountNickName;
                    _t.availableBalance = _t.acctList[0].availableBalance;


                    $("#txtAccountNum").html(_t.accountNumber);
                    var str = constant.account_type_[_t.accountType] ;
                    $("#txtAccountType").html('<em class="boc-change-type" style="float: left;">'+str+'</em>');
                    if(_t.accountNickName != undefined && _t.accountNickName != null &&  _t.accountNickName != "")
                        $('#txtAccountType').html('<em class="boc-change-type" style="float: left;">'+str+'</em>'+'&nbsp;&nbsp;|&nbsp;&nbsp;' + _t.accountNickName);
//                        $("#txtNickName").html("&nbsp;&nbsp;|&nbsp;&nbsp;" + _t.accountNickName);
//                    else
//                        $("#txtNickName").html("");

                    $("#txtBalMoney").html(_t.availableBalance.toString().formatMoney(_t.currencyCode) );
                    $("#txtBalCurrencyCode").html("("+ constant.currency_sign_1_[_t.currencyCode] +")") ;
                    $("#txtCurrenyCode").html("("+ constant.currency_sign_1_[_t.currencyCode] +")");
                    _t.setCanvas();
                    //查询余额
                    //var params = {accountId: _t.accountId};
                    //model.interaction({
                    //    method: routesUtil.method.BII.OvpAcctBalanceQry,
                    //    params: params
                    //}, "BII", function(data) {
                    //    var balanceList = data.balanceList;
                    //    if(balanceList != null && balanceList.length > 0){
                    //        _t.availableBalance = balanceList[0].availableBalance;
                    //        _t.currencyCode = balanceList[0].currencyCode;
                    //        //alert("33333333333:" + _t.currencyCode );
                    //        $("#txtBalMoney").html(_t.availableBalance.toString().changePartition() );
                    //        $("#txtBalCurrencyCode").html("("+ constant.currency_sign_1_[_t.currencyCode] +")") ;
                    //        $("#txtCurrenyCode").html("("+ constant.currency_sign_1_[_t.currencyCode] +")");
                    //
                    //    }
                    //    else{
                    //        _t.availableBalance = "";
                    //        $("#txtBalMoney").html("--");
                    //        $("#txtBalCurrencyCode").html("") ;
                    //        $("#txtCurrenyCode").html("");
                    //    }
                    //    _t.setCanvas();
                    //
                    //});
                }
                else if(_t.acctList.length > 1){
                    $("#accountContent").removeClass('show').addClass('hide');
                    $("#accountChoice").removeClass('hide').addClass('show');
                }
                else{
                    _t.showNoAccountView();
                    //common.showMessage($.localeResource['BocAbroad_SinBpayPay'].ovs_bpa_bp_error1);
                }
            }
        },
		/**
		 * 设置币种
		 */
		setCanvas: function() {
            var _t = this;
            if(_t.accountType == "201" || _t.accountType == "203" ){
                if(_t.currencyCode != ""){
                    $('#bgCurrencyCode').removeClass('hide').addClass('show');
                    $('#txtCurrencyCode').removeClass('hide').addClass('show');
                }
                else{
                    $('#bgCurrencyCode').removeClass('show').addClass('hide');
                    $('#txtCurrencyCode').removeClass('show').addClass('hide');
                }
            }
            else{
                $('#txtCurrencyCode').removeClass('show').addClass('hide');
                $('#bgCurrencyCode').removeClass('show').addClass('hide');
            }


            $('#txtCurrencyCode').html(constant.currency_sign_1_[_t.currencyCode]);
		},
		//提交
		onSubmit: function() {
            var _t = this;
            //_t.showNoAccountView()
            //_t.showComfirm();
            //            return;
            //成功回显示界面
            //common.fullLayer.show({
            //    classes:"fulllayer",
            //    view: new($.extendCls(controller, {
            //        ejs: "../BocAbroad/views/bpay/sin/bpayPay/bpayPayResult.ejs"
            //    }))({
            //        id: 'bpayPayResultView',
            //        data: [{
            //            exchangeSeq: "111111",
            //            amount: "aaaaa",
            //            accountId: _t.accountId,
            //            accountNumer: _t.accountNumber,
            //            billerCode: $('#txtBillerCode').html(),
            //            billerName: $('#txtBillerName').html(),
            //            billerAlias: $('#txtBillerAlias').html(),
            //            describe: $('#txtDescribe').val(),
            //            assignedDate: "2015/5/4",
            //            transMode: _t.transMode,
            //            transModeTxt: "vvvvv",
            //            type:"SIN",
            //            dicText: {}
            //        }],
            //        onBack: function(e) {
            //            common.fullLayer.close(e);
            //            _t.onBack();
            //        },
            //        _hisClose:function(e){
            //            common.fullLayer.close(e);
            //        }
            //    })
            //}, "");
            //
            //return;
            var str = $('#txtMoney').val();
            _t.money = str.trim();//str.replace(" ", "");


            if(!checkForm.checkAll('.boc-content')){//验证页面信息。
                return;
            };

            //限额判断
            if(Number(_t.money) < Number(_t.minAmount) ) {
                common.showMessage($.localeResource['BocAbroad_SinBpayPay'].l_tip3);
                return;
            }

            if(Number(_t.money) > Number(_t.maxAmount)){
                common.showMessage($.localeResource['BocAbroad_SinBpayPay'].l_tip2);
                return;
            }

            if(_t.accountId == ""){
                common.showMessage($.localeResource['BocAbroad_SinBpayPay'].ovs_bpa_bp_select);
                return;
            }

            _t.billerCode = $('#txtBillerCode').html() == $.localeResource['BocAbroad_SinBpayPay'].l_required ? "" : $('#txtBillerCode').html();

            if(_t.billerCode == "" ){
                common.showMessage($.localeResource['BocAbroad_SinBpayPay'].ovs_bpa_bpm_entcode);
                return;
            }




            ////金额不足提示
            //alert("availableBalance:" + _t.availableBalance + "_t.money: " + _t.money);

            if(_t.availableBalance != undefined && Number(_t.availableBalance) < Number(_t.money))
                common.popup.single($.localeResource['BocAbroad_SinBpayPay'].ovs_bpa_bp_error2, $.proxy(_t.showComfirm, _t));
                //common.showAlert($.localeResource['BocAbroad_SinBpayPay'].ovs_bpa_bp_error2, [window.app.nls.l_comfirm, window.app.nls.l_cancel], [$.proxy(_t.showComfirm, _t), function(){}]);//common.showMessage($.localeResource['BocAbroad_SinBpayPay'].ovs_bpa_bp_error2, _t.showComfirm());
            else
                _t.showComfirm();

		},

        //显示确认界面
        showComfirm: function(){
            //$('#subbtn').attr('disabled', true);
            var _t = this;
            if(_t.bComfirm == false){
                return;
            }
            else{
                _t.bComfirm = false;
                setTimeout(function(){
                    _t.bComfirm = true;
                }, 1000);
            }


            var str = "";
            if(_t.transMode == "0")
                str = $.localeResource['BocAbroad_SinBpayPay'].l_way;
            else
                str = $.localeResource['BocAbroad_SinBpayPay'].l_sinbpay3;
            common.fullLayer.show({
                view: new($.extendCls(controller, {
                    ejs: "../BocAbroad/views/bpay/sin/bpayPay/bpayPayComfirm.ejs"
                }))({
                    id: 'bpayPayComfirmView',
                    data: [{
                        amount: _t.money.toString().formatMoney(_t.currencyCode),
                        accountNumber: _t.accountNumber,
                        accountId: _t.accountId,
                        billerCode: $('#txtBillerCode').html(),
                        billerName: $('#txtBillerName').text(),
                        billerAlias: $('#txtBillerAlias').html(),
                        describe: $('#txtDescribe').val(),
                        transMode:_t.transMode,
                        transModeTxt: str,
                        assignedDate: _t.assignedDateShow,
                        type:"SGD",
                        dicText: _t.dicText
                    }],
                    sure: function(e) {
                        common.fullLayer.close(e);
                        _t.bComfirm = true;
                        //$('#subbtn').removeAttr('disabled');

                        model.interaction({
                            method: routesUtil.method.BII.OvcCreConversationWithToken,
                            params: {}
                        }, "BII", function(data) {
                            _t.conversationId = data.conversationId;
                            _t.token = data.token;
                            _t._OvpSinBpayPaymentPre();
                            //CFCA控件
                            // _t.onTokePassword();
//                            model.interaction({
//                                method: routesUtil.method.BII.OverseaGetRandom,
//                                params: {}
//                            }, "BII", function(data) {
//                                _t.onTokePassword(data.rs);
//                            });
                        });
                    },
                    _hisClose:function(e){
                        common.fullLayer.close(e);
                        _t.bComfirm = true;
                        //$('#subbtn').removeAttr('disabled');
                    },
                    onLoadFinish:function(data){
                        //var myScroll = new IScroll('.boc-content', { mouseWheel: true ,click:true});
                    }
                })
            }, $.localeResource['BocAbroad_SinBpayPay'].l_describe1);

        },

        //显示无可用账户界面
        showNoAccountView:function(){
            var _t = this;
            common.fullLayer.show({
                view: new($.extendCls(controller, {
                    ejs: "../BocAbroad/views/bpay/sin/bpayPay/noAccountView.ejs"
                }))({
                    id: 'NoAccountView',
                    data: {},
                    _hisClose: function(e) {
                        common.fullLayer.close(e);
                        _t.onBack('entrance');
                    }
                })
            });
        },

		//选择转出账号
		onOvpAcctListQry: function() {
			var _t = this;
            if(_t.acctList.length <= 1 )
                return;

            var params = {acctList: _t.acctList};
            bocovsbridge.showAccountListPage(function(data){
                    var result = data.data;

                    for(var i = 0; i < _t.acctList.length; i++){
                        if(_t.acctList[i].accountId == result.accountId){
                            _t.accountId = _t.acctList[i].accountId;
                            _t.accountNumber = _t.acctList[i].accountNumber;
                            _t.accountType = _t.acctList[i].accountType;
                            _t.currencyCode = _t.acctList[i].currencyCode;
                            _t.accountNickName = _t.acctList[i].accountNickName;
                            _t.availableBalance = _t.acctList[i].availableBalance;


                            $("#accountContent").removeClass('hide').addClass('show');
                            $("#accountChoice").removeClass('show').addClass('hide');


                            $("#txtAccountNum").html(_t.accountNumber);


                            var str = constant.account_type_[_t.accountType];
                            $("#txtAccountType").html('<em class="boc-change-type" style="float: left;">'+str+'</em>');
                            if(_t.accountNickName != undefined && _t.accountNickName != null &&  _t.accountNickName != "")
                                $('#txtAccountType').html('<em class="boc-change-type" style="float: left;">'+str+'</em>'+'&nbsp;&nbsp;|&nbsp;&nbsp;' + _t.accountNickName);
//                            $("#txtAccountType").html(str);
//                            if(_t.accountNickName != undefined && _t.accountNickName != null &&  _t.accountNickName != "")
//                                $("#txtNickName").html("&nbsp;&nbsp;|&nbsp;&nbsp;" + _t.accountNickName);
//                            else
//                                $("#txtNickName").html("");

                            $("#txtBalMoney").html(_t.availableBalance.toString().formatMoney(_t.currencyCode) );
                            $("#txtBalCurrencyCode").html("("+ constant.currency_sign_1_[_t.currencyCode] +")") ;
                            $("#txtCurrenyCode").html("("+ constant.currency_sign_1_[_t.currencyCode] +")");
                            _t.setCanvas();
                            break;
                        }
                    }

            },
            function(data){
              //console(data);
            },
            params);
		},
		//选择公司信息
		onOvpBpayBillerBookQry: function() {
			//显示页面
			var _t = this;
			common.fullLayer.show({
				view: new($.extendCls(controller, {}))({
					id: 'bpayPayChoiceCompanyView',
					data: [],
                    recordNumber:-1,
					_hisClose:function(e){
						common.fullLayer.close(e);
					},
					sure: function(e) {
						common.fullLayer.close(e);
						var clickobj = $(e.target);
						while (clickobj.length > 0 && !clickobj.hasClass('boc-company-card')) {
							clickobj = clickobj.parent();
						}
                        $('#txtBillerCode').removeClass('ui-default');
						var index = clickobj.attr("index");
						for (var i = 0; i < this.data.length; i++) {
							if (i == index) {
								var str = "";
                                $('#txtBillerCode').html(this.data[i].billerCode);
                                $('#txtBillerCode').val(this.data[i].billerCode);
								$('#txtBillerName').text(this.data[i].billerName);
								$('#txtBillerAlias').html(this.data[i].billerAlias);
								_t.payeeId = this.data[i].payeeId;
                                _t.minAmount =this.data[i].minAmount;
                                _t.maxAmount = this.data[i].maxAmount;
								str =  $.localeResource['BocAbroad_SinBpayPay'].l_sinbpay1 + this.data[i].minAmount.toString().changePartition() +"-" + this.data[i].maxAmount.toString().changePartition();
								$('#txtMoneyDis').html(str);
								var dic = constant.sin_company_id_1_[this.data[i].billerCode];
								//显示公司选项
								$('#li1').removeClass('hide').addClass('show');
								 $('#li2').removeClass('hide').addClass('show');
								 $('#txtMoneyDis').removeClass('hide').addClass('show');
                                 $('#li_payeeActno').removeClass('show').addClass('hide');
                                $('#li_billerRef1').removeClass('show').addClass('hide');
                                $('#li_billerRef3').removeClass('show').addClass('hide');
                                $('#li_billerRef4').removeClass('show').addClass('hide');
                                $('#li_billerRef5').removeClass('show').addClass('hide');
                                $('#li_billerRef6').removeClass('show').addClass('hide');
                                $('#starbillerRef4').removeClass('hide').addClass('show');
                                $('#starbillerRef5').removeClass('hide').addClass('show');
                                $('#starbillerRef6').removeClass('hide').addClass('show');

                                //单独处理的
                                if((this.data[i].billerCode == "20103001" || this.data[i].billerCode  == "20038001")) {
                                    $('#starbillerRef4').removeClass('show').addClass('hide');
                                }
                                //清空数据
                                _t.dicText = {};

								if( dic!= null){
									for(var d in dic){
										if(dic[d].length == 1){
											if(this.data[i].billerCode == "20010001" || this.data[i].billerCode == "20010002"){
												if(d == "billerRef4" || d == "billerRef3")
														continue;
											}
                                            if(this.data[i].billerCode == "20010001" || this.data[i].billerCode == "20010002"){
                                                if(d == "billerRef4" || d == " billerRef3")
                                                    continue;
                                            }
											var str = '#li_' + d;
                                            //alert("aaaaaaa"+ str);
											$(str).removeClass('hide').addClass('show'); //显示项
											str = '#title_' + d;
											$(str).html($.localeResource['BocAbroad_SinBpayPay'][dic[d][0]]);
											str = '#' + d;
											$(str).html(this.data[i][d] == "" ? "-" : this.data[i][d]);
                                            if(this.data[i][d] != undefined)
                                            _t.dicText[$.localeResource['BocAbroad_SinBpayPay'][dic[d][0]]] =  this.data[i][d] == "" ? "-" : this.data[i][d];
											
										}
										else{
                                            if(this.data[i].billerCode == "20037001"  && d == "billerRef4"){
                                                var strArray = this.data[i][d].split('-');
                                                //var typeMap  = this.data[i].typeMap ;
                                                if(strArray != null){
                                                    if(strArray.length >= 2){
                                                        $('#li_billerRef4').removeClass('hide').addClass('show'); //显示项
                                                        $('#li_billerRef5').removeClass('hide').addClass('show'); //显示项
                                                        $('#title_billerRef4').html($.localeResource['BocAbroad_SinBpayPay'][dic[d][1]]);
                                                        $('#title_billerRef5').html($.localeResource['BocAbroad_SinBpayPay'][dic[d][2]]);
                                                        $('#billerRef4').html(strArray[0]== "" ? "-": strArray[0]);
                                                        $('#billerRef5').html(strArray[1]== "" ? "-": strArray[1]);
                                                        $('#starbillerRef5').removeClass('show').addClass('hide');
                                                        if(strArray[0] != undefined)
                                                        _t.dicText[$.localeResource['BocAbroad_SinBpayPay'][dic[d][1]]] = strArray[0] == "" ? "-": strArray[0];
                                                        if(strArray[1] != undefined)
                                                        _t.dicText[$.localeResource['BocAbroad_SinBpayPay'][dic[d][2]]] = strArray[1]== "" ? "-": strArray[1];
                                                    }
                                                    else{
                                                        $('#li_billerRef4').removeClass('hide').addClass('show'); //显示项
                                                        $('#title_billerRef4').html($.localeResource['BocAbroad_SinBpayPay'][dic[d][1]]);
                                                        $('#billerRef4').html(strArray[0] == "" ? "-": strArray[0]);
                                                        if(strArray[0] != undefined)
                                                        _t.dicText[$.localeResource['BocAbroad_SinBpayPay'][dic[d][1]]] = strArray[0] == "" ? "-":  strArray[0];
                                                    }

                                                }
                                            }
                                            else if(this.data[i].billerCode == "20040001" && d == "billerRef4"){
                                                var strArray = this.data[i][d].split('-');
                                                //var typeMap  = this.data[i].typeMap ;
                                                if(strArray.length >= 3){
                                                    $('#li_billerRef4').removeClass('hide').addClass('show'); //显示项
                                                    $('#li_billerRef5').removeClass('hide').addClass('show'); //显示项
                                                    $('#li_billerRef6').removeClass('hide').addClass('show'); //显示项
                                                    $('#title_billerRef4').html($.localeResource['BocAbroad_SinBpayPay'][dic[d][1]]);
                                                    $('#title_billerRef5').html($.localeResource['BocAbroad_SinBpayPay'][dic[d][2]]);
                                                    $('#title_billerRef6').html($.localeResource['BocAbroad_SinBpayPay'][dic[d][3]]);
                                                    $('#billerRef4').html(strArray[0]);
                                                    $('#billerRef5').html(strArray[1] == "S" ? $.localeResource['BocAbroad_SinBpayPay']["ovs_bpa_bp_company_27"] :  ( strArray[1] == "" ?  "-" : $.localeResource['BocAbroad_SinBpayPay']["ovs_bpa_bp_company_28"]));
                                                    $('#billerRef6').html(strArray[2] == "" ? "-" : strArray[2]);
                                                    $('#starbillerRef4').removeClass('hide').addClass('show');
                                                    $('#starbillerRef4').html("*");
                                                    $('#starbillerRef5').removeClass('show').addClass('hide');
                                                    $('#starbillerRef6').removeClass('show').addClass('hide');
                                                    if(strArray[0] != undefined)
                                                        _t.dicText[$.localeResource['BocAbroad_SinBpayPay'][dic[d][1]]] = strArray[0];
                                                    if(strArray[1] != undefined)
                                                        _t.dicText[$.localeResource['BocAbroad_SinBpayPay'][dic[d][2]]] = strArray[1] == "S" ? $.localeResource['BocAbroad_SinBpayPay']["ovs_bpa_bp_company_27"] :  ( strArray[1] == "" ?  "-" :$.localeResource['BocAbroad_SinBpayPay']["ovs_bpa_bp_company_28"]);
                                                    if(strArray[2] != undefined)
                                                        _t.dicText[$.localeResource['BocAbroad_SinBpayPay'][dic[d][3]]] = strArray[2] == "" ? "-" : strArray[2];
                                                }else {
                                                    $('#li_billerRef4').removeClass('hide').addClass('show'); //显示项
                                                    $('#li_billerRef5').removeClass('hide').addClass('show'); //显示项
                                                    $('#title_billerRef4').html($.localeResource['BocAbroad_SinBpayPay'][dic[d][1]]);
                                                    $('#title_billerRef5').html($.localeResource['BocAbroad_SinBpayPay'][dic[d][2]]);
                                                    $('#billerRef4').html(strArray[0]);
                                                    $('#billerRef5').html(strArray[1] == "S" ? $.localeResource['BocAbroad_SinBpayPay']["ovs_bpa_bp_company_27"] : ( strArray[1] == "" ?  "-":$.localeResource['BocAbroad_SinBpayPay']["ovs_bpa_bp_company_28"]));
                                                    $('#starbillerRef5').removeClass('show').addClass('hide');
                                                    if(strArray[0] != undefined)
                                                        _t.dicText[$.localeResource['BocAbroad_SinBpayPay'][dic[d][1]]] = strArray[0];
                                                    if(strArray[1] != undefined)
                                                        _t.dicText[$.localeResource['BocAbroad_SinBpayPay'][dic[d][2]]] = strArray[1] == "S" ? $.localeResource['BocAbroad_SinBpayPay']["ovs_bpa_bp_company_27"] :  ( strArray[1] == "" ?  "-":$.localeResource['BocAbroad_SinBpayPay']["ovs_bpa_bp_company_28"]);

                                                }
                                            }
                                            else{

                                                ////单独处理的
                                                //if((this.data[i].billerCode == "20103001" || this.data[i].billerCode  == "20038001") && d == "billerRef4") {
                                                //    $('#starbillerRef4').removeClass('show').addClass('hide');
                                                //}
                                                var typeMap  = this.data[i].typeMap ;
                                                var str = '#li_' + d;
                                                $(str).removeClass('hide').addClass('show'); //显示项
                                                str = '#title_' + d;
                                                $(str).html($.localeResource['BocAbroad_SinBpayPay'][dic[d][typeMap[d]]]);
                                                str = '#' + d;
                                                $(str).html( this.data[i][d] == "" ? "-" : this.data[i][d]);
                                                if(this.data[i][d] != undefined){
                                                    _t.dicText[$.localeResource['BocAbroad_SinBpayPay'][dic[d][typeMap[d]]]] = this.data[i][d] == "" ? "-": this.data[i][d];
                                                }

                                            }

										}
									
									}
								}
								break;
							}
						}

					},
                    noresult:function(){
                        var noresultHtml = new EJS({
                            url: '../BocAbroad/views/bpay/aud/AudQueryHistoryList/noresult.ejs'
                        }).render();
                        $('#bpaypayCompanyView').html(noresultHtml);
                    },
					onLoadFinish: function(data) {
						var _t = this;
						new common.ScrollPagination({
							pageSize: 50,
							recordNum: 10000,
							el: _t.domNode,
							getPageData: function(pageSize, currentPage, startIdx, endIdx, callback) {
                                //this.removeTip();
                                if(_t.data.length  == _t.recordNumber || _t.data.length  == _t.recordNumber % pageSize){
                                    this.removeTip();
                                    return;
                                }


                                var params = {
                                    "currentIndex": _t.data.length / pageSize *  pageSize ,
                                    "pageSize": pageSize
                                };

                                var p = this;

								model.interaction({
									method: routesUtil.method.BII.OvpSinBpayPayeeListQry,
									params: params,
                                    loadingMask:_t.flag
								}, "BII", function(data) {
                                    //alert("aaaaaaaaa" + data.list.length);
                                    _t.flag = false;
                                    _t.recordNumber = data.recordNumber;
                                    p.setRecordNum(data.recordNumber);
                                    p.removeTip();

                                    if(_t.data.length != data.recordNumber)
                                        _t.data = _t.data.concat(data.list);
									_t.append(_t.domNode, new EJS({
										url: '../BocAbroad/views/bpay/sin/bpayPay/bpayPayChoiceCompanyView.ejs'
									}).render({
										data: {billerBookList: data.list, startIdx: startIdx != 0 ? startIdx - 1 : startIdx}
									}));


                                    if (data.list.length ==0){
                                        _t.noresult();
                                        return;
                                    }
								}, {errorFun:function(data){ common.showMessage(data, function(){common.fullLayer.close()});;}});

							}
						});
					}
				})
			});
		},
		//执行方式
		onChoice: function() {
            var _t = this;
             common.fullLayer.show({
             classes:"halfLayer", 
             closeByMask:true,
             view: new($.extendCls(controller, {
             ejs: "../BocAbroad/views/bpay/sin/bpayPay/bpayPayChoiceWayView.ejs"
             }))({
             id: 'bpayPayChoiceWayView',
             onTime: function(e) {
                common.fullLayer.close(e);
                 $("#txtWay").html($.localeResource['BocAbroad_SinBpayPay'].l_way);
                 _t.transMode = "0";
                 _t.assignedDate = "";
                 $("#ll_date").removeClass("show").addClass("hide");
             },
             onDate:function(e){
                 common.fullLayer.close(e);
                _t.onDate();
             }
             })
             }, $.localeResource['BocAbroad_SinBpayPay'].l_choiceway);
		},
		// 返回主菜单
		onBack: function(data) {
            var params = "";
            if(data == undefined || data == "")
                params = "entrance";
            else
                params = data;
            bocovsbridge.navigateToPage(function(data){}, function(data){},params);
		},
        onBackUI: function() {
            bocovsbridge.navigateToPage(function(data){}, function(data){}, "entrance");
        },
		//显示date
		onDate: function() {
            var _t = this;
            var params = "";
            var dateMin = "";
            var dateMax = "";
            if(_t.assignedDate == ""){
                if(_t.sysTime != ""){
                    //alert(_t.sysTime);
                    var sysDate = dateUtil.parse(_t.sysTime, 'yyyy/MM/dd hh:mm:ss');
                    //var str = _t.sysTime.split(' ');
                    //str = str[0].split('/');
                    //var date = new Date(str[0], str[1], str[2]);

                    dateMin = dateUtil.addDays(sysDate, 1);
                    dateMax = dateUtil.addMonths(sysDate, 1);
                    params = pluginsUtil.createSigleDateSelectParams({min:dateUtil.format(dateMin, "dd/MM/yyyy"),
                        max:dateUtil.format(dateMax, "dd/MM/yyyy"), def:dateUtil.format(dateMin,"dd/MM/yyyy")}, "dd/MM/yyyy");
                }
                else{
                    var  date = new Date();

                    dateMax = dateUtil.addMonths(date.getMonth(), 1);
                    dateMin = dateUtil.addDays(date.getDay(), 1);
                    params = pluginsUtil.createSigleDateSelectParams({min:dateUtil.format(dateMin, "dd/MM/yyyy"),
                        max:dateUtil.format(dateMax, "dd/MM/yyyy"), def:dateUtil.format(dateMin,"dd/MM/yyyy")}, "dd/MM/yyyy");
                }
            }
            else{
                var sysDate = dateUtil.parse(_t.sysTime, 'yyyy/MM/dd hh:mm:ss');
                //alert(_t.assignedDate);
                var choiceDate = dateUtil.parse(_t.assignedDate, 'yyyy/MM/dd');
                dateMin = dateUtil.addDays(sysDate, 1);
                dateMax = dateUtil.addMonths(sysDate, 1);
                params = pluginsUtil.createSigleDateSelectParams({min:dateUtil.format(dateMin, "dd/MM/yyyy"),
                    max:dateUtil.format(dateMax, "dd/MM/yyyy"), def:dateUtil.format(choiceDate,"dd/MM/yyyy")}, "dd/MM/yyyy");
            }

            bocovsbridge.showDatePicker(function(data){
                if(!data.close){

                    _t.assignedDateShow = data.picker.single;
                    _t.assignedDate = dateUtil.format(dateUtil.parse(_t.assignedDateShow, 'dd/MM/yyyy'), "yyyy/MM/dd");
                    $("#ll_date").removeClass("hide").addClass("show");
                    $('#txtDate').html(_t.assignedDateShow);
                    $("#txtWay").html($.localeResource['BocAbroad_SinBpayPay'].l_sinbpay3);
                    _t.transMode = "1";
                }
                else{

                }

            }, function(data){
               console(data);
            }, params);
		},
        //确认接口
        _OvpSinBpayPaymentPre:function(){
          var _t = this;
            var params = {
                conversationId:_t.conversationId,
                accountId: _t.accountId,
                payeeId: _t.payeeId,
                currencyCode: "018",
                amount:_t.money,
                billerCode: $('#txtBillerCode').val(),
                billerName: $('#txtBillerName').text(),
                billerAlias: $('#txtBillerAlias').html(),
                description: $('#txtDescribe').val(),
                assignedDate: _t.assignedDate,
                transMode: _t.transMode
            };
            var functionId = "";
            if(_t.transMode == "0")
                functionId = routesUtil.method.BII.OvpSinBpayPaymentPre;
            else
                functionId =  routesUtil.method.BII.OvpSinBpaySchedPaymentPre;
            model.interaction({
                method: functionId,
                params: params
            }, "BII", function(data) {
                _t.onShowChoiceEtokenPasswordPage(data);

            });
        },
        //显示选择认证方式页面
        onShowChoiceEtokenPasswordPage: function(data){
                var _t = this;
                var params = {};
                var typeList = [];
                for(var i = 0; i < data._combinList.length; i ++){
                    typeList.push(data._combinList[i].id + "");
                }
                params['typeList'] = typeList;
                bocovsbridge.showChoiceEtokenPasswordPage(function(data){
                        if(data.close == false){
                            /**
                             * _combinList	安全因子组合
                             name	安全因子名称
                             id	安全因子组合ID
                             safetyFactorList	安全因子因子组合列表
                             [{"name":"id_1","id":"8","safetyFactorList":["068","042"]}]
                             */
                            var params = {
                                conversationId:_t.conversationId,
                                accountId: _t.accountId,
                                payeeId: _t.payeeId,
                                currencyCode: "018",
                                amount: _t.money,
                                billerCode: $('#txtBillerCode').val(),
                                billerName: $('#txtBillerName').text(),
                                billerAlias: $('#txtBillerAlias').html(),
                                description: $('#txtDescribe').val(),
                                transMode: _t.transMode,
                                assignedDate: _t.assignedDate,
                                _combinId: data.type
                            };
                            var functionId = "";
                            if(_t.transMode == "0")
                                functionId = routesUtil.method.BII.OvpSinBpayPaymentConfirm;
                            else
                                functionId =  routesUtil.method.BII.OvpSinBpaySchedPaymentConfirm;
                            model.interaction({
                                method: functionId,
                                params: params
                            }, "BII", function(data) {
                                //不挑战
                                if(data._challengeCode  == null){
                                    _t._challengeCode = false;
                                }
                                else{
                                    _t._challengeCode = data._challengeCode;
                                }

                                for(var i = 0; i < data.factorList.length; i++){
                                    if(data.factorList[i].field.name == "Otp")
                                        _t.tokenClass.push("1");//动态口令 1代
                                    else if(data.factorList[i].field.name == "Smc")
                                        _t.tokenClass.push("3");//// 短信验证码
                                    else if(data.factorList[i].field.name == "Tsp")
                                        _t.tokenClass.push("2"); //动态口令 2代
                                }

                                model.interaction({
                                    method: routesUtil.method.BII.OverseaGetRandom,
                                    params: {conversationId: _t.conversationId}
                                }, "BII", function(data) {
                                    _t.onTokePassword(data);
                                });

                            });
                        }

                    }, function(data){

                    },
                    params);
        },
        //显示tokenPassword
        onTokePassword:function(data){
            var _t = this;
            var params = {};

            if(data == null){
                _t.bTest = true;
                params = {cipher:false,challengeCode:_t._challengeCode, tokenClass: _t.tokenClass, conversationId: _t.conversationId};
            }
            else{

                params = {
                    cipher:true,
                    challengeCode:_t._challengeCode,
                    tokenClass:_t.tokenClass,
                    cipherType: "1",
                    randomeKey_S: data,
                    outputValueType: "2",
                    passwordRegularExpression: "",
                    passwordMinLength: "1",
                    passwordMaxLength: "6",
                    keyboardType: "1",
                    conversationId: _t.conversationId
                    };
                _t.bTest = false;
            }

            bocovsbridge.showEtokenPasswordPage(function(data){
                    if(!_t.bTest){
                        _t.otp = data.password;
                        _t.otp_rc = data.random;
                        _t.version = data.version;
                        _t.tokenType = data.type;
                    }
                    else{
                        _t.otp = data.password;
                        _t.otp_rc = "";
                        _t.tokenType = data.type;
                    }
                    if(data.close == false)
                        _t._OvcGetTokenId();

            }, function(data){

            },
            params);

        },

        _OvcGetTokenId: function(){
            var _t = this;
            model.interaction({
                method: routesUtil.method.BII.OvcGetTokenId,
                params: {conversationId:_t.conversationId}
            }, "BII", function(data) {
                _t.token = data.token;
                _t._OvpSinBpayPayment();
            });
        },
        _OvpSinBpayPayment:function(){
            var _t = this;
			   var params = {};
            if(_t.tokenType == "1"){
                params = {
            	conversationId:_t.conversationId,
                accountId: _t.accountId,
                currencyCode: "018",
                amount: _t.money,
                payeeId: _t.payeeId,
                billerCode: $('#txtBillerCode').val(),
                billerName: $('#txtBillerName').text(),
                billerAlias: $('#txtBillerAlias').html(),
                description: $('#txtDescribe').val(),
                assignedDate: _t.assignedDate,
                transMode: _t.transMode,
                Otp: _t.otp,
                Otp_RC: _t.otp_rc,
                state: "",
                activ: _t.version,
                token: _t.token,
				};
			}
			else if(_t.tokenType == "2"){
			                params = {
            	conversationId:_t.conversationId,
                accountId: _t.accountId,
                currencyCode: "018",
                amount: _t.money,
                payeeId: _t.payeeId,
                billerCode: $('#txtBillerCode').val(),
                billerName: $('#txtBillerName').text(),
                billerAlias: $('#txtBillerAlias').html(),
                description: $('#txtDescribe').val(),
                assignedDate: _t.assignedDate,
                transMode: _t.transMode,
                Tsp: _t.otp,
                Tsp_RC: _t.otp_rc,
                state: "",
                activ: _t.version,
                token: _t.token,

				};
			}
            else if(_t.tokenType == "3"){
                params = {
                    conversationId:_t.conversationId,
                    accountId: _t.accountId,
                    currencyCode: "018",
                    amount: _t.money,
                    payeeId: _t.payeeId,
                    billerCode: $('#txtBillerCode').val(),
                    billerName: $('#txtBillerName').text(),
                    billerAlias: $('#txtBillerAlias').html(),
                    description: $('#txtDescribe').val(),
                    assignedDate: _t.assignedDate,
                    transMode: _t.transMode,
                    Smc: _t.otp,
                    Smc_RC: _t.otp_rc,
                    state: "",
                    activ: _t.version,
                    token: _t.token,

                };
            }
            var functionId = "";
            if(_t.transMode == "0")
                functionId = routesUtil.method.BII.OvpSinBpayPayment;
            else
                functionId = routesUtil.method.BII.OvpSinBpaySchedPayment;
            model.interaction({
                method: functionId,
                params: params
            }, "BII", function(data1) {
                var exchangeSeq = ""
                var amount = data1.amount;
                var paymentDate = "";
                var str = "";
                if(_t.transMode == "0"){
                	paymentDate = data1.paymentDate;
                	exchangeSeq = data1.receiptNum;
                    str = $.localeResource['BocAbroad_SinBpayPay'].l_way;
                }
                else{
                	paymentDate = data1.paymentDate;
                	exchangeSeq = data1.receiptNum;
                    str = $.localeResource['BocAbroad_SinBpayPay'].l_sinbpay3;
                }
                //alert("paymentDate" + paymentDate );
                var time = dateUtil.parse(paymentDate, 'yyyy/MM/dd');
                //成功回显示界面
                common.fullLayer.show({
                    //classes:"fulllayer",
                    view: new($.extendCls(controller, {
                        ejs: "../BocAbroad/views/bpay/sin/bpayPay/bpayPayResult.ejs"
                    }))({
                        id: 'bpayPayResultView',
                        data: [{
                            exchangeSeq: exchangeSeq,
                            amount: amount.toString().formatMoney(_t.currencyCode),
                            accountNumber: _t.accountNumber,
                            accountId: _t.accountId,
                            billerCode: $('#txtBillerCode').val(),
                            billerName: $('#txtBillerName').text(),
                            billerAlias: $('#txtBillerAlias').html(),
                            describe: $('#txtDescribe').val(),
                            assignedDate: dateUtil.format(time, "dd/MM/yyyy"),
                            transMode: _t.transMode,
                            transModeTxt: str,
                            type:"SGD",
                            dicText: _t.dicText
                        }],
                        onBack: function(e) {
                            common.fullLayer.close(e);
                            _t.onBack('home');
                        },
                        _hisClose:function(e){
                            common.fullLayer.close(e);


                            common.params.targetRouter = {
                                routerKey: "BocAbroad_SinBpayPay",
                                isExcuteInit: false,
                                excuteFun: null,
                                funArgs: null,
                                moduleArgs: []
                            }
                            common.triggerRouter(common.params.targetRouter);
                            _t.clearData()
                        }
                    })
                }, "");

            });
        },
        clearData: function () {
            var _t = this;
            _t.noFiterAccList = [];
            _t.acctList = [];
            _t.billerBookList = []; //公司信息
        },

		destroy: function() {
			$.proxy(this.baseprototype.destroy, this)();
		}
	});

	return common.Module.sub({
		_constructor: function() {
			this.mainView = null;
			$.proxy(this.baseprototype._constructor, this)();
		},
		init: function() {
			this.mainView = new mainView({
				id: "bpayPaySin",
				el: "#loginViewWrap",
				eloper: "html",
				//参数
				data: {
					acctTypeList: ["201", "203", "212"]
				}
			});
			this.mainView.load();

		},
		destroy: function() {
			this.mainView.destroy();
		}
	});
});