define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil','amountUtil','checkForm'], function($, common, controller, model, routesUtil,amountUtil,checkForm) {
    var mainView = $.extendCls(controller, {
        ejs: '../BocAbroad/views/transfer/BangkokAddPayee.ejs',
        _hisClose: function(e){
            bocovsbridge.navigateToPage(function (params) {
            }, function (params) {
            }, 'back');
        },
        imgName:function(){
            var imgSrc = $('#savePayee').attr('src');
            if(imgSrc == 'images/boz_02.png'){
                $('#savePayee').attr('src','images/boz_01.png');
                $('#savePayee').attr('name',"true");
            }else{
                $('#savePayee').attr('src','images/boz_02.png');
                $('#savePayee').attr('name',"false");
            }
        },
        bankList:function(){
            var _typeId = $('#typeId').val();
            var id = '';
            if(_typeId == '1'){
                id = 19;
            }if(_typeId == '0'){
                id = 26;
            }if(_typeId == '2'){
                id = 27;
            }
            if(id != '') {
                model.interaction({//修改交易纪录
                    method: routesUtil.method.BII.OvpBankQryByClear,
                    params: {
                        cleaningId: id
                    }
                }, "BII", function (data) {
                    var banklist = data.bankList;
                    common.fullLayer.show({
                        view: new ($.extendCls(controller, {
                            ejs: "../BocAbroad/views/transfer/BangkokBankList.ejs",
                        }))({
                            id: 'banklist1',
                            data: banklist,
                            _hisBankClose: function (e) {
                                common.fullLayer.close(e);
                            },
                            optionBank: function (e) {
                                var bankName = e.currentTarget.children[0].id;
                                var bankCode = e.currentTarget.children[1].id;
                                common.fullLayer.close(e);
                                $("#bankName").text(bankName);
                                $("#bankCode").val(bankCode);
                            }
                        })
                    }, true);
                    var _title = common.strLong($.localeResource["BocAbroad_BangkokAddPayee"].ovs_bkk_pm_select, 25);
                    $("#optionBankName").html(_title);
                });
            }else{
                var msg = $.localeResource["BocAbroad_BangkokAddPayee"].ovs_bkk_pm_payeetypekong;
                common.showMessage(msg);
                return;
            }
        },
        typeList:function(){
            common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/transfer/BangkokTypeList.ejs",
                }))({
                    id: 'typelist',
                    data:null,
                    _hisBankClose: function(e){
                        common.fullLayer.close(e);
                    },
                    optionType:function(e){
                        var typeId = e.currentTarget.children[0].id;
                        var typeHtml = e.currentTarget.children[0].innerHTML;
                        common.fullLayer.close(e);
                        $("#typeId").val(typeId);
                        $("#typeName").html(typeHtml);
                        var str = $.localeResource["BocAbroad_BangkokAddPayee"].ovs_bkk_pm_select;
                        $("#bankName").html(str);
                        $("#bankCode").val('');
                    }
                })
            },true);
            var _title = common.strLong($.localeResource["BocAbroad_BangkokAddPayee"].ovs_bkk_pm_select,25);
            $("#optionBankName").html(_title);
        },
        otherBankSubmit:function(e){
            var _bankName = $("#bankName").html();
            var _typeName = $("#typeName").html();
            if(_typeName != '请选择' && _typeName != '' && _typeName != 'undefined' && _typeName != 'Select') {
                if (_bankName != '请选择' && _bankName != '' && _bankName != 'undefined' && _bankName != 'Select') {
                    if (!checkForm.checkAll(".boc-input-import")) {
                        return false;
                    } else {
                        var _turncode = $('#payeecode').val().trim();
                        var _payeename = $('#payeename').val().trim();
                        var _typeId = $('#typeId').val();
                        var _bankCode = $('#bankCode').val();
                        var id = '';
                        if(_typeId == '1'){
                            id = 19;
                        }if(_typeId == '0'){
                            id = 26;
                        }if(_typeId == '2'){
                            id = 27;
                        }
                        var params = {
                            transPayeeInfor: {
                                payeeEnName: _payeename,
                                accountNumber: _turncode,
                                branchId: _bankCode,
                                payeeAcctType: id,
                                bankName: $('#bankName').html()
                            },
                            savePayee: $('#savePayee').attr('name'),
                            transType:_typeId
                        }
                        bocovsbridge.backToTransAcctInfoPage(function (data) {
                            //回调
                        }, function (data) {
                        }, params);
                    }
                }else{
                    var msg = $.localeResource["BocAbroad_BangkokAddPayee"].ovs_bkk_pm_banknamekong;
                    common.showMessage(msg);
                    return;
                }
            }else{
                var msg = $.localeResource["BocAbroad_BangkokAddPayee"].ovs_bkk_pm_payeetypekong;
                common.showMessage(msg);
                return;
            }
        },
        onSubError: function(err) {
        },
        serviceFormParams: function() {
            return {};
        },
        //返回的列表数据
        onLoadFinish: function() {
            /*common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/transfer/BangkokAddPayee.ejs",
                }))({
                    id: 'banklist1',
                    data:'',

                })
            });
            var _title = common.strLong($.localeResource["BocAbroad_BangkokAddPayee"].ovs_bkk_pm_addpayee,25);
            $("#addpayee").html(_title);*/
        },
        //执行方式
        onChoice: function() {
        },
        destroy: function() {

        },
        //提交
        onSubmit:function(){
        }
    });
    return common.Module.sub({
        _constructor: function() {
            this.mainView = null;
            $.proxy(this.baseprototype._constructor, this)();
        },
        init: function() {
            this.mainView = new mainView({
                id: "billerDetailManage",
                el: "#loginViewWrap",
                eloper: "html",
                //参数
                data: {
                    type: "sin",
                }
            });
            this.mainView.load();
        },
        destroy: function() {
            this.mainView.destroy();
        }
    });
});