define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil','amountUtil','checkForm'], function($, common, controller, model, routesUtil,amountUtil,checkForm) {
    var mainView = $.extendCls(controller, {
        ejs: '../BocAbroad/views/transfer/HCMAddPayee.ejs',
        _hisClose: function(e){
            bocovsbridge.navigateToPage(function (params) {
            }, function (params) {
            }, 'back');
        },
        imgName:function(){
            var imgSrc = $('#savePayee').attr('src');
            if(imgSrc == 'images/boz_02.png'){
                $('#savePayee').attr('src','images/boz_01.png');
                $('#savePayee').attr('name',"true");
            }else{
                $('#savePayee').attr('src','images/boz_02.png');
                $('#savePayee').attr('name',"false");
            }
        },
        areaList : function(){
            var list = this.reList();
            common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/transfer/HCMAreaList.ejs",
                }))({
                    id: 'banklist1',
                    data:list,
                    _hisBankClose: function(e){
                        common.fullLayer.close(e);
                    },
                    optionBank:function(e){
                        var id = e.currentTarget.children[0].id;
                        var name = e.currentTarget.children[0].innerText;
                        common.fullLayer.close(e);
                        $("#areaName").text(name);
                        $("#areaId").val(id);
                        var clearText = $.localeResource["BocAbroad_HCMAddPayee"].ovs_hcm_pm_select;
                        $("#bankName").text(clearText);
                        $("#bankCode").val();
                        $("#hidyi").css("display","block");
                        $("#hid1").attr("class","boc-input-import");
                        $("#erbankName").text('');
                        $("#erbankCode").val();
                        $("#hider").css("display","none");
                        $("#hid2").removeAttr("class");
                    }
                })
            },true);
        },
        bankList:function(){//一级
            var _areaCode = $("#areaId").val();
            model.interaction({
                method: routesUtil.method.BII.OvpBankQryByClear,
                params: {
                    cleaningId:13,
                    areaCode:_areaCode
                }
            }, "BII", function(data) {
                var banklist = data.bankList;
                common.fullLayer.show({
                    view: new ($.extendCls(controller, {
                        ejs: "../BocAbroad/views/transfer/HCMBankList.ejs",
                    }))({
                        id: 'banklist1',
                        data:banklist,
                        _hisBankClose: function(e){
                            common.fullLayer.close(e);
                        },
                        optionBank:function(e){
                            var bankName = e.currentTarget.children[0].id;
                            var bankCode = e.currentTarget.children[1].id;
                            common.fullLayer.close(e);
                            $("#bankName").text(bankName);
                            $("#bankCode").val(bankCode);
                            var clearText = $.localeResource["BocAbroad_HCMAddPayee"].ovs_hcm_pm_select;
                            $("#erbankName").text(clearText);
                            $("#erbankCode").val();
                            $("#hider").css("display","block");
                            $("#hid2").attr("class","boc-input-import");
                        }
                    })
                },true);
                var _title = common.strLong($.localeResource["BocAbroad_HCMAddPayee"].ovs_hcm_pm_select,25);
                $("#optionBankName").html(_title);
            });
        },
        erbankList:function(){//二级
            var _bankCode = $("#bankCode").val();
            model.interaction({
                method: routesUtil.method.BII.OvpBankQryByClear,
                params: {
                    cleaningId:13,
                    bankId:_bankCode
                }
            }, "BII", function(data) {
                var banklist = data.bankList;
                common.fullLayer.show({
                    view: new ($.extendCls(controller, {
                        ejs: "../BocAbroad/views/transfer/HCMErBankList.ejs",
                    }))({
                        id: 'banklist1',
                        data:banklist,
                        _hisBankClose: function(e){
                            common.fullLayer.close(e);
                        },
                        optionBank:function(e){
                            var erbankName = e.currentTarget.children[0].id;
                            var erbankCode = e.currentTarget.children[1].id;
                            common.fullLayer.close(e);
                            $("#erbankName").text(erbankName);
                            $("#erbankCode").val(erbankCode);
                        }
                    })
                },true);
                var _title = common.strLong($.localeResource["BocAbroad_HCMAddPayee"].ovs_hcm_pm_select,25);
                $("#optionBankName").html(_title);
            });
        },
        //p701-增加收款人名称提示信息
        blueMsg:function(){
            var _payeename = $('#payeename').val();
            var num = 70 - _payeename.length;
            var str1 = $.localeResource["BocAbroad_HCMAddPayee"].ovs_hcm_pm_msg1;
            var str2 = $.localeResource["BocAbroad_HCMAddPayee"].ovs_hcm_pm_msg2;
            $('#msg').html(str1 + num + str2);
            var str = $.localeResource["BocAbroad_HCMAddPayee"].ovs_hcm_pm_msg;
            $('#msg2').html(str);
            $('#hid').css("display","block");
            return;
        },
        reList:function(){
            var list = {
                data:[
                    {"id":"01","name":"Thanh pho Ha Noi"},
                    {"id":"02","name":"Tinh Ha Giang"},
                    {"id":"04","name":"Tinh Cao Bang"},
                    {"id":"06","name":"Tinh Bac Kan"},
                    {"id":"08","name":"Tinh Tuyen Quang"},
                    {"id":"10","name":"Tinh Lao Cai"},
                    {"id":"11","name":"Tinh Dien Bien"},
                    {"id":"12","name":"Tinh Lai Chau"},
                    {"id":"14","name":"Tinh Son La"},
                    {"id":"15","name":"Tinh Yen Bai"},
                    {"id":"17","name":"Tinh Hoa Binh"},
                    {"id":"19","name":"Tinh Thai Nguyen"},
                    {"id":"20","name":"Tinh Lang Son"},
                    {"id":"22","name":"Tinh Quang Ninh"},
                    {"id":"24","name":"Tinh Bac Giang"},
                    {"id":"25","name":"Tinh Phu Tho"},
                    {"id":"26","name":"Tinh Vinh Phuc"},
                    {"id":"27","name":"Tinh Bac Ninh"},
                    {"id":"28","name":"Tinh Ha Tay"},
                    {"id":"30","name":"Tinh Hai Duong"},
                    {"id":"31","name":"Thanh pho Hai Phong"},
                    {"id":"33","name":"Tinh Hung Yen"},
                    {"id":"34","name":"Tinh Thai Binh"},
                    {"id":"35","name":"Tinh Ha Nam"},
                    {"id":"36","name":"Tinh Nam Dinh"},
                    {"id":"37","name":"Tinh Ninh Binh"},
                    {"id":"38","name":"Tinh Thanh Hoa"},
                    {"id":"40","name":"Tinh Nghe An"},
                    {"id":"42","name":"Tinh Ha Tinh"},
                    {"id":"44","name":"Tinh Quang Binh"},
                    {"id":"45","name":"Tinh Quang Tri"},
                    {"id":"46","name":"Tinh Thua Thien Hue"},
                    {"id":"48","name":"Thanh pho Da Nang"},
                    {"id":"49","name":"Tinh Quang Nam"},
                    {"id":"51","name":"Tinh Quang Ngai"},
                    {"id":"52","name":"Tinh Binh Dinh"},
                    {"id":"54","name":"Tinh Phu Yen"},
                    {"id":"56","name":"Tinh Khanh Hoa"},
                    {"id":"58","name":"Tinh Ninh Thuan"},
                    {"id":"60","name":"Tinh Binh Thuan"},
                    {"id":"62","name":"Tinh Kon Tum"},
                    {"id":"64","name":"Tinh Gia Lai"},
                    {"id":"66","name":"Tinh Dak Lak"},
                    {"id":"67","name":"Tinh Dak Nong"},
                    {"id":"68","name":"Tinh Lam Dong"},
                    {"id":"70","name":"Tinh Binh Phuoc"},
                    {"id":"72","name":"Tinh Tay Ninh"},
                    {"id":"74","name":"Tinh Binh Duong"},
                    {"id":"75","name":"Tinh Dong Nai"},
                    {"id":"77","name":"Tinh Ba Ria - Vung Tau"},
                    {"id":"79","name":"Thanh pho Ho Chi Minh"},
                    {"id":"80","name":"Tinh Long An"},
                    {"id":"82","name":"Tinh Tien Giang"},
                    {"id":"83","name":"Tinh Ben Tre"},
                    {"id":"84","name":"Tinh Tra Vinh"},
                    {"id":"86","name":"Tinh Vinh Long"},
                    {"id":"87","name":"Tinh Dong Thap"},
                    {"id":"89","name":"Tinh An Giang"},
                    {"id":"91","name":"Tinh Kien Giang"},
                    {"id":"92","name":"Thanh pho Can Tho"},
                    {"id":"93","name":"Tinh Hau Giang"},
                    {"id":"94","name":"Tinh Soc Trang"},
                    {"id":"95","name":"Tinh Bac Lieu"},
                    {"id":"96","name":"Tinh Ca Mau"},
                ]
            };
            return list;
        },
        otherBankSubmit:function(e){
            if(!checkForm.checkAll(".boc-input-import")){
                return false;
            }else{
                var _areaName = $("#areaName").html();
                if (_areaName != '请选择' && _areaName != '' && _areaName != 'undefined' && _areaName != 'Select'){
                    var _bankName = $("#bankName").html();
                    //var _bankCode = $("#bankCode").val();
                    if (_bankName != '请选择' && _bankName != '' && _bankName != 'undefined' && _bankName != 'Select'){
                        var _erbankName = $("#erbankName").html();
                        var _erbankCode = $("#erbankCode").val();
                        if (_erbankName != '请选择' && _erbankName != '' && _erbankName != 'undefined' && _erbankName != 'Select'){
                            var _payeename = $("#payeename").val().trim();
                            var _payeecode = $('#payeecode').val().trim();
                            var _areaId = $('#areaId').val();
                            var params = {
                                transPayeeInfor: {
                                    payeeEnName: _payeename,
                                    accountNumber: _payeecode,
                                    payeeAcctType: 13,
                                    branchId:_erbankCode,
                                    bankName: _erbankName,
                                    payeeAddress:_areaId
                                },
                                savePayee: $('#savePayee').attr('name')
                            }
                            bocovsbridge.backToTransAcctInfoPage(function (data) {
                                //回调
                            }, function (data) {
                            }, params);
                        } else {
                            var msg = $.localeResource["BocAbroad_HCMAddPayee"].ovs_hcm_pm_erbankkong;
                            common.showMessage(msg);
                            return;
                        }
                    } else {
                        var msg = $.localeResource["BocAbroad_HCMAddPayee"].ovs_hcm_pm_yibankkong;
                        common.showMessage(msg);
                        return;
                    }
                } else {
                    var msg = $.localeResource["BocAbroad_HCMAddPayee"].ovs_hcm_pm_areakong;
                    common.showMessage(msg);
                    return;
                }
            }
        },
        onSubError: function(err) {
        },
        serviceFormParams: function() {
            return {};
        },
        //返回的列表数据
        onLoadFinish: function() {
           /* common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/transfer/JakartaAddPayee.ejs",
                }))({
                    id: 'banklist1',
                    data:'',

                })
            });
            var _title = common.strLong($.localeResource["BocAbroad_JakartaAddPayee"].ovs_jk_pm_addpayee,25);
            $("#addpayee").html(_title);*/
        },
        //执行方式
        onChoice: function() {
        },
        destroy: function() {

        },
        //提交
        onSubmit:function(){
        }
    });
    return common.Module.sub({
        _constructor: function() {
            this.mainView = null;
            $.proxy(this.baseprototype._constructor, this)();
        },
        init: function() {
            this.mainView = new mainView({
                id: "billerDetailManage",
                el: "#loginViewWrap",
                eloper: "html",
                //参数
                data: {
                    type: "sin",
                }
            });
            this.mainView.load();
        },
        destroy: function() {
            this.mainView.destroy();
        }
    });
});