define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil','amountUtil','checkForm'], function($, common, controller, model, routesUtil,amountUtil,checkForm) {
    var mainView = $.extendCls(controller, {
        ejs: '../BocAbroad/views/transfer/JakartaAddPayee.ejs',
        _hisClose: function(e){
            bocovsbridge.navigateToPage(function (params) {
            }, function (params) {
            }, 'back');
        },
        imgName:function(){
            var imgSrc = $('#savePayee').attr('src');
            if(imgSrc == 'images/boz_02.png'){
                $('#savePayee').attr('src','images/boz_01.png');
                $('#savePayee').attr('name',"true");
            }else{
                $('#savePayee').attr('src','images/boz_02.png');
                $('#savePayee').attr('name',"false");
            }
        },
        bankList:function(){
            var id = '';
            var _typeId = $("#typeId").val();
            if(_typeId == '0'){
                id = 7;
            }else{
                id = 8;
            }
            model.interaction({//修改交易纪录
                method: routesUtil.method.BII.OvpBankQryByClear,
                params: {
                    cleaningId:id
                }
            }, "BII", function(data) {
                var banklist = data.bankList;
                common.fullLayer.show({
                    view: new ($.extendCls(controller, {
                        ejs: "../BocAbroad/views/transfer/JakartaBankList.ejs",
                    }))({
                        id: 'banklist1',
                        data:banklist,
                        _hisBankClose: function(e){
                            common.fullLayer.close(e);
                        },
                        optionBank:function(e){
                            var bankName = e.currentTarget.children[0].id;
                            var bankCode = e.currentTarget.children[1].id;
                            common.fullLayer.close(e);
                            $("#bankName").text(bankName);
                            $("#bankCode").val(bankCode);
                            var _id = $("#typeId").val();
                            if(_id == '0'){
                                var clearText = $.localeResource["BocAbroad_JakartaAddPayee"].ovs_jk_pm_select;
                                $("#ruBankName").html(clearText);
                                $("#putong").css("display","block");
                            }
                        }
                    })
                },true);
                var _title = common.strLong($.localeResource["BocAbroad_JakartaAddPayee"].ovs_jk_pm_select,25);
                $("#optionBankName").html(_title);
            });

        },
        ruBankList:function(){
            var id = '';
            var _typeId = $("#typeId").val();
            if(_typeId == '0'){
                id = 7;
            }else{
                id = 8;
            }
            model.interaction({
                method: routesUtil.method.BII.OvpBankQryByClear,
                params: {
                    cleaningId:id,
                    bankId:$("#bankCode").val()
                }
            }, "BII", function(data) {
                var banklist = data.bankList;
                common.fullLayer.show({
                    view: new ($.extendCls(controller, {
                        ejs: "../BocAbroad/views/transfer/JakartaBankList.ejs",
                    }))({
                        id: 'banklist1',
                        data:banklist,
                        _hisBankClose: function(e){
                            common.fullLayer.close(e);
                        },
                        optionBank:function(e){
                            var bankName = e.currentTarget.children[0].id;
                            var bankCode = e.currentTarget.children[1].id;
                            common.fullLayer.close(e);
                            $("#ruBankName").text(bankName);
                            $("#ruBankCode").val(bankCode);
                        }
                    })
                },true);
                var _title = common.strLong($.localeResource["BocAbroad_JakartaAddPayee"].ovs_jk_pm_select,25);
                $("#optionBankName").html(_title);
            });

        },
        typeList:function(){
            common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/transfer/JakartaTypeList.ejs",
                }))({
                    id: 'typelist',
                    data:null,
                    _hisBankClose: function(e){
                        common.fullLayer.close(e);
                    },
                    optionType:function(e){
                        var typeId = e.currentTarget.children[0].id;
                        var typeHtml = e.currentTarget.children[0].innerHTML;
                        common.fullLayer.close(e);
                        $("#typeId").val(typeId);
                        $("#typeName").html(typeHtml);
                        var str = $.localeResource["BocAbroad_JakartaAddPayee"].ovs_jk_pm_select;
                        $("#ruBankName").html(str);
                        $("#bankName").html(str);
                        var _id = $("#typeId").val();
                        if(_id == '1'){
                            $("#ruBankName").html('');
                            $("#ruBankCode").val('');
                            $("#hid").removeClass();
                            $("#putong").css("display","none");
                        }else{
                            $("#hid").attr("class","boc-input-import");
                            $("#putong").css("display","none");
                        }
                    }
                })
            },true);
            var _title = common.strLong($.localeResource["BocAbroad_JakartaAddPayee"].ovs_jk_pm_select,25);
            $("#optionBankName").html(_title);
        },
        otherBankSubmit:function(e){
            var _bankName = $("#bankName").html();
            var _typeId = $("#typeId").val();
            if(_bankName != '请选择' && _bankName != '' && _bankName != 'undefined' && _bankName != 'Select') {
                if(_typeId == '0'){
                    var _ruBankName = $("#ruBankName").html();
                    if(_ruBankName == '请选择' || _ruBankName == 'Select' || _ruBankName == '' || _ruBankName == 'undefined') {
                        var msg = $.localeResource["BocAbroad_JakartaAddPayee"].ovs_jk_pm_zhuanrubankkong;
                        common.showMessage(msg);
                        return;
                    }
                }
                if (!checkForm.checkAll(".boc-input-import")) {
                    return false;
                }else{
                    var _payeename = $('#payeename').val().trim();
                    var _payeecode = $('#payeecode').val().trim();
                    var _transBankName = $('#ruBankName').html();
                    var params = {};
                    if(_typeId == '0'){
                        var _bankCode = $('#ruBankCode').val();
                        var _bankName = $("#ruBankName").html();
                        params = {
                            transPayeeInfor: {
                                payeeEnName: _payeename,
                                accountNumber: _payeecode,
                                payeeAcctType: 7,
                                branchId:_bankCode,
                                bankName: _bankName,
                            },
                            savePayee: $('#savePayee').attr('name'),
                            transType:_typeId,
                            payeeBankName:_transBankName
                        };
                        bocovsbridge.backToTransAcctInfoPage(function (data) {
                            //回调
                        }, function (data) {
                        }, params);
                    }else{
                        model.interaction({
                            method: routesUtil.method.BII.OvpBankQryByClear,
                            params: {
                                cleaningId:8,
                                bankId:$("#bankCode").val()
                            }
                        }, "BII", function(data) {
                            var banklist = data.bankList;
                            if(banklist != null){
                                var _name = banklist[0].orgChnName;
                                var _code = banklist[0].bankId;
                                params = {
                                    transPayeeInfor: {
                                        payeeEnName: _payeename,
                                        accountNumber: _payeecode,
                                        payeeAcctType: 8,
                                        branchId:_code,
                                        bankName: _name
                                    },
                                    savePayee: $('#savePayee').attr('name'),
                                    transType:_typeId
                                };
                                bocovsbridge.backToTransAcctInfoPage(function (data) {
                                    //回调
                                }, function (data) {
                                }, params);
                            }
                        });
                    }
                }
            }else{
                var msg = $.localeResource["BocAbroad_JakartaAddPayee"].ovs_jk_pm_banknamekong;
                common.showMessage(msg);
                return;
            }
        },
        onSubError: function(err) {
        },
        serviceFormParams: function() {
            return {};
        },
        //返回的列表数据
        onLoadFinish: function() {
           /* common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/transfer/JakartaAddPayee.ejs",
                }))({
                    id: 'banklist1',
                    data:'',
                })
            });
            var _title = common.strLong($.localeResource["BocAbroad_JakartaAddPayee"].ovs_jk_pm_addpayee,25);
            $("#addpayee").html(_title);*/
        },
        //执行方式
        onChoice: function() {
        },
        destroy: function() {

        },
        //提交
        onSubmit:function(){
        }
    });
    return common.Module.sub({
        _constructor: function() {
            this.mainView = null;
            $.proxy(this.baseprototype._constructor, this)();
        },
        init: function() {
            this.mainView = new mainView({
                id: "billerDetailManage",
                el: "#loginViewWrap",
                eloper: "html",
                //参数
                data: {
                    type: "sin",
                }
            });
            this.mainView.load();
        },
        destroy: function() {
            this.mainView.destroy();
        }
    });
});