//预约付款管理js
define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil','amountUtil','checkForm'], function($, common, controller, model, routesUtil,amountUtil,checkForm) {
    var conut = 0;
    var mainView = $.extendCls(controller, {
        ejs: "../BocAbroad/views/transfer/ParisSepa.ejs",

        _hisClose: function(e){
            var params = {};
            bocovsbridge.backToTransAcctInfoPage(function (params) {
            }, function (params) {
            }, {});
        },

        imgName:function(){
            var imgSrc = $('#savePayee').attr('src');
            if(imgSrc == 'images/boz_02.png'){
                $('#savePayee').attr('src','images/boz_01.png');
                $('#savePayee').attr('name',"true");
            }else{
                $('#savePayee').attr('src','images/boz_02.png');
                $('#savePayee').attr('name',"false");
            }
        },

        checkSwiftCode : function(e){
            var ibanCode = $('#ibanCode').val().trim();
            if(ibanCode !=''){
                model.interaction({//修改交易纪录
                    method: routesUtil.method.BII.OvcCreConversationWithToken,
                    params: {}
                }, "BII", function(data) {
                    var _conversationId = data.conversationId;
                    model.interaction({//修改交易纪录
                        method: routesUtil.method.BII.OvpIbanFormatCheck,
                        params: {
                            conversationId:_conversationId,
                            payeeActno:ibanCode,
                            transType:"SEPA"
                        }
                    }, "BII", function(data1) {
                        var ibanFormatFlag = data1.ibanFormatFlag;
                        var payeeBankSwift = data1.payeeBankSwift;
                        $('#hidCode').val(ibanFormatFlag);
                        if(ibanFormatFlag == 0){
                            $('#swiftCode').val(payeeBankSwift);
                        }else{
                            var msg = $.localeResource["BocAbroad_ParisSepa"].ovs_tr_pm_buhefa;
                            common.showMessage(msg);
                            return;
                        }
                    })
                })
            }
        },

        ovpSinSepaSubmit:function(e){
            if(!checkForm.checkAll(".boc-input-import")){
                return false;
            }else{
                var _swiftCode = $('#swiftCode').val().trim();
                var _ibanCode = $('#ibanCode').val().trim();
                var _payeeName = $('#payeeName').val().trim();
                var _hidCode = $("#hidCode").val();
                var _address = $('#payeeaddress').val();
                var params = {
                    transPayeeInfor: {
                        accountNumber: _ibanCode,
                        branchId: _swiftCode,
                        payeeEnName: _payeeName,
                        payeeAddress:_address,
                        payeeAcctType: 20
                    },
                    savePayee: $('#savePayee').attr('name')
                };
                if (_hidCode == '4') {
                    model.interaction({
                        method: routesUtil.method.BII.OvpTransOtherBankNameQry,
                        params: {
                            bankId: _swiftCode,
                            cleaningId: 20
                        }
                    }, "BII", function (data3) {
                        params.transPayeeInfor.bankName = data3.payeeBankName;
                        bocovsbridge.backToTransAcctInfoPage(function (data) {
                            //回调
                        }, function (data) {
                        }, params);
                    })
                }else {
                    model.interaction({//修改交易纪录
                        method: routesUtil.method.BII.OvcCreConversationWithToken,
                        params: {}
                    }, "BII", function (data) {
                        var _conversationId = data.conversationId;
                        model.interaction({
                            method: routesUtil.method.BII.OvpIbanSwiftMatchCheck,
                            params: {
                                conversationId: _conversationId,
                                payeeActno: _ibanCode,
                                payeeBankSwift: _swiftCode
                            }
                        }, "BII", function (data1) {
                            if (data1.IbanSwiftMatchFlag == 'false') {
                                var msg = $.localeResource["BocAbroad_ParisSepa"].ovs_tr_pm_bupipei;
                                var jixu = $.localeResource["BocAbroad_ParisSepa"].ovs_tr_pm_jixu;
                                common.popup.single(msg + jixu, function (e) {
                                    model.interaction({
                                        method: routesUtil.method.BII.OvpTransOtherBankNameQry,
                                        params: {
                                            bankId: _swiftCode,
                                            cleaningId: 20
                                        }
                                    }, "BII", function (data2) {
                                        params.transPayeeInfor.bankName = data2.payeeBankName;
                                        bocovsbridge.backToTransAcctInfoPage(function (data) {
                                            //回调
                                        }, function (data) {
                                        }, params);
                                    })
                                })
                            } else {
                                model.interaction({
                                    method: routesUtil.method.BII.OvpTransOtherBankNameQry,
                                    params: {
                                        bankId: _swiftCode,
                                        cleaningId: 20
                                    }
                                }, "BII", function (data3) {
                                    params.transPayeeInfor.bankName = data3.payeeBankName;
                                    bocovsbridge.backToTransAcctInfoPage(function (data) {
                                        //回调
                                    }, function (data) {
                                    }, params);
                                })
                            }
                        })
                    })
                }
            }
        },

        onSubError: function(err) {
        },
        serviceFormParams: function() {
            return {};
        },
        //返回的列表数据
        onLoadFinish: function() {
            /*common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/transfer/ParisSepa.ejs",
                }))({
                    id: 'sepaSepa',
                    data:'',
                })
            });
             var _title = common.strLong($.localeResource["BocAbroad_ParisSepa"].ovs_tr_pm_addpayee,25);
             $("#newPayee").html(_title);
             */
            document.addEventListener('deviceready', function(){
            bocovsbridge.retrieveTransAcctInfoModify(function (data) {
                if(JSON.stringify(data)!="")
                {
                    if(data.payeeAddress =="" || data.payeeAddress == null)
                    {
                        $('#newPayee').html(common.strLong($.localeResource["BocAbroad_ParisSepa"].ovs_tr_pm_modifyinfomation,50));
                        $('#payeeName').val(data.payeeEnName);
                        $('#savePayee').attr('name',"true");//此处为收款人地址默认保存。原本应是fasle，即不进行保存，但因为需求是添加地址然后覆盖到原信息，所以直接处理。dzx
                        $('#swiftCode').val(data.branchId);
                        $('#ibanCode').val(data.accountNumber);
                        this.checkSwiftCode();
                    }
                }
            }, function (data) {
            });
            }, false);
        },
        //执行方式
        onChoice: function() {
        },
        destroy: function() {
            $.proxy(this.baseprototype.destroy, this)();
        }
    });
    return common.Module.sub({
        _constructor: function() {
            this.mainView = null;
            $.proxy(this.baseprototype._constructor, this)();
        },
        //CSSPATH:['../BocAbroad/styles/SchePayManage.css'],
        init: function() {
            this.mainView = new mainView({
                id: "billerDetailManage",
                el: "#loginViewWrap",
                eloper: "html",
                //参数
                data: ''
            });
            this.mainView.load();
        },
        destroy: function() {
            this.mainView.destroy();
        }
    });
});