define("zepto", ["./lib/zepto",'./lib/zepto.bocextend'], function () {
    return $;
});
define('appconfig', [], function(){
    return {
        baseUrl: "scripts",
        waitSeconds: 30,
        paths: {
            domReady: "lib/domReady",
            ejs: "lib/ejs",
            bocejs: "lib/bocejs",
			cordova_android: "lib/cordova/android/cordova",//安卓回退
            cordova_ios:"lib/cordova/iOS/cordova",//苹果回退
            model: "public/model",
            common: "public/common",
            viewcontroller: "public/viewcontroller",
            routesUtil: "public/routesUtil",
            checkForm: "public/checkForm",
            constant: "public/constant",
            algorit:"public/algorit",
            amountUtil: "public/amountUtil",
            pluginsUtil: "public/pluginsUtil",
            dateUtil: "public/dateUtil",
            errMessage: "public/errMessage",
            SelectWidget: "lib/widgets/select_n",
            datepicker: "lib/widgets/datepicker",
            sip: "lib/HTML5SIP/sip.test",
            password: "lib/widgets/password",
            async: "lib/async",
            iscroll: "lib/iscroll",
            loginRouterPath: "../../Login/routes/routerPath",
            bocAbroadRouterPath: "../../BocAbroad/routes/routerPath",
            VldCodeImgWidget: "lib/widgets/vldCodeImg",
            audPayManageDetail:"../../BocAbroad/scripts/bpay/aud/bpayPay/AudPaymentManage/AudPayManageDetail",//澳大利亚－预约付款管理
            sinPayManageDetail:"../../BocAbroad/scripts/bpay/sin/bpayPay/SinPaymentManage/SinPayManageDetail",//新加坡－预约缴费管理
            caPayManageDetail:"../../BocAbroad/scripts/bpay/can/bpayPay/CaPrepaymentManage/CaPayManageDetail",//加拿大－预约缴费管理
            billPayeeMod:"../../BocAbroad/scripts/bpay/sin/bpayPay/SinBillPayeeManagement/billPayeeMod",//新加坡－收费机构管理修改
            billPayeeAdd:"../../BocAbroad/scripts/bpay/sin/bpayPay/SinBillPayeeManagement/billPayeeAdd",//新加坡－收费机构管理修改
            billPayeeDetail:"../../BocAbroad/scripts/bpay/sin/bpayPay/SinBillPayeeManagement/billPayeeDetail",//新加坡－收费机构管理修改
            addPayee:"../../BocAbroad/scripts/transfer/sin/trans/AddPayee",//转账汇款新增收款人
            jomPaymentCompanyDetail:"../../BocAbroad/scripts/bpay/jom/bpayPay/JomPaymentCompany/JomPaymentCompanyDetail",//加拿大－账单公司管理
            CaPayeeDetail:"../../BocAbroad/scripts/bpay/can/bpayPay/CaPayeeManagement/CaPayeeDetail",// 加拿大-收款人管理-详情（删除）
            CaPayeeMod:"../../BocAbroad/scripts/bpay/can/bpayPay/CaPayeeManagement/CaPayeeMod",// 加拿大-收款人管理-修改
            CaPayeeAdd:"../../BocAbroad/scripts/bpay/can/bpayPay/CaPayeeManagement/CaPayeeAdd"// 加拿大-收款人管理-添加

        },
        onAppInitBefore: function(){
            console.log('customer info: before app init')
        },
        onAppInitAfter: function($, Common, Model,RoutesUtil, nls){
            console.log('customer info: after app init')
            $('#localebtn').on('click', function(){
                var txt = $('#localebtn').text();
                Common.changeLocalizeResource(txt == '中文' ? 'zh' : 'en');
                $('#localebtn').text(txt == '中文' ? 'English' : '中文')
            });
        },
        onRouteBefore: function(){
            console.log('customer info: before enter to route')
        },
        onRouteAfter: function(){
            console.log('customer info: after route entered')
        }
    }
});