/**
 * Created by Pactera on 2015/11/7.
 */
define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil','checkForm'], function($, common, controller, model, routesUtil,checkForm) {
    var mainView = $.extendCls(controller, {
        //ejs: (common.terminal == 'android' || common.terminal == 'ios' || common.terminal == 'iPhone' || common.terminal == 'iPad') ? '../BocAbroad/views/bpay/sin/bpayPay/bpayPaySin.ejs' : '../Login/views/login_pc.ejs',
        ejs: '../BocAbroad/views/bpay/aud/AudBillerAddressBook/addBillerDetail.ejs',
        css: '',
        services: null,

        /**点击添加
         *需要：公司代码，名称，参考号，个性化名称
         *
         */
        onBpayBillerDetailAdd: function() {

            if(!checkForm.checkAll('.boc-input-import')){//验证页面信息。
                return;
            };
            //debugger;
            var billerCode = $("#billerCode").html();//账单公司代码
            var billerName = $("#billerName").html();//账单公司名称
            var cusRefNum = $("#cusRefNum").val();//客户参考号
            var billerAlias = $("#billerAlias").val();//个性化名称

            var params = {
                billerCode:billerCode,
                billerName:billerName,
                cusRefNum:cusRefNum.trim(),
                billerAlias:billerAlias.trim()

            };
            //params.qrycode = this.qrycode;//用于返回账单代码查询的时候携带以前输入的值
            common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/bpay/aud/AudBillerAddressBook/billerDetail.ejs"
                }))({
                    id: 'billerDetail',
                    data:params,
                    _hisClose: function(e){
                        common.fullLayer.close(e);
                    },
                    /**
                     * 点击确认
                     * 需要：公司代码，名称，参考号，个性化名称
                     */
                    onBpayBillerDetailSuc: function() {

                        model.interaction({
                            method: routesUtil.method.BII.OvcCreConversationWithToken,
                            params: {}
                        }, "BII", function(data) {
                            // 设置token和conversationId
                            //  debugger;
                            params.conversationId=data.conversationId;
                            params.token = data.token;

                            model.interaction({
                                method: routesUtil.method.BII.OvpBpayBillerDetailAdd,//增加账单公司明细
                                params: params ////账单公司代码和名称，参考号，个性化名称
                            }, "BII", function(data) {
                                //debugger;
                                $("#billerDetailSuc").attr("style", "display:''");
                                $("#billerDetailSure").attr("style", "display:none");

                            });
                        });

                    },
                    /**
                     * 成功页面返回
                     */
                    onBpayBillerDetailSucCancel: function(e) {
                        common.fullLayer.close(e);
                        var funArgs =[''];
                        common.params.targetRouter = {
                            routerKey: "BocAbroad_AudBillerAddressBook", //entrance
                            isExcuteInit: false,
                            excuteFun: "initdata",
                            funArgs: funArgs,
                            moduleArgs: []
                        }
                        common.triggerRouter(common.params.targetRouter);
                    },

                    navigateToPage:function(){
                        bocovsbridge.navigateToPage(function(params){
                        }, function(params){
                        },'home');
                    }

                })

            });

            var _title = common.strLong($.localeResource["BocAbroad_AudBillerAddressBook"].ovs_bpa_bdb_informationofadding,25);
            $("#audaddDnewpaymentSure").html(_title);


        },
        /**
         * 返回
         */
        onBpayBillerDetailCancel: function() {
            var qryCode = $("#qryCode").val();
            var funArgs =[qryCode];
            common.params.targetRouter = {
                routerKey: "BocAbroad_AudBillerAddressBook", //entrance
                isExcuteInit: false,
                excuteFun: "initdata",
                funArgs: funArgs,
                moduleArgs: []
            }
            common.triggerRouter(common.params.targetRouter);

        },
        onSubError: function(err) {

        },
        serviceFormParams: function() {
            return {};
        },
        onLoadFinish: function(data) {
            //处理过长的title
            var _title = common.strLong($.localeResource["BocAbroad_AudBillerAddressBook"].ovs_bpa_bdb_informationofadding,25);
            $("#audaddDnewpayment").html(_title);
        },

        //执行方式
        onChoice: function() {

        },
        destroy: function() {
            $.proxy(this.baseprototype.destroy, this)();
        }
    });

    return common.Module.sub({
        _constructor: function() {
            this.mainView = null;
            $.proxy(this.baseprototype._constructor, this)();
        },
        init: function() {

        },
        initdata:function(data){ //打开界面时加载的函数
            this.mainView = new mainView({
                id: "AudBillerAddressBook",
                el: "#loginViewWrap",
                eloper: "html",
                //参数
                //qrycode:data.qrycode,
                data: data
            });
            this.mainView.load();
        },
        destroy: function() {
            this.mainView.destroy();
        }
    });
});