/**
 * 收款人管理-添加收款人
 * @author  LX7108
 */
define('CaPayeeAdd', ['zepto', 'common','viewcontroller','model','routesUtil','amountUtil','constant','checkForm', 'iscroll','algorit','dateUtil','bocejs'], function($, common,controller,model,routesUtil,amountUtil,constant,checkForm,iscroll,algorit,dateUtil,EJS) {
    var _pageSize = 50;
    var CAPayeeAdd = {
    };
    /**
     *搜索收费机构
     */
    CAPayeeAdd.getBillPayeeAdd = function(_id,_t) {
        $(_id).bind("click", function() {
            common.fullLayer.show({
            view: new ($.extendCls(controller, {
                ejs: "../BocAbroad/views/bpay/can/CaPayeeManagement/PayeeAddSearch.ejs"
            }))({
                    id: 'CaPayeeAddSearch',
                    data: null,
                    _hisClose: function(e){
                        common.fullLayer.close(e);
                        $("#can-payee-list").css("overflow-y","auto");
                        $("#can-payee-list").css('-webkit-overflow-scrolling','touch');
                    },
                    /* 点击"查询"按钮*/
                    ovpCaPayeeSearch : function(){
                        if (checkForm.checkAll('.boc-input-import')) {   // 界面校验
                            CAPayeeAdd.ovpCaPayeeSearch(_t, this );
                        }                        
                    }
                })
            });
            $("#can-payee-list").css('-webkit-overflow-scrolling', '');
        });
    };
    /**
     *显示收费机构列表
     */
    CAPayeeAdd.ovpCaPayeeSearch = function (_t) {
        var count = 0;
        var billerName = $("#billerName").val().trim();
        var billerCity = $("#billerCity").val().trim();
        var billerAddress = $("#billerAddress").val().trim();
        var billerPost = $("#billerPost").val().trim();
        var params = {
            billerName: billerName,
            city: billerCity,
            address: billerAddress,
            postCode: billerPost
        };
        common.fullLayer.show({
            view: new ($.extendCls(controller, {
                ejs: "../BocAbroad/views/bpay/can/CaPayeeManagement/PayeeAddOrgList.ejs"
            }))({
                id: 'billPayeeAdd1',
                _hisClose: function(e){
                    common.fullLayer.close(e);
                    $("#can-payee-list").css("overflow-y","auto");
                    $("#can-payee-list").css('-webkit-overflow-scrolling','touch');
                },
                onLoadFinish: function () {
                    var _p = this;
                    scrollPage(_p);
                }
            })
        });

        function scrollPage(_p){
            /*符合条件的机构列表*/
            _p.resultData = [];
            new common.ScrollPagination({
                el: _p.domNode.find('.add-payee-list'),
                pageSize: _pageSize,
                getPageData: function(pageSize, currentPage, startIdx, endIdx, callback) {
                    params.currentIndex = startIdx;
                    params.pageSize = pageSize;
                    params.startIdx = startIdx;
                    params.endIdx = endIdx;
                    if(currentPage == 1 || startIdx == 0){
                        params._refresh = "true";
                    }
                    else{
                        params._refresh = "false";
                    }
                    var p = this;
                    //第一次进来大loading，第二次及以后进来小loading
                    var flag = false;
                    if( count == 0 ){
                        flag = true;
                        count++;
                    }
                    else{
                        flag = false;
                        count++;
                    }
                    // alert(JSON.stringify(params));
                    model.interaction({
                        method: routesUtil.method.BII.OvpCANBpayBillerListQry,
                        loadingMask: flag,
                        params: params
                    }, "BII", function(data) {
                        p.removeTip();
                        p.setRecordNum(data.recordNumber);
                        $("#billisum").html(data.recordNumber);
                        _p.resultData = _p.resultData.concat(data.list);

                        _p.icount = _p.resultData.length - data.list.length;
                        _p.billerData = {list: _p.resultData, icount: _p.icount};


                        _p.append(_p.domNode.find('.list-content'),new EJS({
                            url:'../BocAbroad/views/bpay/can/CaPayeeManagement/payeeAddOrgListRow.ejs',
                        }).render({data1:_p.billerData}));
                        // 添加点击事件
                        CAPayeeAdd.ovpCaBillActinput(".billerCard",_p.billerData);
                        $("#can-payee-list").css("overflow-y","hidden");
                        $("#can-payee-list").css('-webkit-overflow-scrolling','');
                    },{errorFun:function(data){
                        common.showMessage(data.message, function(){
                            // common.fullLayer.close(e)
                            if ( data.code == "OIBS.53024") {
                                $(".boc-content-item-a").show();
                                $("#billisum").html("0");
                                // _t.append(_t.domNode.find('.list-content'), new EJS({
                                //     url: '../BocAbroad/views/bpay/can/CaPayeeManagement/noresult.ejs',
                                // }).render({data: null}));
                                // $("#listTips").remove();
                            }
                        });
                    }});
                }});

        }

    };
    /**
     *选择账单公司，输入账号
     */
    CAPayeeAdd.ovpCaBillActinput = function (_style,billerAddData) {
        $(_style).bind("click", function () {
            var _t = this;
            var arr = this.id;
            var params = billerAddData.list[arr];
            var CaPayeeAddData= $.extend({},{"params":params});
            $("#can-payee-list").css('-webkit-overflow-scrolling','');
            common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/bpay/can/CaPayeeManagement/PayeeAddAct.ejs"
                }))({
                    id: 'billPayeeAdd2',
                    data: CaPayeeAddData,
                    _hisClose: function(e){
                        $(e.currentTarget).css("background","#c6c6c6"); // 改变按钮颜色
                        common.fullLayer.close(e);
                        $("#can-payee-list").css("overflow-y","auto");
                        $("#can-payee-list").css('-webkit-overflow-scrolling','touch');
                    },
                    // 点击确认
                    PayeeAddNext:function(e){
                        if (checkForm.checkAll('.boc-input-import')) {   // 界面校验
                            CAPayeeAdd.PayeeAddNext(_t,e,params);
                        }
                    }
                })
            });
        });
    };
    /**
     * 点击“下一步”按钮，eToken与添加预交易
     */
    // 加拿大-电子支付服务码：OB102
    CAPayeeAdd.PayeeAddNext = function (_t,e,params) {
        params.payeeActno = $("#billerAlias").val().trim();
        /*申请会话*/
        model.interaction({
            method: routesUtil.method.BII.OvcCreConversationWithToken,
            params: {}
        },"BII", function(data) {
            params.conversationId = data.conversationId;
            params.token = data.token;
            /*弹出eToken页面*/
            bocovsbridge.showEtokenPasswordPage(function(data){
                params.Otp = data.password;
                var secParams = {
                    conversationId: params.conversationId,
                    serviceId: "OB102"
                };
                /*获取安全组合因子*/
                model.interaction({
                    method: routesUtil.method.BII.PsnGetSecurityFactor,
                    params: secParams
                }, "BII", function (data) {
                    params._combinId = data._combinList[0].id + "";
                    /*预交易*/
                    model.interaction({
                        method: routesUtil.method.BII.OvpCANBpayPayeeAddConfirm,
                        params: params
                    }, "BII", function () {
                        // 交易
                        CAPayeeAdd.PayeeAddSubmit(e, params);
                    },{errorFun:function(data){
                        common.showMessage(data.message, function(){
                            // 报错后重新申请会话ID及防重Token
                            model.interaction({
                                method: routesUtil.method.BII.OvcCreConversationWithToken,
                                params:{}
                            }, "BII", function (data) {
                                params.conversationId = data.conversationId;
                                params.token = data.token;
                            });
                        });
                    }});// 预交易后括号
                });// 获取安全因子后括号
            });// eToken后括号
        });
    };
    /**
     * 添加交易
     */
    CAPayeeAdd.PayeeAddSubmit = function (e,params) {
        model.interaction({
            method: routesUtil.method.BII.OvpCANBpayPayeeAdd,
            params: params
        }, "BII", function() {
            /*结果页面*/
            common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/bpay/can/CaPayeeManagement/PayeeResult.ejs"
                }))({
                    id: 'paymanageResult',
                    data:'',
                    onLoadFinish:function () {
                        $("#img").attr('src','images/suc.png');
                        var str = $.localeResource["BocAbroad_CaPayeeList"].ovs_bpa_spm_Addsuccess;
                        $("#okorError").html(str);
                    },
                    _hisCloseAndReturn: function(e){
                        common.fullLayer.close(e);
                        /*跳转回列表页面(重新请求接口，刷新数据)*/
                        common.params.targetRouter = {
                            routerKey: "BocAbroad_CaPayeeList",
                            isExcuteInit: false,
                            excuteFun: null,
                            funArgs: null,
                            moduleArgs: []
                        };
                        common.triggerRouter(common.params.targetRouter);
                        // 成功提示信息
                        var strdel = $.localeResource["BocAbroad_CaPayeeList"].ovs_bpa_spm_Addsuccess;
                        common.popdown.single(strdel,function(e){});
                    },
                    goHome: function(e){
                        bocovsbridge.navigateToPage(function (params) {
                        }, function (params) {
                        }, 'home');
                    }
                })
            });
        },{errorFun:function(data){
            common.showMessage(data.message, function(){
                // 报错后重新申请会话ID及防重Token
                model.interaction({
                    method: routesUtil.method.BII.OvcCreConversationWithToken,
                    params:{}
                }, "BII", function (data) {
                    params.conversationId = data.conversationId;
                    params.token = data.token;
                });
            });
        }});// 添加交易后括号
    };
    return CAPayeeAdd;
});