/**
 * 收款人管理-详情（删除）
 * @author  LX7108
 */
define('CaPayeeDetail',['zepto', 'common','viewcontroller','model','routesUtil','amountUtil','constant','checkForm'], function($, common,controller,model,routesUtil,amountUtil,constant,checkForm) {
    var CAPayeeDetail = {
    };
    /**
     *收款人详情
     */
    CAPayeeDetail.getBillPayeeDetail = function(_style,_t) {
        // _style 绑定的style _t 数据
        $(_style).bind("click", function(){
            var arr = this.id;
            var params = _t.resultData[arr];
            params.payeeId = _t.resultData[arr].payeeID;// 后台接口回送与上送字段不一致
            var CaPayeeDetailData= $.extend({},{"params":params});
            // $("#billHidden").css('-webkit-overflow-scrolling','');
            common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/bpay/can/CaPayeeManagement/PayeeDetail.ejs"
                }))({
                    id: 'CaPayeeDetail',
                    data: CaPayeeDetailData,
                    _hisClose: function(e){
                        common.fullLayer.close(e);
                        // $("#billHidden").css("overflow-y","auto");
                        // $("#billHidden").css('-webkit-overflow-scrolling','touch');
                    },
                    /*点击“删除”按钮*/
                    ovpCaPayeeDel : function(){
                        // alert(JSON.stringify(params));
                        CAPayeeDetail.ovpCaBpayPayeeDel( params );
                    }
                })
            });
        });
    };
    /**
     * 点击详情页的删除按钮
     */
    CAPayeeDetail.ovpCaBpayPayeeDel = function( params ){
        /*删除提示弹窗*/
        var str = $.localeResource["BocAbroad_CaPayeeList"].ovs_bpa_spm_deletion;
        common.popup.single(str,function(e){
            /*获取会话*/
            model.interaction({
                method: routesUtil.method.BII.OvcCreConversationWithToken,
                params: {}
            }, "BII", function(data) {
                params.conversationId = data.conversationId;
                params.token = data.token;
                /*删除交易*/
                model.interaction({
                    method: routesUtil.method.BII.OvpCANBpayPayeeDel,
                    params: params
                }, "BII", function(data) {
                    CAPayeeDetail.PayeeDelSubmit(params);
                },{errorFun:function(data){
                    common.showMessage(data.message, function(){
                        // 报错后重新申请会话ID及防重Token
                        model.interaction({
                            method: routesUtil.method.BII.OvcCreConversationWithToken,
                            params:{}
                        }, "BII", function (data) {
                            params.conversationId = data.conversationId;
                            params.token = data.token;
                        });
                    });
                }});// 删除接口后括号
            });

        });
    };
    /**
     * 删除结果页
     */
    CAPayeeDetail.PayeeDelSubmit = function (params) {
        common.fullLayer.show({
            view: new ($.extendCls(controller, {
                ejs: "../BocAbroad/views/bpay/can/CaPayeeManagement/PayeeResult.ejs"
            }))({
                id: 'paymanageResult',
                data:'',
                onLoadFinish:function () {
                    $("#img").attr('src','images/suc.png');
                    var str = $.localeResource["BocAbroad_CaPayeeList"].ovs_bpa_spm_delsuccess;
                    $("#okorError").html(str);
                },
                _hisCloseAndReturn: function(e){
                    common.fullLayer.close(e);//先关闭窗口                    
                    common.params.targetRouter = {
                        routerKey: "BocAbroad_CaPayeeList",
                        isExcuteInit: false,
                        excuteFun: null,
                        funArgs: null,
                        moduleArgs: []
                    };
                    common.triggerRouter(common.params.targetRouter);
                    // 删除成功提示信息
                    var strdel = $.localeResource["BocAbroad_CaPayeeList"].ovs_bpa_spm_delsuccess;
                    common.popdown.single(strdel,function(e){});
                },
                goHome: function(e){
                    bocovsbridge.navigateToPage(function (params) {
                    }, function (params) {
                    }, 'home');
                }
            })
        });
    };
    return CAPayeeDetail;
});