define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil','dateUtil','pluginsUtil'],
    function($, common, controller, model, routesUtil,dateUtil,pluginsUtil) {
    var mainView = $.extendCls(controller, {
        //ejs: (common.terminal == 'android' || common.terminal == 'ios' || common.terminal == 'iPhone' || common.terminal == 'iPad') ? '../BocAbroad/views/bpay/sin/bpayPay/bpayPaySin.ejs' : '../Login/views/login_pc.ejs',
        ejs: '../BocAbroad/views/bpay/can/CaPaymentTransaction/CaPaymentTransaction.ejs',
        css: '',
        systemDate:null,
        startDate:null,
        endDate:null,
        conversationId:"",
        conut : 0,
        payeeId:"",

        goback:function(){
            bocovsbridge.navigateToPage(function(params){
            }, function(params){
            }, 'entrance');
        },

        showName: function(){
            var _t = this;
            common.fullLayer.show({
                view: new($.extendCls(controller, {
                    ejs: "../BocAbroad/views/bpay/can/CaPaymentTransaction/CaSelectName.ejs"
                }))({
                    id: 'hisdetailView',
                    data: {},
                    backMain:function (e) {
                        common.fullLayer.close(e);
                        var clickobj = $(e.target);
                        while (clickobj.length > 0 && !clickobj.hasClass('boc-company-card-a')) {
                            clickobj = clickobj.parent();
                        }
                        var bocCompanyNumber = clickobj.attr("payeeActno");
                        _t.payeeId  = clickobj.attr("payeeId");

                        if(bocCompanyNumber ==""){
                            $('#choose-name').html($.localeResource['BocAbroad_CaQueryHistoryList'].ovs_bps_bpti_all);
                        }
                        else{
                            $('#choose-name').html(bocCompanyNumber);
                        }

                        
                    },

                    noresult:function(){
                        var noresultHtml = new EJS({
                            url: '../BocAbroad/views/bpay/can/CaPaymentTransaction/noresult.ejs'
                        }).render();
                        $('#HistoryExchange').html(noresultHtml);
                    },

                    onLoadFinish: function() {
                        var _t = this;

                        model.interaction({
                            method: routesUtil.method.BII.OvcCreConversationWithToken,
                            params: {}
                        }, "BII", function(data) {
                            _t.conversationId = data.conversationId;
                            new common.ScrollPagination({
                                el: _t.domNode.find('.boc-content'),
                                pageSize:50,
                                getPageData: function(pageSize, currentPage, startIdx, endIdx, callback) {
                                    var p = this;
                                    _t.pageSize = pageSize;
                                    _t.currentPage = currentPage;
                                    _t.startIdx = startIdx;
                                    _t.endIdx = endIdx;
                                    var flag = false;
                                    //第一次大loading，第二次仅列表数据加载
                                    if(_t.conut == 0){
                                        flag = true;
                                        _t.conut++;
                                    }else{
                                        flag = false;
                                        _t.conut++;
                                    };
                                    if(_t.currentPage == 1){
                                        params = {
                                            currentIndex: _t.startIdx,
                                            pageSize: _t.pageSize,
                                            _refresh:"true",
                                            conversationId:_t.conversationId
                                        };
                                    }else{
                                        params = {
                                            currentIndex: _t.startIdx,
                                            pageSize: _t.pageSize,
                                            _refresh:"false",
                                            conversationId:_t.conversationId
                                        };
                                    };
                                    model.interaction({
                                        method: routesUtil.method.BII.OvpCANBpayPayeeListQry,
                                        params: params,
                                        loadingMask:flag
                                    }, "BII", function(data) {
                                        p.removeTip();
                                        var leng = $('.boc-company-card-a').length;
                                        _t.data = parseInt(data.recordNumber) + 1;
                                        var noResultNub =  _t.data - 1;
                                        p.setRecordNum(_t.data);
                                        if(noResultNub != 0 && leng == _t.data){
                                            p.showOverTipAtBtm();
                                        }else {
                                            if (noResultNub == 0) {
                                                _t.append(_t.domNode.find('.boc-content'), new EJS({
                                                    url: '../BocAbroad/views/bpay/can/CaPaymentTransaction/noresult.ejs'
                                                }).render({data: null}));
                                                $(".boc-company-card-a").remove();
                                            } else {
                                                _t.append(_t.domNode.find('.boc-content'), new EJS({
                                                    url: '../BocAbroad/views/bpay/can/CaPaymentTransaction/CaSelectNameContent.ejs',
                                                }).render({data: data.list}));
                                            }
                                        }
                                    }, {errorFun:function(data){_t.showNoAccountView()}});
                                }
                            });
                        });
                    },
                    _hisClose:function(e){
                        common.fullLayer.close(e);
                    }
                })
            });
        },

        //日期选择
        //原生日期控件调用
        showDatePicker:function(){
            var _t = this;
            var sysDate = dateUtil.parse(_t.systemDate, 'yyyy/MM/dd hh:mm:ss');
            var systemDateString = dateUtil.format(sysDate, 'yyyy/MM/dd')
            dateMin = dateUtil.addMonths(sysDate, -3);
            dataMin1 = dateUtil.addYears(sysDate, -1);
            dateMax = sysDate;
            var dateparams = pluginsUtil.createLimitDataSelectParams(systemDateString, {
                min: dateUtil.format(dataMin1, "yyyy/MM/dd"),
                max: dateUtil.format(dateMax, "yyyy/MM/dd"),
                mindef: _t.startDate,
                maxdef: _t.endDate
            }, "yyyy/MM/dd");
            bocovsbridge.showDatePicker(function(result){
                if (!result.close) {
                    var select = result.select;
                    if (select){
                        var arr =  select.split(",");
                        _t.startDate = arr[0];
                        _t.endDate = arr[1];
                        _t.startDate = arr[0];
                        _t.endDate = arr[1];
                        console.log( arr[0]  + arr[1]);
                        $('#datePicker').text( _t.startDate + " - " + _t.endDate);
                    } else {
                        var picker = result.picker;
                        $('#datePicker').text(picker.scopeMin + " - " + picker.scopeMax);
                        _t.startDate = picker.scopeMin;
                        _t.endDate = picker.scopeMax;
                        _t.startDate = picker.scopeMin;
                        _t.endDate = picker.scopeMax;
                    }
                }
            }, function(params){
            }, dateparams);
        },
        //点击下一步
        CaTransactionQry : function(){
            var _t = this;
            var param = {};
            if($(".boc-input-import-choose").text() == $.localeResource["BocAbroad_CaPaymentTransaction"].ovs_bpa_bp_choice){
                // common.showMessage($.localeResource["BocAbroad_CaPaymentTransaction"].ovs_tr_pleaseselectpayee);
                // return;
                param.payeeId = null;
            }
            if($(".boc-input-import-choose").text() == $.localeResource["BocAbroad_CaPaymentTransaction"].ovs_bps_bpti_all){
                param.payeeId = null;
            }else{
                // param.payeeId = $(".boc-input-import-choose").text();
                param.payeeId = _t.payeeId;
            }
            param.startDate = $.trim($("#datePicker").text().split("-")[0]);
            param.endDate = $.trim($("#datePicker").text().split("-")[1]);
            param.currentIndex="0";
            // param.pageSize="50";
            param._refresh="true";
            param.loading="true";

            common.params.targetRouter = {
                routerKey: "BocAbroad_CaQueryHistoryList", //entrance
                isExcuteInit: false,
                excuteFun: "initdata",
                funArgs: [param],
                moduleArgs: []
            };
            common.triggerRouter(common.params.targetRouter);

        },
        onSubError: function(err) {

        },
        serviceFormParams: function() {
            return {};
        },
        onLoadFinish: function(data) {
            var _t = this;
            
            // 得到系统时间
            model.interaction({
                method: routesUtil.method.BII.OvcSysTimeQry,
                params: {}
            }, "BII", function(data) {
                _t.systemDate = data.sysTime;
                var params = "";
                var sysDate = dateUtil.parse(_t.systemDate, 'yyyy/MM/dd hh:mm:ss');
                var tempdate = dateUtil.addDays(sysDate, 1);
                var minDate = dateUtil.format(dateUtil.addDays(tempdate, -7),"yyyy/MM/dd");
                var maxDate = dateUtil.format(sysDate,"yyyy/MM/dd");
                _t.startDate = minDate;
                _t.endDate = maxDate;
                $('#datePicker').text(minDate+" - "+maxDate);

            }, {errorFun:function(){
                var current = new Date();
                _t.systemDate = dateUtil.format(current, 'yyyy/MM/dd hh:mm:ss');
                var sysDate = dateUtil.parse(_t.systemDate, 'yyyy/MM/dd hh:mm:ss');
                var tempdate = dateUtil.addDays(sysDate, 1);
                var minDate = dateUtil.format(dateUtil.addDays(tempdate, -7),"yyyy/MM/dd");
                var maxDate = dateUtil.format(sysDate,"yyyy/MM/dd");
                _t.startDate = minDate;
                _t.endDate = maxDate;
                $('#datePicker').text(minDate+" - "+maxDate);
            }})
        },

        showNoAccountView:function(){
            var html = new EJS({url:"../BocAbroad/views/bpay/can/CaPaymentTransaction/noresult.ejs"}).render({});
            $('#HistoryExchange').html(html);
        },
        //执行方式
        onChoice: function() {

        },
        destroy: function() {
            $.proxy(this.baseprototype.destroy, this)();
        }
    });

    return common.Module.sub({
        _constructor: function() {
            this.mainView = null;
            $.proxy(this.baseprototype._constructor, this)();
        },
        CSSPATH:[],
        init: function() {
            this.mainView = new mainView({
                id: "boc-sinhissel",
                el: "#loginViewWrap",
                eloper: "html"
                //参数
            });
            this.mainView.load(
            );

        },
        destroy: function() {
            this.mainView.destroy();
        }
    });
});

