/**
 * sin收费机构管理-修改
 * @namespace billPayeeMod
 * @name billPayeeMod
 * @requires zepto,common,amountUtil
 */
define('billPayeeMod', ['zepto', 'common','viewcontroller','model','routesUtil','amountUtil','constant','checkForm','algorit','dateUtil'], function($, common,controller,model,routesUtil,amountUtil,constant,checkForm,algorit,dateUtil) {
    var BillPayeeMod = {
    };
    BillPayeeMod._cutCount = 25;
    var _sysTime = '';
    /**
     * 修改列表项
     * @namespace _style 绑定的样式 _t 数据
     */
    BillPayeeMod.getBillPayeeModify = function(_style,_t) {
        $(_style).bind("click", function () {
            var arr = this.id;
            var schedDetail = _t.resultData[arr];
            //获取服务器时间
            if(schedDetail.billerName == 'Changi General Hospital' || schedDetail.billerName == 'National Heart Centre'){
                model.interaction({
                    method: routesUtil.method.BII.OvcSysTimeQry,
                    params: {}
                }, "BII", function(data) {
                    _sysTime = data.sysTime;
                    _sysTime = dateUtil.formatDateToString(dateUtil.addDays(dateUtil.getDateObj(_sysTime),1),'%Y/%m/%d %H:%M:%S');
                });
            }
            var orgdetail =  constant.sin_company_id_2_[schedDetail.billerCode];
            //扩张orgdetail
            var billerorgdetail = $.extend({},{"orgdetail":orgdetail},{"schedDetail":schedDetail});
            common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/bpay/sin/SinBillPayeeManagement/billPayeeMod.ejs"
                }))({
                    id: 'billPayeeMod',
                    data:billerorgdetail,
                    _hisCloseMod: function(e){
                        $(e.currentTarget).css("background","#c6c6c6");//改变按钮颜色
                        common.fullLayer.close(e);
                    },
                    ovpSinBpayPayeebif3Sel: function (evt) {
                        BillPayeeMod.getBillPayeeModDetail(evt);
                    },
                    billPayeeSubmit:function(e){
                        BillPayeeMod.billPayeeSubmit(e);
                    }
                })
            });
            var _titleDetail = common.strLong($.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bps_bpm_billingorganisation,BillPayeeMod._cutCount);
            $("#billPayeeModTitName").html(_titleDetail);
        });
    };

    //安排页面元素
    BillPayeeMod.getBillPayeeModDetail = function(evt){
        var billerName = $("#billerName").text();
        var billerCode = $("#billerCode").text();

        var orgdetail = constant.sin_company_id_2_[billerCode];
        //得到选择项的值exp：billerRef4，billerRef3，billerRef2，billerRef1，
        var arr =  $(evt.target).attr("id");
        var billerorgdetail = orgdetail[arr];
        $.extend(billerorgdetail,{"billerCode":billerCode});
        //得到机构具体某一项，exp:KK[billerref3]
        //打开选择页面
        common.fullLayer.show({
            classes:"halfLayer boc-popup",
            view: new ($.extendCls(controller, {
                ejs: "../BocAbroad/views/bpay/sin/SinBillPayeeManagement/billPayeeRef3Sel.ejs",
                //选择，添加页面点击选择，关闭当前页面并将值传给父页面
                ovpSinBpayPayeebif3SelSuc:function(evt){
                    //添加样式，点击的时候变蓝色
                    $(evt.target).addClass('popup-e');
                    //id  typeMap里面对象的键值对，ex:1,2,3
                    var typeMapArr =  $(evt.target).attr("id");
                    var name =  $(evt.target).attr("name");//text
                    //根据机构名称得到各个动态选项
                    var aaa =  constant.sin_company_id_2_[billerCode];
                    if("20010001"==billerCode||"20010002"==billerCode){//    if("IRAS - Others (Payment Voucher No.)"==billerName||"IRAS - Income Tax (Tax Ref No.)"==billerName){
                        var argRef4=   $(evt.target).attr("argRef4");
                        $("#billerRef4").val(argRef4);
                        $("#billerRef3").val(typeMapArr);
                        $("#billerRef1").attr("nls",name);
                        var nametip =  $(evt.target).attr("nametip");//tips
                        var epttips =  $(evt.target).attr("epttips");//选择框没有点击选择的时候提示的信息
                        $("#validate_billerRef1").val(epttips);
                    }else{
                        var nameval =  $(evt.target).attr("nameval");//validate
                        var nametip =  $(evt.target).attr("nametip");//tips
                        var epttips =  $(evt.target).attr("epttips");//选择框没有点击选择的时候提示的信息
                        $("#Title_"+arr).attr("nls",name);
                        $("#"+arr).attr("nls",name);
                        $("#Iput_"+arr).attr("tipkeys","");
                        $("#Iput_"+arr).attr("validate",nameval);
                        $("#Iput_"+arr).attr("tips",nametip);
                        $("#Iput_"+arr).val("");
                        $("#validate_"+arr).val(epttips);
                        $("#typeMap_"+arr).val(typeMapArr);
                        $("#li_"+arr).attr("style", "display:''");
                    }
                    common.changeLanguage("div");
                    //$("#other_"+arr).attr("style", "display:none");
                    common.fullLayer.close(evt);
                }
            }))({
                id: 'billPayeeAdd',
                data:billerorgdetail,
                _hisClose: function(e){
                    common.fullLayer.close(e);
                }
            })
        },true);
    };

    //提交
    BillPayeeMod.billPayeeSubmit = function(e){
                if(!checkForm.checkAll('.boc-input-import')){//验证输入项，exp:要求：必填、只能输入0-9的数字
                    return;
                }
                var payeeId = $("#payeeId").val();
                var billerCode = $("#billerCode").text();
                var billerName = $("#billerName").text();
                var billerAlias = $("#billerAlias").val();//个性化名称
                //个性化名称
                if(BillPayeeMod.getStringLength(billerAlias) > 25 || BillPayeeMod.getStringLength(billerAlias) < 1){
                    var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bps_bpm_maximumlength25characters;
                    common.showMessage(msg);
                    return;
                }
                //得到机构的详细信息
                var org = constant.sin_company_id_2_[billerCode];
                var payeeActno ="";
                var billerRef1 ="";
                var billerRef2 ="";
                var billerRef3 ="";
                var billerRef4 ="";
                var typeMap_billerRef1 ="";
                var typeMap_payeeActno ="";
                var typeMap_billerRef2 ="";
                var typeMap_billerRef3 ="";
                var typeMap_billerRef4 ="";
                var billname = "";
                /**
                 *
                 00为空
                 01为输入框
                 02为选择框，选择后动态添加输入框
                 03为选择框，不动态添加框exp: IRAS
                 04多个选择框（不动态添加）和输入框 exp: kk
                 05多个输入框 exp:Changi General Hospital
                 *
                 */
                if(org.payeeActno&&org.payeeActno.type=="01"){
                    payeeActno = $("#payeeActno").val();
                };
                if(org.payeeActno&&org.payeeActno.type=="02"){
                    payeeActno = $("#Iput_payeeActno").val();
                    typeMap_payeeActno = $("#typeMap_payeeActno").val();
                };
                if(org.billerRef1&&org.billerRef1.type=="01"){//LTA-Traffic Police
                    billerRef1 = $("#billerRef1").val();
                };
                if(org.billerRef3&&org.billerRef3.type=="01"){
                    billerRef3 = $("#billerRef3").val();
                };
                if(org.billerRef3&&org.billerRef3.type=="02"){
                    billerRef3 = $("#Iput_billerRef3").val();
                    typeMap_billerRef3 = $("#typeMap_billerRef3").val();
                };
                if(org.billerRef4&&org.billerRef4.type=="01"){
                    billerRef4 = $("#billerRef4").val();
                };
                if(org.billerRef4&&org.billerRef4.type=="02"){
                    billerRef4 = $("#Iput_billerRef4").val();
                    typeMap_billerRef4 = $("#typeMap_billerRef4").val();
                };

                 if("20010001"==billerCode||"20010002"==billerCode){//if("IRAS - Income Tax (Tax Ref No.)"==billerName||"IRAS - Others (Payment Voucher No.)"==billerName){//org.billerRef3.type=="03"
                    billerRef4 =  $("#billerRef4").val();
                    billerRef3 =  $("#billerRef3").val();
                    billerRef1 =  $("#billerRef1").text();
                     typeMap_billerRef1 = $("#billerRef3").val();
                }else if("20037001"==billerCode){//if("Changi General Hospital"==billerName){ //Changi General Hospital  05 多个输入项
                    var billerRef4len= $("input[name='billerRef4']");
                     billname = billerRef4len[0].value;
                    for(var i=0 ;i<billerRef4len.length;i++){
                        billerRef4 +=billerRef4len[i].value+"-";
                    }
                    billerRef4=billerRef4.substring(0,billerRef4.length-1);//去除最后一个“-"
                }else if("20040001"==billerCode) {//if("KK Women's & Children's Hospital"==billerName) { // "KK Women's & Children's Hospital" 04
                    billerRef4 =  $("#typeMap_billerRef4").val();      //输入框和选择框 "患者姓名-S/F（国籍）-联系电话
                    var billerRef4len= $("input[name='input_billerRef4']");
                     billname = billerRef4len[0].value;
                    billerRef4 =billerRef4len[0].value+"-"+billerRef4+"-"+billerRef4len[1].value;

                }else{

                };
                if("Changi General Hospital" == billerName || "KK Women's & Children's Hospital" == billerName){//患者姓名
                    if(BillPayeeMod.getStringLength(billname.trim()) > 30 || BillPayeeMod.getStringLength(billname.trim()) < 1){
                        var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bps_bpm_maximumlength30characters;
                        common.showMessage(msg);
                        return;
                    }
                }

                if("NTUC Income" == billerName){//客户姓名
                    if(billerRef4.trim() != '' && (BillPayeeMod.getStringLength(billerRef4.trim()) < 3 || BillPayeeMod.getStringLength(billerRef4.trim()) > 30)){
                        var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bps_bpm_ntucname3to30;
                        common.showMessage(msg);
                        return;
                    }
                }

                if("Singapore Press Holdings" == billerName){//姓名
                    if(BillPayeeMod.getStringLength(billerRef3.trim()) > 40 || BillPayeeMod.getStringLength(billerRef3.trim()) < 2){
                        var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bps_bpm_singaporename;
                        common.showMessage(msg);
                        return;
                    }
                }
                //新验证
                if(!BillPayeeMod.getNewCheck(billerName.trim(),payeeActno.trim(),billerRef3.trim(),typeMap_billerRef3.trim(),typeMap_payeeActno.trim())){//验证输入项，exp:要求：必填、只能输入0-9的数字
                    return;
                }

                var params = {
                    payeeId:payeeId.trim(),
                    billerCode:billerCode.trim(),
                    billerName:billerName.trim(),
                    billerAlias:billerAlias.trim(),
                    payeeActno:payeeActno.trim(),
                    billerRef1:billerRef1.trim(),
                    billerRef2:billerRef2.trim(),
                    billerRef3:billerRef3.trim(),
                    billerRef4:billerRef4.trim(),
                    typeMap:{
                        payeeActno:typeMap_payeeActno.trim(),
                        billerRef1:typeMap_billerRef1.trim(),
                        billerRef2:typeMap_billerRef2.trim(),
                        billerRef3:typeMap_billerRef3.trim(),
                        billerRef4:typeMap_billerRef4.trim()
                    }

                };

                var minAmount = $("#minAmount").val();
                var maxAmount = $("#maxAmount").val();
                var orgSucDEtail= $.extend({},{"params":params},{"org":org},{"minAmount":minAmount},{"maxAmount":maxAmount});
                model.interaction({
                    method: routesUtil.method.BII.OvcCreConversationWithToken,
                    params: {}
                },"BII", function(data) {
                    var _conversationId = data.conversationId;
                    var _token = data.token;
                    params.conversationId = _conversationId;
                    params.token = _token;
                    model.interaction({
                        method: routesUtil.method.BII.OvpSinBpayPayeeMod,
                        params: params
                    }, "BII", function(data) {
                        /**
                         * 添加收费机构成功后的显示页面
                         */
                        common.fullLayer.close(e);
                        common.fullLayer.show({
                            view: new ($.extendCls(controller, {
                                ejs: "../BocAbroad/views/bpay/sin/SinBillPayeeManagement/billPayeeSuc.ejs"
                            }))({
                                id: 'billPayeeSuc',
                                data:orgSucDEtail,
                                _hisCloseAndReturn: function(e){
                                    common.fullLayer.close(e);
                                    model.interaction({
                                        method: routesUtil.method.BII.OvpSinBpayPayeeListQry,
                                        params: {
                                            currentIndex:"0",
                                            pageSize:"10"
                                        }
                                    }, "BII", function(data) {
                                        common.params.targetRouter = {
                                            routerKey: "BocAbroad_SinbpayPayeeList",
                                            isExcuteInit: false,
                                            excuteFun: null,
                                            funArgs: null,
                                            moduleArgs: []
                                        }
                                        common.triggerRouter(common.params.targetRouter);
                                    });

                                },
                                //返回首页
                                billsuccess: function(e){
                                    //$(this).css("background", "#c6c6c6");//改变按钮颜色
                                    bocovsbridge.navigateToPage(function (params) {
                                    }, function (params) {
                                    }, 'home');
                                }
                            })
                        });
                        //修改成功
                        var _titleName = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bps_bpm_billingorganisationsuccessfullymoded;
                        $("#billsuccess").html(_titleName);
                    });
                });
    };
    //汉字转码
    BillPayeeMod.getEncodeURIString = function(str){
        return encodeURI(str);
    };
    //去掉两边半全角空格
    BillPayeeMod.getCleanSpace = function(str){
        str =str.replace(/(^\s*)|(\s*$)/g, "");
        return str;
    };
    //判断字符串的长度
    BillPayeeMod.getStringLength = function(str){
        var num = 0;
        var _reg = /^[\u4e00-\u9faf]+$/;
        if(str != '' && str != 'undefined'){
            for(var i = 0;i < str.length;i++){
                var _zh = str.charAt(i);
                if(_reg.test(_zh)){
                    num += 3;
                }else{
                    num += 1;
                }
            }
        }
        return num;
    };
    //新验证
    BillPayeeMod.getNewCheck = function(billerName,payeeActno,billerRef3,typeMap_billerRef3,typeMap_payeeActno){
        //new验证cc
        var flag = false;
        if('Courts (S) Pte Ltd' == billerName){
            if(!algorit.Algo_Courts(payeeActno)){
                var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newfkpzh;
                common.showMessage(msg);
                return flag;
            }
        }
        if('Mobile One' == billerName){
            if(!algorit.Algo_M1(payeeActno)){
                var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newfkpzh;
                common.showMessage(msg);
                return flag;
            }
        }
        if('Singtel' == billerName){
            if(!algorit.Algo_SingTel(payeeActno)){
                var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newfkpzh;
                common.showMessage(msg);
                return flag;
            }
        }
        if('StarHub Ltd' == billerName){
            if(!algorit.Algo_Starhub_Ltd(payeeActno)){
                var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newfkpzh;
                common.showMessage(msg);
                return flag;
            }
        }
        if('Sunpage' == billerName){
            if(!algorit.Algo_SunPage_NexwaveTelecom(payeeActno)){
                var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newfkpzh;
                common.showMessage(msg);
                return flag;
            }
        }
        if('Zone 1511' == billerName){
            if(!algorit.ALGO_ZONE1511(payeeActno)){
                var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newfkpzh;
                common.showMessage(msg);
                return flag;
            }
        }
        if('Singapore Power Services (SP Services)' == billerName){
            if(!algorit.Algo_SP_Services(payeeActno)){
                var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newfkpzh;
                common.showMessage(msg);
                return flag;
            }
        }
        if('NTUC Income' == billerName){
            if(!algorit.Algo_NTUC_Income(payeeActno)){
                if(typeMap_payeeActno == '2'){
                    var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newzdpzh;
                    common.showMessage(msg);
                    return flag;
                }
            }
            if(!algorit.Algo_Changi_General_Hospita_NRICNo(billerRef3)){
                if(typeMap_billerRef3 == '1'){
                    var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newnric;
                    common.showMessage(msg);
                    return flag;
                }
            }
        }
        if('LTA-Traffic Police' == billerName){
            if(!algorit.Algo_Traffic_Police(payeeActno)){
                var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newpwh;
                common.showMessage(msg);
                return flag;
            }
        }
        if("KK Women's & Children's Hospital" == billerName){
            if(!algorit.Algo_Changi_General_Hospita_NRICNo(billerRef3)){
                if(typeMap_billerRef3 == '1'){
                    var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newnric;
                    common.showMessage(msg);
                    return flag;
                }
                if(typeMap_billerRef3 == '2'){
                    var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newmrnno;
                    common.showMessage(msg);
                    return flag;
                }
                if(typeMap_billerRef3 == '3'){
                    var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newhrnno;
                    common.showMessage(msg);
                    return flag;
                }
            }
            if(!algorit.Algo_KK_Hospital_TaxNo(payeeActno)){
                if(typeMap_payeeActno == '1'){
                    var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newblh;
                    common.showMessage(msg);
                    return flag;
                }
                if(typeMap_payeeActno == '2'){
                    var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newzdhm;
                    common.showMessage(msg);
                    return flag;
                }
            }
        }
        if('Changi General Hospital' == billerName){
            //税单号
            if(!algorit.Algo_Changi_General_Hospita_TaxNo(payeeActno,_sysTime)){
                var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newsdh;
                common.showMessage(msg);
                return flag;
            }
            if(!algorit.Algo_Changi_General_Hospita_NRICNo(billerRef3)){
                if(typeMap_billerRef3 == '1'){
                    var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newnric;
                    common.showMessage(msg);
                    return flag;
                }
                if(typeMap_billerRef3 == '2'){
                    var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newmrnno;
                    common.showMessage(msg);
                    return flag;
                }
                if(typeMap_billerRef3 == '3'){
                    var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newhrnno;
                    common.showMessage(msg);
                    return flag;
                }

            }
        }
        if('National Heart Centre' == billerName){
            if(!algorit.Algo_National_Heart_Center(payeeActno,_sysTime)){
                var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newzdhm;
                common.showMessage(msg);
                return flag;
            }
            if(!algorit.Algo_National_Heart_Center_NRICNo(billerRef3)){
                if(typeMap_billerRef3 == '1'){
                    var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newnric;
                    common.showMessage(msg);
                    return flag;
                }
                if(typeMap_billerRef3 == '2'){
                    var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newexternalid;
                    common.showMessage(msg);
                    return flag;
                }
            }
        }
       /* if('OCBC Credit Cards' == billerName){
            if(!algorit.OCBC_Nine_Credit(payeeActno)){
                var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newxykh;
                common.showMessage(msg);
                return flag;
            }
        }*/
        if("IRAS - Income Tax (Tax Ref No.)" == billerName){
            if(!algorit.ALGO_IRAS_TAX_NO(payeeActno)){
                var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newswh;
                common.showMessage(msg);
                return flag;
            }
        }
        if("IRAS - Others (Payment Voucher No.)" == billerName){
            if(!algorit.Algo_IRAS_Others(payeeActno)){
                var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newfkpzhother;
                common.showMessage(msg);
                return flag;
            }
        }
        if("Phoenix Communications" == billerName){
            if(payeeActno.length == 9){
                if(!algorit.Algo_Changi_General_Hospita_NRICNo(payeeActno)){
                    var msg = $.localeResource["BocAbroad_SinbpayPayeeList"].ovs_bpa_spm_newfkpzh;
                    common.showMessage(msg);
                    return flag;
                }
            }
        }
        flag = true;
        return flag;
        //end
    };
    return BillPayeeMod;
});