define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil','dateUtil','pluginsUtil'], function($, common, controller, model, routesUtil,dateUtil,pluginsUtil) {
    var mainView = $.extendCls(controller, {
        //ejs: (common.terminal == 'android' || common.terminal == 'ios' || common.terminal == 'iPhone' || common.terminal == 'iPad') ? '../BocAbroad/views/bpay/sin/bpayPay/bpayPaySin.ejs' : '../Login/views/login_pc.ejs',
        ejs: '../BocAbroad/views/bpay/sin/SinSelectHistoryTime/selectHistoryTime.ejs',
        css: '',
        systemDate:null,
        comlist:null,
        companyN:null,
        comcode:null,
        startDate:null,
        endDate:null,
        selectComlistModel:{data:null, selected:null},
        goback:function(){
            bocovsbridge.navigateToPage(function(params){
            }, function(params){
            }, 'entrance');
        },

        showCompany: function(){
            var _t = this;
            _t.selectComlistModel.data = _t.comlist;
            _t.selectComlistModel.selected =  _t.comcode;
            common.fullLayer.show({
                view: new ($.extendCls(controller, {
                        ejs: "../BocAbroad/views/bpay/sin/SinSelectHistoryTime/companies.ejs"
                    }))({
                    id: 'boc-chooseCompany',
                    class: 'halfLayer',
                    data: _t.selectComlistModel,
                    onCancel: function (e) {
                        common.fullLayer.cancel(e);
                    },
                    onbillerPayeeOrgSelect: function (e) {
                        var $target = $(e.target);
                        $(".boc-list-item").each(function (index, item) {
                            $(item).removeClass("boc-list-item-selected");
                        });
                        if (!$target.hasClass('boc-list-item')) {
                            $target = $target.parent();
                        }
                        $target.addClass("boc-list-item-selected");
                        _t.companyN = $target.find("span").text();
                        if( _t.companyN!=null&& _t.companyN!="")
                            $(".company").text(_t.companyN);

                        $(".boc-list-item").each(function (index, item) {

                            if ( $(item).hasClass("boc-list-item-selected")) {
                                if (index == 0) {
                                    _t.comcode = "";
                                } else {
                                    _t.comcode = _t.comlist.billerOrgList[index - 1].billerCode;
                                }
                            }
                        });
                        common.fullLayer.close(e);

                    },
                    queryInputRule: function () {

                    }
                })
            });

        },

        //日期选择
        //原生日期控件调用
        showDatePicker:function(){
            var _t = this;
            var sysDate = dateUtil.parse(_t.systemDate, 'yyyy/MM/dd hh:mm:ss');
            var systemDateString = dateUtil.format(sysDate, 'dd/MM/yyyy')
            dateMin = dateUtil.addMonths(sysDate, -3);
            dateMax = sysDate;
            var dateparams = pluginsUtil.createLimitDataSelectParams(systemDateString, {
                min: dateUtil.format(dateMin, "dd/MM/yyyy"),
                max: dateUtil.format(dateMax, "dd/MM/yyyy"),
                mindef: _t.startDate,
                maxdef: _t.endDate
            }, "dd/MM/yyyy");
            bocovsbridge.showDatePicker(function(result){
                if (!result.close) {
                    var select = result.select;
                    if (select){
                        var arr =  select.split(",");
                        _t.startDate = arr[0];
                        _t.endDate = arr[1];
                        _t.startDate = arr[0];
                        _t.endDate = arr[1];
                        console.log( arr[0]  + arr[1]);
                        $('#datePicker').text( _t.startDate + "-" + _t.endDate);
                    } else {
                        var picker = result.picker;
                        $('#datePicker').text(picker.scopeMin + "-" + picker.scopeMax);
                        _t.startDate = picker.scopeMin;
                        _t.endDate = picker.scopeMax;
                        _t.startDate = picker.scopeMin;
                        _t.endDate = picker.scopeMax;
                    }
                }
            }, function(params){
            }, dateparams);
        },
        //点击下一步
        sinHistoryQry : function(){
            var param = {};
            param.comcode = this.comcode;

            param.startDate = this._converDate(this.startDate);
            param.endDate = this._converDate(this.endDate);
            param.currentIndex="0";
            param.pageSize="50";
            param._refresh="true";
            param.loading="true";

            common.params.targetRouter = {
                routerKey: "BocAbroad_SinQueryHistoryList", //entrance
                isExcuteInit: false,
                excuteFun: "initdata",
                funArgs: [param],
                moduleArgs: []
            }
            //common.setTargetRouter(common.params.targetRouter);
            common.triggerRouter(common.params.targetRouter);


        },
        onSubError: function(err) {

        },
        serviceFormParams: function() {
            return {};
        },
        onLoadFinish: function(data) {
            var _t = this;

            //得到系统时间

            model.interaction({
                method: routesUtil.method.BII.OvcSysTimeQry,
                params: {}
            }, "BII", function(data) {
                _t.systemDate = data.sysTime;

                var params = "";
                var sysDate = dateUtil.parse(_t.systemDate, 'yyyy/MM/dd hh:mm:ss');
                var tempdate = dateUtil.addDays(sysDate, 1);
                var minDate = dateUtil.format(dateUtil.addMonths(tempdate, -3),"dd/MM/yyyy");
                var maxDate = dateUtil.format(sysDate,"dd/MM/yyyy");
                _t.startDate = minDate;
                _t.endDate = maxDate;
                $('#datePicker').text(minDate+" - "+maxDate);

            }, {errorFun:function(){
                var cuurent = new Date();
                _t.systemDate = dateUtil.format(cuurent, 'yyyy/MM/dd hh:mm:ss');
                var sysDate = dateUtil.parse(_t.systemDate, 'yyyy/MM/dd hh:mm:ss');
                var tempdate = dateUtil.addDays(sysDate, 1);
                var minDate = dateUtil.format(dateUtil.addMonths(tempdate, -3),"dd/MM/yyyy");
                var maxDate = dateUtil.format(sysDate,"dd/MM/yyyy");
                _t.startDate = minDate;
                _t.endDate = maxDate;
                $('#datePicker').text(minDate+" - "+maxDate);
            }})

            //得到缴费公司列表
            model.interaction({
                method: routesUtil.method.BII.OvpSinBpayBillerOrgListQry,
                params: {}
            }, "BII", function(data) {
                _t.comlist = data;

            });

        },

        _converDate:function(dateString){

            var date = dateUtil.parse(dateString, 'dd/MM/yyyy');
            return dateUtil.format(date, 'yyyy/MM/dd');
        },
        //执行方式
        onChoice: function() {

        },
        destroy: function() {
            $.proxy(this.baseprototype.destroy, this)();
        }
    });

    return common.Module.sub({
        _constructor: function() {
            this.mainView = null;
            $.proxy(this.baseprototype._constructor, this)();
        },
        CSSPATH:[],
        init: function() {
            this.mainView = new mainView({
                id: "boc-sinhissel",
                el: "#loginViewWrap",
                eloper: "html"
                //参数
            });
            this.mainView.load(
            );

        },
        destroy: function() {
            this.mainView.destroy();
        }
    });
});