define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil','amountUtil', 'constant', 'checkForm'],
    function($, common, controller, model, routesUtil,amountUtil, constant, checkForm) {
        var mainView = $.extendCls(controller, {
            ejs: '../BocAbroad/views/transfer/TransMainView.ejs',
        payOutAvailBalance: 0,//可用余额
        transPayeeInfor:{},
        transPayerInfor:{},
        inCurrencyCode: "",
        outCurrencyCode: "",
            savePayee:false,
            clearType: "4",
            transType:"0",
            conversationId:"",
            token:"",
            id:"",
            safetyFactorList:[],
            challenge: false,
            amountType:"0",
            inAmount:"",

        onSubError: function(err) {
        },
        serviceFormParams: function() {
            return {};
        },
        //返回的列表数据
        onLoadFinish: function() {
            var _t = this;
            document.addEventListener('deviceready', function(){_t.getTransData();}, false);
            $('#txtMoney').html($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_40);
            $('#txtMoneyTitle').html($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_50);
            //默认选中一个类型
            $("#txtTransType").html($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_53);
            this.transType = "0";
            $('#showRate').addClass('hide');
            //$('txtRemark').attr('maxlength', '18');
        },
        //提交
        onSubmit:function(){
            var _t = this;

            if(_t.inAmount == ""){
                common.showMessage($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_21);
                return;
            }

            _t.remark = $("#txtRemark").val().trim();
            //_t.inAmount = $("#txtMoney").val();
            if(!checkForm.checkAll('.boc-content')){//验证页面信息。
                return;
            };


            if(_t.amountType == "0"){
                if( _t.transType == 0 && Number(_t.inAmount) > 100000){ //FPS
                    common.showMessage($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_38);
                    return;
                    //common.showAlert($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_38, [window.app.nls.l_comfirm, window.app.nls.l_cancel], [$.proxy(_t.ovcCreConversationWithToken, _t), function(){}]);
                }
                else if(_t.transType != 1 && _t.inCurrencyCode == _t.outCurrencyCode && Number(_t.inAmount) > Number(_t.payOutAvailBalance)){
                    common.showAlert($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_37, [window.app.nls.l_comfirm, window.app.nls.l_cancel], [$.proxy(_t.ovcCreConversationWithToken, _t), function(){}]);
                }
                else{
                    _t.ovcCreConversationWithToken();
                }
            }
            else if(_t.amountType == "2"){
                if( _t.transType == 0 && Number(_t.inAmount) > 100000){//FPS
                    common.showMessage($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_38);
                    return;
                    //common.showAlert($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_38, [window.app.nls.l_comfirm, window.app.nls.l_cancel], [$.proxy(_t.ovcCreConversationWithToken, _t), function(){}]);
                }
                else if(_t.transType != 1  && _t.inCurrencyCode == _t.outCurrencyCode && Number(_t.inAmount) > Number(_t.payOutAvailBalance)){
                    common.showAlert($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_37, [window.app.nls.l_comfirm, window.app.nls.l_cancel], [$.proxy(_t.ovcCreConversationWithToken, _t), function(){}]);
                }
                else{
                    _t.ovcCreConversationWithToken();
                }

            }
            else{
                _t.ovcCreConversationWithToken();
            }

        },
        destroy: function() {
            $.proxy(this.baseprototype.destroy, this)();
        },
        ovcCreConversationWithToken:function(){
            var _t = this;
            model.interaction({
                method: routesUtil.method.BII.OvcCreConversationWithToken,
                params: {}
            }, "BII", function(data) {
                _t.conversationId = data.conversationId;
                _t.token = data.token;
                _t.psnGetSecurityFactor();
            });
        },
        psnGetSecurityFactor: function(){
            var _t = this;
            model.interaction({
                method: routesUtil.method.BII.PsnGetSecurityFactor,
                params: {conversationId: _t.conversationId,
                    serviceId: "OB029"}
            }, "BII", function(data) {
                _t.id = data._combinList[0].id + "";
                _t.safetyFactorList = data._combinList[0].safetyFactorList;
                _t.ovcGetTokenId();
            });
        },
            ovcGetTokenId:function(){
                var _t = this;
                model.interaction({
                    method: routesUtil.method.BII.OvcGetTokenId,
                    params: {conversationId:_t.conversationId}
                }, "BII", function(data) {
                    _t.token = data.token;
                    _t.ovpTransToOthBankConfirm();
                });
            },
        ovpTransToOthBankConfirm:function(){
            var _t = this;
            var params = {
                conversationId: _t.conversationId,
                _combinId: _t.id,
                cleaningId: _t.clearType,
                fromAccountId: _t.transPayerInfor.accountId,
                fromAcctNo: _t.transPayerInfor.accountType == "213" ? _t.transPayerInfor.subDebitInfo.subAcctList[0].accountNumber:  _t.transPayerInfor.accountNumber,
                payeeActno: _t.transPayeeInfor.accountNumber,
                inputAmount: _t.inAmount,
                inCurrencyCode: _t.inCurrencyCode,
                outCurrencyCode: _t.outCurrencyCode,
                payeeBankName: _t.transPayeeInfor.bankName,
                payeeName: _t.transPayeeInfor.payeeEnName,
                payeeBankNum: _t.transPayeeInfor.branchId,
                remark: _t.remark,
                transType: _t.transType,
                amountType: _t.amountType,
                token: _t.token,
                savePayee: _t.savePayee + "",

            };
            model.interaction({
                method: routesUtil.method.BII.OvpTransToOtherBankConfirm,
                params: params
            }, "BII", function(data) {
                //_challengeCode":"1234567810","_certDN":"CFCA0000000000000035","_plainData":null,"transFee":"792108","transFeeCur":"039"
                _t._challengeCode = data._challengeCode;
                _t._certDN = data._certDN;
                _t._plainData = data._plainData;
                _t.transFee = data.transFee + "";
                _t.transFeeCur = data.transFeeCur;
                _t.showComfirm();
                // _t.ovpTransToOthBankSEPA();
            });
        },
        showComfirm: function(){
            var _t = this;
            common.fullLayer.show({
                view: new($.extendCls(controller, {
                    ejs: "../BocAbroad/views/transfer/TransComfirmView.ejs"
                }))({
                    id: 'TransComfirmView',
                    data: {
                        outCurrencyCode: constant.currency_sign_1_[_t.outCurrencyCode],
                        inCurrencyCode: constant.currency_sign_1_[_t.inCurrencyCode],
                        inAmount: _t.inAmount.toString().changePartition(),
                        transFee: _t.transFee.toString().changePartition(),
                        transFeeCurShow: constant.currency_sign_1_[_t.transFeeCur],
                        payeeName: _t.transPayeeInfor.payeeEnName,
                        remark: _t.remark,
                        ibanNum: _t.transPayeeInfor.accountNumber,
                        transType:_t.transType == 0 ? $.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_53 :  $.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_54,
                        outAccountNumber:_t.transPayerInfor.accountType == "213" ? _t.transPayerInfor.subDebitInfo.subAcctList[0].accountNumber:  _t.transPayerInfor.accountNumber,
                        type:"eng",
                        payeeBankName: _t.transPayeeInfor.bankName,
                        payeeBankSwift: _t.transPayeeInfor.branchId,
                        txtMoneyTitle:  _t.amountType == "0" ? $.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_8 : $.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_51 ,
                    },
                    sure: function(e) {
                        common.fullLayer.close(e);
                        _t.onTokePassword();

                    },
                    _hisClose:function(e){
                        common.fullLayer.close(e);
                    }
                })
            });
        },
        onTokePassword:function(){
            var _t = this;
            var params = {cipher:false, challenge: _t.challenge, close:  true};

            bocovsbridge.showEtokenPasswordPage(function(data){
                    _t.otp = data.password;
                    if(data.close == false)
                    _t.ovpTransToOtherBank();

                }, function(data){

                },
                params);
        },
        //提交
            ovpTransToOtherBank:function(){
            var _t = this;

            var params = {
                conversationId: _t.conversationId,
                Otp: _t.otp,
                _combinId: _t.id,
                amountType: _t.amountType,
                cleaningId:_t.clearType,
                fromAccountId: _t.transPayerInfor.accountId,
                fromAcctNo: _t.transPayerInfor.accountType == "213" ? _t.transPayerInfor.subDebitInfo.subAcctList[0].accountNumber:  _t.transPayerInfor.accountNumber,
                payeeActno: _t.transPayeeInfor.accountNumber,
                inputAmount: _t.inAmount,
                inCurrencyCode: _t.inCurrencyCode,
                outCurrencyCode: _t.outCurrencyCode,
                payeeBankName: _t.transPayeeInfor.bankName,
                payeeBankNum: _t.transPayeeInfor.branchId,
                payeeName: _t.transPayeeInfor.payeeEnName,
                remark: _t.remark,
                token: _t.token,
                transFee: _t.transFee.toString().changePartition(),
                transFeeCur: _t.transFeeCur,
                transType: _t.transType,
                savePayee: _t.savePayee + "",
            };
            model.interaction({
                method: routesUtil.method.BII.OvpTransToOtherBank,
                params: params
            }, "BII", function(data) {
                _t.showResult(data);
            });
        },
        showResult: function(result){
            var _t = this;
            //成功回显示界面
            var str = "-";
            if(result.tradeRate != null && result.tradeRate.length > 0){
                var array = result.tradeRate[0].split('/');
                if(array.length == 3)
                    str = constant.currency_sign_1_[array[0]] + "/" + constant.currency_sign_1_[array[1]] + "/"+ array[2];
            }


            common.fullLayer.show({
                view: new($.extendCls(controller, {
                    ejs: "../BocAbroad/views/transfer/TransResultView.ejs"
                }))({
                    id: 'TransResultView',
                    data: {
                        type:"eng",
                        accountId: _t.transPayerInfor.accountId,
                        payeeName: _t.transPayeeInfor.payeeEnName,
                        payeeActno: _t.payeeActno,
                        inCurrencyCode: constant.currency_sign_1_[result.inCurrencyCode],
                        outCurrencyCode: constant.currency_sign_1_[result.outCurrencyCode],
                        inAmount: _t.inAmount.toString().changePartition(),
                        transTime: result.transTime,
                        transFee: result.transFee.toString().changePartition(),
                        transFeeCurShow:  constant.currency_sign_1_[result.transFeeCur] ,
                        statusShow: constant.trans_status_[result.status],
                        status:result.status,
                        transId: result.transId,
                        remark: _t.remark,
                        ibanNum: _t.transPayeeInfor.accountNumber,
                        tradeRate: str,
                        //baseAmt: _t.rateList.length > 0 ? _t.rateList[0].baseAmt : ""
                        transTime: result.transTime,
                        payeeBankName: _t.transPayeeInfor.bankName,
                        payeeBankSwift: _t.transPayeeInfor.branchId,
                        outAccountNumber: _t.transPayerInfor.accountType == "213" ? _t.transPayerInfor.subDebitInfo.subAcctList[0].accountNumber:  _t.transPayerInfor.accountNumber,
                        txtMoneyTitle:  _t.amountType == "0" ? $.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_8 : $.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_51 ,

                    },
                    onBack: function(e) {
                        common.fullLayer.close(e);
                        _t.onBack('home');
                    },
                    _hisClose:function(e){
                        common.fullLayer.close(e);
                        _t.onBack("tr_01");
                    }
                })
            }, "");
        },
        //选择交易类型
        onTransType:function(){
            var _t = this;
            common.fullLayer.show({
                classes:"halfLayer",
                closeByMask:true,
                view: new($.extendCls(controller, {
                    ejs: "../BocAbroad/views/transfer/ChoiceTransTypeView.ejs"
                }))({
                    id: 'ChoiceTransTypeView',
                    data: {
                        title1:$.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_53,
                        title2:$.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_54
                    },
                    onNoFreeType: function(e) {
                        $("#txtTransType").html($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_53);
                        _t.transType = "0";
                        common.fullLayer.close(e);

                    },
                    onFreeType:function(e){
                        $("#txtTransType").html($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_54);
                        _t.transType = "1";
                        common.fullLayer.close(e);
                    }
                })
            });
        },
        getTransData:function(){
            var _t = this;
            var params = {};
            bocovsbridge.retrieveTransAcctInfo(function(data){
                //得到数据赋值
                _t.payOutAvailBalance =  data.payOutAvailBalance;
                _t.outCurrencyCode = data.payOutCurrency;
                _t.inCurrencyCode = data.payInCurrency;
                _t.transPayeeInfor = data.transPayeeInfor;
                _t.transPayerInfor = data.transPayerInfor;
                _t.savePayee = data.savePayee;

                //if(_t.inCurrencyCode != _t.outCurrencyCode) {//不同币种显示查看牌照界面
                //    $("#divRate").removeClass("hide").addClass("show");
                //    $("#inMoneyCode").html($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_17 +"("+ constant.currency_sign_1_[_t.outCurrencyCode] +")");
                //}
                //else
                //    $("#divRate").removeClass("show").addClass("hide");

                //$("#txtInCurrencyCode").html("("+ constant.currency_sign_1_[_t.inCurrencyCode] +")");

                //转出信息
                $("#txtOutAccountNum").html(_t.transPayerInfor.accountNumber);
                var str = constant.account_type_[_t.transPayerInfor.accountType];
                $("#txtAccountType").html('<em class="boc-change-type" style="float: left;">'+str+'</em>');
                if(_t.transPayerInfor.accountNickName != undefined && _t.transPayerInfor.accountNickName != null &&  _t.transPayerInfor.accountNickName != "")
                    $('#txtAccountType').html('<em class="boc-change-type" style="float: left;">'+str+'</em>'+'&nbsp;&nbsp;|&nbsp;&nbsp;' + _t.transPayerInfor.accountNickName);

                //$("#txtAccountType").html(constant.account_type_[_t.transPayerInfor.accountType]);
                //if(_t.transPayerInfor.accountNickName != undefined && _t.transPayerInfor.accountNickName != null &&  _t.transPayerInfor.accountNickName != "")
                //    $("#txtNickName").html("&nbsp;&nbsp;|&nbsp;&nbsp;" + _t.transPayerInfor.accountNickName);
                //else
                //    $("#txtNickName").html("");

                if(_t.transPayerInfor.accountType == "212" || _t.transPayerInfor.accountType == "213" ){
                    $("#txtCurrencyCodeBg").removeClass("show").addClass("hide");
                    $("#txtCurrencyCode").removeClass("show").addClass("hide");
                }
                else{
                    $("#txtCurrencyCodeBg").removeClass("hide").addClass("show");
                    $("#txtCurrencyCode").removeClass("hide").addClass("show");
                }

                $("#txtCurrencyCode").html(constant.currency_sign_1_[_t.outCurrencyCode]);
                $("#txtBalMoney").html(_t.payOutAvailBalance.toString().formatMoney(_t.outCurrencyCode));
                if(_t.transPayerInfor.accountType != "212" && _t.transPayerInfor.accountType != "213"){
                    //$("#txtBalCurrencyCode").css("display","block");
                    $("#txtCurrencyCodeBg").css("display", "block");
                }
                else {
                    $("#txtCurrencyCodeBg").css("display", "none");
                    //$("#txtBalCurrencyCode").css("display","none");
                };
                $("#txtBalCurrencyCode").html("("+ constant.currency_sign_1_[_t.outCurrencyCode] +")");
                //转入信息
                $("#txtInAccountNum").html(_t.transPayeeInfor.accountNumber);
                $("#txtInAccountName").html(_t.transPayeeInfor.payeeEnName);

            }, function(data){}, params);
        },
        //选择金额
        onInputMoney:function(){
            var _t = this;
            common.fullLayer.show({
                classes:"halfLayer boc-popup",
                view: new($.extendCls(controller, {
                    ejs: "../BocAbroad/views/transfer/TabInputMoneyView.ejs"
                }))({
                    id: 'InputMoneyView',
                    data: {outCurrencyCode: constant.currency_sign_1_[_t.outCurrencyCode],
                        inCurrencyCode: constant.currency_sign_1_[_t.inCurrencyCode]
                    },
                    onSure: function(e) {


                        if(!checkForm.checkAll('.boc-div-display')){//验证页面信息。
                            return;
                        };

                        if( _t.amountType == "0"){
                            _t.inAmount = Number($('#out_amount').val().trim()) + "";
                            _t.amountType = "0";
                            $('#txtMoney').html(_t.inAmount.toString().formatMoney(_t.outCurrencyCode) + "("+ constant.currency_sign_1_[_t.outCurrencyCode] +")");
                            $('#txtMoneyTitle').html($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_8);
                        }
                        else if( _t.amountType == "2"){
                            _t.inAmount = Number($('#trad_amount').val().trim()) + "";
                            $('#txtMoney').html(_t.inAmount.toString().formatMoney(_t.inCurrencyCode) + "("+ constant.currency_sign_1_[_t.inCurrencyCode] +")");
                            $('#txtMoneyTitle').html($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_51);
                            _t.amountType = "2";
                        }

                        if(_t.inCurrencyCode != _t.outCurrencyCode) {//不同币种显示查看牌照界面
                            $("#inMoneyCode").css("display","block");
                            $("#divRate").removeClass("hide");
                            $("#showRate").css("display", "none");
                            $("#inMoneyCode").html($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_17 +"("+ constant.currency_sign_1_[_t.outCurrencyCode] +")");
                        }
                        else{
                            $("#inMoneyCode").removeClass("show").addClass("hide");
                            $("#divRate").addClass('hide');
                            $("#showRate").removeClass("hide");
                        }

                        common.fullLayer.close(e);

                    },

                    onTabOut:function(e){
                        $(".boc-tab li").removeClass("boc-tab-ui").eq(0).addClass('boc-tab-ui');

                        $("#0").removeClass("boc-div-none").addClass("boc-div-display");
                        $("#1").removeClass("boc-div-display").addClass("boc-div-none");
                        _t.amountType = "0";
                        $('#out_amount').val("");
                    },
                    onTabTrade:function(e){
                        $(".boc-tab li").removeClass("boc-tab-ui").eq(1).addClass('boc-tab-ui');
                        $("#1").removeClass("boc-div-none").addClass("boc-div-display");
                        $("#0").removeClass("boc-div-display").addClass("boc-div-none");
                        _t.amountType = "2";
                        $('#trad_amount').val("");

                    },
                    onCancel:function(e){
                        common.fullLayer.close(e);
                    },
                    onLoadFinish:function(data){

                        if(_t.amountType  ==  "0"){
                            $(".boc-tab li").removeClass("boc-tab-ui").eq(0).addClass('boc-tab-ui');
                            $("#0").removeClass("boc-div-none").addClass("boc-div-display");
                            $("#1").removeClass("boc-div-display").addClass("boc-div-none");
                            if(_t.inAmount != ""){
                                $('#out_amount').val(_t.inAmount);
                            }
                        }
                        else if(_t.amountType  ==  "2"){
                            $(".boc-tab li").removeClass("boc-tab-ui").eq(1).addClass('boc-tab-ui');
                            $("#1").removeClass("boc-div-none").addClass("boc-div-display");
                            $("#0").removeClass("boc-div-display").addClass("boc-div-none");
                            if(_t.inAmount != ""){
                                $('#trad_amount').val(_t.inAmount);
                            }
                        }

                        //$('#out_amount').on('input', function(){
                        //    if($('#out_amount').val()){
                        //        $('#outAmountCurrency').addClass("boc-popup-c-color");
                        //        $('#divOut').addClass("boc-popup-c-color");
                        //        $('#divTrad').removeClass("boc-popup-c-color");
                        //        //$('#outTitle').css('color', 'green');
                        //        //$('#tradTitle').css('color', 'gray');
                        //        //$('#outAmountCurrency').css('background-color', 'white');
                        //        //$('#out_amount').css('background-color', 'white');
                        //        $('#trad_amount').val('').attr('disabled', true);
                        //    }else{
                        //        //$('#outTitle').css('color', 'black');
                        //        //$('#tradTitle').css('color', 'black');
                        //        //$('#out_amount').css('background-color', 'white');
                        //        //$('#outAmountCurrency').css('background-color', 'white');
                        //
                        //        $('#trad_amount').removeAttr('disabled');
                        //    }
                        //
                        //});
                        //$('#trad_amount').on('input', function(){
                        //    if($('#trad_amount').val()){
                        //        //$('#tradTitle').css('color', 'green');
                        //        //$('#outTitle').css('color', 'gray');
                        //        //$('#trad_amount').css('background-color', 'white');
                        //        //$('#tradAmountCurrency').css('background-color', 'white');
                        //
                        //        $('#divTrad').addClass("boc-popup-c-color");
                        //        $('#tradAmountCurrency').addClass("boc-popup-c-color");
                        //        $('#divOut').removeClass("boc-popup-c-color");
                        //        $('#out_amount').val('').attr('disabled', true);
                        //    }else{
                        //        //$('#tradTitle').css('color', 'black');
                        //        //$('#outTitle').css('color', 'black');
                        //        //$('#trad_amount').css('background-color', 'white');
                        //        //$('#tradAmountCurrency').css('background-color', 'white');
                        //        $('#out_amount').removeAttr('disabled');
                        //    }
                        //
                        //});
                    }
                })
            });
        },
        onBack:function(id){
            var params;
            if(id == undefined || id == "")
                params = "entrance";
            else
                params = id;
            bocovsbridge.navigateToPage(function(data){}, function(data){},params);
        },
            onBackUi:function(e){
                var params = "back";
                bocovsbridge.navigateToPage(function(data){}, function(data){},params);
            },
        onOvpExchangeRateQry:function(){
            var _t = this;

            //_t.inAmount = $('#txtMoney').val();
            if(_t.inAmount == ""){
                common.showMessage($.localeResource['BocAbroad_EngTrans'].ovs_bps_sbpm_21);
                return;
            }
            //_t.showRateView();
            //return;
            //_t.inAmount = $('#txtMoney').val();
            var params = {fromAccountId: _t.transPayerInfor.accountId,
                fromAcctNo: _t.transPayerInfor.accountType == "213" ? _t.transPayerInfor.subDebitInfo.subAcctList[0].accountNumber:  _t.transPayerInfor.accountNumber,
                bankId: _t.transPayerInfor.accountType == "213" ? _t.transPayerInfor.subDebitInfo.subAcctList[0].accountIbknum:  _t.transPayerInfor.accountIbknum,
                outCurrencyCode: _t.outCurrencyCode,
                //inCurrencyCode: _t.inCurrencyCode,
                currency: _t.inCurrencyCode,
                clearType: "20",
                currencyCode: _t.inCurrencyCode,
                //交易金额和转出金额
                //amount: _t.inAmount
                transAmount: _t.inAmount
            };
            model.interaction({
                method: routesUtil.method.BII.OvpExchangeRateQry,
                params: params
            }, "BII", function(data) {
                for(var i = 0; i < data.rateList.length; i++){
                    data.rateList[i].soureCodeShow = constant.currency_sign_1_[data.rateList[i].soureCode];
                    data.rateList[i].targetCodeShow = constant.currency_sign_1_[data.rateList[i].targetCode];
                }
                _t.rateList = data.rateList;
                _t.showRateView();
            });
        },
        //显示牌价
        showRateView:function(){
            var _t = this;
            common.fullLayer.show({
                view: new($.extendCls(controller, {
                    ejs: "../BocAbroad/views/transfer/RateView.ejs"
                }))({
                    id: 'RateView',
                    data: {
                        type:"eng",
                        rateList: _t.rateList
                    },
                    _hisClose:function(e){
                        common.fullLayer.close(e);
                    }

                })
            }, "");

        },


        ///////////////////////////////////////////////////

    });
    return common.Module.sub({
        _constructor: function() {
            this.mainView = null;
            $.proxy(this.baseprototype._constructor, this)();
        },
        init: function() {
            this.mainView = new mainView({
                id: "EngTrans",
                el: "#loginViewWrap",
                eloper: "html",
                //参数
                data: {
                    type:"eng",
                }
            });
            this.mainView.load();
        },
        destroy: function() {
            this.mainView.destroy();
        }
    });
});