//预约付款管理js
define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil','amountUtil','checkForm'], function($, common, controller, model, routesUtil,amountUtil,checkForm) {
    var mainView = $.extendCls(controller, {
        ejs: "../BocAbroad/views/transfer/JohAddPayee.ejs",
        _hisClose: function(e){
            var params = {};
            bocovsbridge.backToTransAcctInfoPage(function (params) {
            }, function (params) {
            }, {});
        },
        imgName:function(){
            var imgSrc = $('#savePayee').attr('src');
            if(imgSrc == 'images/boz_02.png'){
                $('#savePayee').attr('src','images/boz_01.png');
                $('#savePayee').attr('name',"true");
            }else{
                $('#savePayee').attr('src','images/boz_02.png');
                $('#savePayee').attr('name',"false");
            }
        },
        bankList:function(){
            var params = {};
           bocovsbridge.retrieveTransAcctInfo(function (data) {
                var _bankId = data.transPayeeInfor.accountIbknum;
                model.interaction({
                    method: routesUtil.method.BII.OvpBankNumQry,
                    params: {
                        cleaningId:21,
                        bankId:_bankId
                    }
                }, "BII", function(data) {
                    var banklist = data.bankList;
                    common.fullLayer.show({
                        view: new ($.extendCls(controller, {
                            ejs: "../BocAbroad/views/transfer/JohBankList.ejs",
                        }))({
                            id: 'banklist1',
                            data:banklist,
                            _hisBankClose: function(e){
                                common.fullLayer.close(e);
                            },
                            optionBank:function(e){
                                var bankName = e.currentTarget.children[0].id;
                                var bankCode = e.currentTarget.children[1].id;
                                common.fullLayer.close(e);
                                $("#bankCode").text(bankCode);
                                $("#bankName").val(bankName);
                            }
                        })
                    },true);
                    var _title = common.strLong($.localeResource["BocAbroad_JohAddPayee"].ovs_joh_pm_select,25);
                    $("#optionBankName").html(_title);
                });
           }, function(data) {
            }, params);
        },
        otherBankSubmit:function(e){
            var _bankId = $("#bankCode").text();
            if (_bankId != '请选择' && _bankId != '' && _bankId != 'undefined' && _bankId != 'Select'){
                if(!checkForm.checkAll(".boc-input-import")){
                    return false;
                }else{
                    var _bankName = $("#bankName").val();
                    var params = {transPayeeInfor: {
                        payeeEnName:$('#payeename').val().trim(),
                        accountNumber:$('#payeecode').val().trim(),
                        branchId:_bankId,
                        payeeAcctType: 21,
                        bankName:_bankName
                    },
                        savePayee:$('#savePayee').attr('name')
                    }
                    bocovsbridge.backToTransAcctInfoPage(function(data){
                        //回调
                    }, function(data){
                    }, params);
                }
            }else{
                var msg = $.localeResource["BocAbroad_JohAddPayee"].ovs_joh_pm_nancodekong;
                common.showMessage(msg);
                return;
            }
        },
        onSubError: function(err) {
        },
        serviceFormParams: function() {
            return {};
        },
        //返回的列表数据
        onLoadFinish: function() {

        },
        //执行方式
        onChoice: function() {
        },
        destroy: function() {

        },
        //提交
        onSubmit:function(){
        }
    });
    return common.Module.sub({
        _constructor: function() {
            this.mainView = null;
            $.proxy(this.baseprototype._constructor, this)();
        },
        init: function() {
            this.mainView = new mainView({
                id: "billerDetailManage",
                el: "#loginViewWrap",
                eloper: "html",
                //参数
                data: {
                    type: "sin",
                }
            });
            this.mainView.load();
        },
        destroy: function() {
            this.mainView.destroy();
        }
    });
});