define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil','amountUtil','checkForm'], function($, common, controller, model, routesUtil,amountUtil,checkForm) {
    var mainView = $.extendCls(controller, {
        ejs: '../BocAbroad/views/transfer/MBAddPayee.ejs',
        _hisClose: function(e){
            bocovsbridge.navigateToPage(function (params) {
            }, function (params) {
            }, 'back');
        },
        imgName:function(){
            var imgSrc = $('#savePayee').attr('src');
            if(imgSrc == 'images/boz_02.png'){
                $('#savePayee').attr('src','images/boz_01.png');
                $('#savePayee').attr('name',"true");
            }else{
                $('#savePayee').attr('src','images/boz_02.png');
                $('#savePayee').attr('name',"false");
            }
        },
        bankList:function(){
            var _typeId = $('#typeId').val();
            model.interaction({
                method: routesUtil.method.BII.OvpBankQryByClear,
                params: {
                    cleaningId:_typeId
                }
            }, "BII", function(data) {
                var banklist = data.bankList;
                common.fullLayer.show({
                    view: new ($.extendCls(controller, {
                        ejs: "../BocAbroad/views/transfer/MBBankList.ejs",
                    }))({
                        id: 'banklist1',
                        data:banklist,
                        _hisBankClose: function(e){
                            common.fullLayer.close(e);
                        },
                        optionBank:function(e){
                            var bankName = e.currentTarget.children[0].id;
                            var bankCode = e.currentTarget.children[1].id;
                            common.fullLayer.close(e);
                            $("#bankName").text(bankName);
                            $("#bankCode").val(bankCode);
                        }
                    })
                },true);
                var _title = common.strLong($.localeResource["BocAbroad_MBAddPayee"].ovs_bkk_pm_select,25);
                $("#optionBankName").html(_title);
            });

        },
        typeList:function(){
            common.fullLayer.show({
                view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/transfer/MBTypeList.ejs",
                }))({
                    id: 'typelist',
                    data:null,
                    _hisBankClose: function(e){
                        common.fullLayer.close(e);
                    },
                    optionType:function(e){
                        var typeId = e.currentTarget.children[0].id;
                        var typeHtml = e.currentTarget.children[0].innerHTML;
                        common.fullLayer.close(e);
                        $("#typeId").val(typeId);
                        $("#typeName").html(typeHtml);
                        var str = $.localeResource["BocAbroad_MBAddPayee"].ovs_bkk_pm_select;
                        $("#bankName").html(str);
                        $("#bankCode").val('');
                    }
                })
            },true);
            var _title = common.strLong($.localeResource["BocAbroad_MBAddPayee"].ovs_bkk_pm_select,25);
            $("#optionBankName").html(_title);
        },
        otherBankSubmit:function(e){
            var _bankName = $("#bankName").html();
            var _typeName = $("#typeName").html();
            if(_typeName != '请选择' && _typeName != '' && _typeName != 'undefined' && _typeName != 'Select') {
                if (_bankName != '请选择' && _bankName != '' && _bankName != 'undefined' && _bankName != 'Select') {
                    if (!checkForm.checkAll(".boc-input-import")) {
                        return false;
                    } else {
                        var _turncode = $('#payeecode').val().trim();
                        var _payeename = $('#payeename').val().trim();
                        var _typeId = $('#typeId').val();
                        var _address = $('#payeeaddress').val();
                        var params = {
                            transPayeeInfor: {
                                payeeEnName: _payeename,
                                accountNumber: _turncode,
                                branchId: $('#bankCode').val(),
                                payeeAcctType: _typeId,
                                payeeAddress:_address,
                                bankName: $('#bankName').html()
                            },
                            savePayee: $('#savePayee').attr('name')
                        }
                        bocovsbridge.backToTransAcctInfoPage(function (data) {
                            //回调
                        }, function (data) {
                        }, params);
                    }
                }else{
                    var msg = $.localeResource["BocAbroad_MBAddPayee"].ovs_bkk_pm_banknamekong;
                    common.showMessage(msg);
                    return;
                }
            }else{
                var msg = $.localeResource["BocAbroad_MBAddPayee"].ovs_bkk_pm_payeetypekong;
                common.showMessage(msg);
                return;
            }
        },
        onSubError: function(err) {
        },
        serviceFormParams: function() {
            return {};
        },
        //返回的列表数据
        onLoadFinish: function() {

        },
        //执行方式
        onChoice: function() {
        },
        destroy: function() {

        },
        //提交
        onSubmit:function(){
        }
    });
    return common.Module.sub({
        _constructor: function() {
            this.mainView = null;
            $.proxy(this.baseprototype._constructor, this)();
        },
        init: function() {
            this.mainView = new mainView({
                id: "billerDetailManage",
                el: "#loginViewWrap",
                eloper: "html",
                //参数
                data: {
                    type: "sin",
                }
            });
            this.mainView.load();
        },
        destroy: function() {
            this.mainView.destroy();
        }
    });
});