define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil','amountUtil', 'constant', 'checkForm'],
    function($, common, controller, model, routesUtil,amountUtil, constant, checkForm) {
        var mainView = $.extendCls(controller, {
            ejs: '../BocAbroad/views/transfer/other/OtherTransMainView.ejs',
            payOutAvailBalance: 0,//可用余额
            transPayeeInfor:{},
            transPayerInfor:{},
            inCurrencyCode: "",
            outCurrencyCode: "",
            savePayee:false,
            clearType: "0",
            transType:"0",
            conversationId:"",
            token:"",
            id:"",
            safetyFactorList:[],
            challenge: false,
            amountType:"0",
            inAmount:"",
            type: "",//判断是那个行的他行
            serverId:"",
            payType: "",//付款类型
            remitFurInfo: "",
            remittanceInfo: "",
            remittanceInfoMl: "",//马来西亚的用途
            tabChange: false,
            onSubError: function(err) {
            },
            serviceFormParams: function() {
                return {};
            },
            //返回的列表数据
            onLoadFinish: function() {
                var _t = this;
                _t.type = common.currentRouterKey;
                document.addEventListener('deviceready', function(){_t.getTransData();}, false);
                $('#txtMoney').html($.localeResource[_t.type].ovs_bps_sbpm_40);
                $('#txtMoneyTitle').html($.localeResource[_t.type].ovs_bps_sbpm_50);
                $('#txtPayType').html($.localeResource[_t.type].ovs_bps_sbpm_10);

                if(_t.type == "BocAbroad_AudTrans"){
                    _t.clearType = "2";
                    _t.serviceId = "OB024";
                }
                else if(_t.type == "BocAbroad_MalaysiaTrans"){
                    _t.clearType = "30";
                    _t.serviceId = "OB043";
                    $('#txtMalaysiaUse').html($.localeResource[_t.type].ovs_bps_sbpm_10);
                    _t.payeeIdentityNumDic = {"01": $.localeResource[_t.type].ovs_bps_sbpm_108,
                        "02": $.localeResource[_t.type].ovs_bps_sbpm_109,
                        "03": $.localeResource[_t.type].ovs_bps_sbpm_110,
                        "04": $.localeResource[_t.type].ovs_bps_sbpm_111}
                }
                else if(_t.type == "BocAbroad_JakartaTrans"){
                    _t.clearType = "7";
                    _t.serviceId = "OB031";
                }
                else if(_t.type == "BocAbroad_BangkokTrans"){
                    _t.clearType = "26";
                    _t.serviceId = "OB040";
                }
                else if(_t.type == "BocAbroad_HungaryTrans"){
                    _t.clearType = "10";
                    _t.serviceId = "OB032";
                }
                else if(_t.type == "BocAbroad_JohannesburyTrans"){
                    _t.clearType = "21";
                    _t.serviceId = "OB041";
                }
                else if(_t.type == "BocAbroad_ZambiaTrans"){
                    _t.clearType = "31";
                    _t.serviceId = "OB042";
                }
                else if (_t.type == "BocAbroad_SROVTrans"){//胡志明
                    _t.clearType = "13";
                    _t.serviceId = "OB035";
                }
                else if(_t.type == "BocAbroad_ManilaTrans"){//马尼拉
                    //18马尼拉EPCS境内清算(比索)
                    //25马尼拉PDDTS境内清算(美元)
                    //32马尼拉PHILPASS境内清算(比索
                    //_t.clearType = "18";
                    _t.serviceId = "OB039";
                }

                $('#showRate').addClass('hide');
                //$('txtRemark').attr('maxlength', '18');


            },
            //提交
            onSubmit:function(){
                var _t = this;

                //_t.transFee = "111";
                //_t.inAmount = "100";
                //_t.inCurrencyCode = "070";
                //_t.transType = "1";
                //_t.showComfirm();
                //return;
                //
                // var data = {};
                // data.tradeRate = "";
                // data.transFee = "1";
                // data.status = "0";
                // data.transId = "121212121212121212121212121242324234242334";
                // _t.showResult(data);
                // return;

                if(_t.inAmount == ""){
                    common.showMessage($.localeResource[_t.type].ovs_bps_sbpm_21);
                    return;
                }

                _t.remark = $("#txtRemark").val().trim();

                if(_t.type == "BocAbroad_MalaysiaTrans"){
                    _t.remitFurInfo = $("#txtRemitFurInfo").val().trim();
                    if(_t.payType == ""){
                        common.showMessage($.localeResource[_t.type].ovs_bps_sbpm_106);
                        return;
                    }

                    if(_t.remitFurInfo == ""){
                        common.showMessage($.localeResource[_t.type].ovs_bps_sbpm_107);
                        return;
                    }

                    if(_t.inAmount > 10000){
                        if(_t.remittanceInfoMl == ""){
                            common.showMessage($.localeResource[_t.type].ovs_bps_sbpm_112);
                            return;
                        }
                    }
                }
                else if(_t.type == "BocAbroad_BangkokTrans"){//曼谷金额小于2000000
                    if(_t.inAmount > 2000000){
                        common.showMessage($.localeResource[_t.type].ovs_bps_sbpm_103);
                        return;
                    }

                    if(_t.type == "BocAbroad_BangkokTrans"){
                        if(_t.transPayeeInfor.payeeAcctType == '19'){
                            _t.transType = "1";
                            _t.clearType = "19";

                        }else if(_t.transPayeeInfor.payeeAcctType == '26'){
                            _t.transType = "0";
                            _t.clearType = "26";
                        }else if(_t.transPayeeInfor.payeeAcctType  == '27'){
                            _t.transType  = "2";
                            _t.clearType = "27";
                        }
                    }
                }


                if(!checkForm.checkAll('.boc-content')){//验证页面信息。
                    return;
                };


                if(_t.inCurrencyCode == _t.outCurrencyCode && Number(_t.inAmount) > Number(_t.payOutAvailBalance)){
                    common.showAlert($.localeResource[_t.type].ovs_bps_sbpm_37, [window.app.nls.l_comfirm, window.app.nls.l_cancel], [$.proxy(_t.ovcCreConversationWithToken, _t), function(){}]);
                }
                else{
                    _t.ovcCreConversationWithToken();
                }


            },
            destroy: function() {
                $.proxy(this.baseprototype.destroy, this)();
            },
            //转账币种控制
            OvpSDCurrencyControl: function(){
                var _t = this;
                var params = {
                    accountId:_t.transPayerInfor.accountId,
                    clearType: _t.cleaningId,
                    inCurrencyCode: _t.inCurrencyCode,
                    outCurrencyCode: _t.outCurrencyCode
                }
                model.interaction({
                    method: routesUtil.method.BII.OvpSDCurrencyControl,
                    params: params
                }, "BII", function(data) {
                    _t.isCurrenyControl = true;
                    _t.ovcCreConversationWithToken();
                });
            },

            ovcCreConversationWithToken:function(){
                var _t = this;
                model.interaction({
                    method: routesUtil.method.BII.OvcCreConversationWithToken,
                    params: {}
                }, "BII", function(data) {
                    _t.conversationId = data.conversationId;
                    _t.token = data.token;
                    if(_t.type == "BocAbroad_BangkokTrans")
                        _t.OvcGetSecurityFactor();
                    else
                        _t.psnGetSecurityFactor();
                });
            },
            OvcGetSecurityFactor: function(){
                var _t = this;
                model.interaction({
                    method: routesUtil.method.BII.OvcGetSecurityFactor,
                    params: {conversationId: _t.conversationId,
                        serviceId: _t.serviceId}
                }, "BII", function(data) {
                    _t.id = data._combinList[0].id + "";
                    _t.safetyFactorList = data._combinList[0].safetyFactorList;
                    _t.ovcGetTokenId();
                });
            },
            psnGetSecurityFactor: function(){
                var _t = this;
                model.interaction({
                    method: routesUtil.method.BII.PsnGetSecurityFactor,
                    params: {conversationId: _t.conversationId,
                        serviceId: _t.serviceId}
                }, "BII", function(data) {
                    _t.id = data._combinList[0].id + "";
                    _t.safetyFactorList = data._combinList[0].safetyFactorList;
                    _t.ovcGetTokenId();
                });
            },
            ovcGetTokenId:function(){
                var _t = this;
                model.interaction({
                    method: routesUtil.method.BII.OvcGetTokenId,
                    params: {conversationId:_t.conversationId}
                }, "BII", function(data) {
                    _t.token = data.token;
                    _t.ovpTransToOthBankConfirm();
                });
            },
            ovpTransToOthBankConfirm:function(){
                var _t = this;
                var params = {
                    conversationId: _t.conversationId,
                    _combinId: _t.id,
                    cleaningId: _t.clearType,
                    fromAccountId: _t.transPayerInfor.accountId,
                    fromAcctNo: _t.transPayerInfor.accountType == "213" ? _t.transPayerInfor.subDebitInfo.subAcctList[0].accountNumber:  _t.transPayerInfor.accountNumber,
                    payeeActno: _t.transPayeeInfor.accountNumber,
                    inputAmount: _t.inAmount,
                    inCurrencyCode: _t.inCurrencyCode,
                    outCurrencyCode: _t.outCurrencyCode,
                    payeeBankName: _t.transPayeeInfor.bankName,
                    payeeName: _t.transPayeeInfor.payeeEnName,
                    payeeBankNum: _t.transPayeeInfor.branchId,
                    remark: _t.remark,
                    transType: _t.transType,
                    amountType: _t.amountType,
                    token: _t.token,
                    savePayee: _t.savePayee + "",

                };
                if(_t.type == "BocAbroad_MalaysiaTrans"){
                    params['remitFurInfo'] = _t.remitFurInfo;
                    params['payType'] = _t.payType;
                    params['remittanceInfo'] = _t.remittanceInfoMl;
                }
                else if(_t.type == "BocAbroad_JakartaTrans"){
                    params['payeeAddress'] = _t.payeeAddress;
                }
                else if(_t.type == "BocAbroad_BangkokTrans"){
                    if(_t.transType != "2")
                        params['remittanceInfo'] = _t.remittanceInfo;
                    params['transType'] = _t.transType;
                }
                else if(_t.type == "BocAbroad_ManilaTrans"){
                    params['transType'] = _t.transType;
                    params['payeeAddress'] = _t.payeeAddress;
                }
                model.interaction({
                    method: routesUtil.method.BII.OvpTransToOtherBankConfirm,
                    params: params
                }, "BII", function(data) {
                    //_challengeCode":"1234567810","_certDN":"CFCA0000000000000035","_plainData":null,"transFee":"792108","transFeeCur":"039"
                    _t._challengeCode = data._challengeCode;
                    _t._certDN = data._certDN;
                    _t._plainData = data._plainData;
                    _t.transFee = data.transFee + "";
                    _t.transFeeCur = data.transFeeCur;
                    _t.showComfirm();
                });
            },
            showComfirm: function(){
                var _t = this;
                var data = {
                    outCurrencyCode: constant.currency_sign_1_[_t.outCurrencyCode],
                    inCurrencyCode: constant.currency_sign_1_[_t.inCurrencyCode],
                    inAmount: _t.inAmount.toString().formatMoney(_t.inCurrencyCode),
                    transFee: _t.transFee.toString().formatMoney(_t.inCurrencyCode),
                    transFeeCurShow: constant.currency_sign_1_[_t.transFeeCur],
                    payeeName: _t.transPayeeInfor.payeeEnName,
                    remark: _t.remark,
                    ibanNum: _t.transPayeeInfor.accountNumber,
                    transType:_t.transType == 0 ? $.localeResource[_t.type].ovs_bps_sbpm_53 :  $.localeResource[_t.type].ovs_bps_sbpm_54,
                    outAccountNumber:_t.transPayerInfor.accountType == "213" ? _t.transPayerInfor.subDebitInfo.subAcctList[0].accountNumber:  _t.transPayerInfor.accountNumber,
                    type:_t.type,
                    amountType:_t.amountType,
                    payeeBankName: _t.transPayeeInfor.bankName,
                    payeeBankSwift: _t.transPayeeInfor.branchId,
                    address: _t.transPayeeInfor.payeeAddress,
                    txtMoneyTitle:  _t.amountType == "0" ? $.localeResource[_t.type].ovs_bps_sbpm_8 : $.localeResource[_t.type].ovs_bps_sbpm_51 ,
                };
                if(_t.type == 'BocAbroad_MalaysiaTrans'){
                    data['remitFurInfo'] = _t.remitFurInfo;
                    data['payType'] = constant.pay_type_[_t.payType];
                    data['payeeRecIdType'] = _t.payeeIdentityNumDic[_t.transPayeeInfor.payeeRecIdType];
                    data['payeeIdentityNum'] = _t.transPayeeInfor.payeeIdentityNum;
                    data['remittanceInfoMl'] = constant.malaysia_remittanceInfo_use_[_t.remittanceInfoMl];
                }
                else if(_t.type == "BocAbroad_JakartaTrans"){
                    data['transType'] = constant.jakarta_trans_type_[_t.transType];
                    data['payeeAddress'] = _t.payeeAddress;
                }
                else if(_t.type == "BocAbroad_BangkokTrans"){
                    if(_t.transType != "2")
                        data['remittanceInfo'] = constant.bangkok_remittanceInfo_use_[_t.remittanceInfo];
                    else
                        data['remittanceInfo'] = "";
                    data['transType'] = $('#txtPayeeAcctType').html();
                }
                else if(_t.type == "BocAbroad_ManilaTrans"){
                    data['transType'] = constant.manila_trans_type_[_t.transType];
                    data['payeeAddress'] = _t.payeeAddress;
                }
                //else if(_t.type == "BocAbroad_AudTrans"){
                //    data['payeeAddress'] = _t.payeeAddress;
                //}
                common.fullLayer.show({
                    view: new($.extendCls(controller, {
                        ejs: "../BocAbroad/views/transfer/other/OtherTransComfirmView.ejs"
                    }))({
                        id: 'OtherTransComfirmView',
                        data: data,
                        sure: function(e) {
                            common.fullLayer.close(e);
                            _t.onTokePassword();

                        },
                        _hisClose:function(e){
                            common.fullLayer.close(e);
                        }
                    })
                });
            },
            onTokePassword:function(){
                var _t = this;
                var params = {cipher:false, challenge: _t.challenge, close:  true};

                bocovsbridge.showEtokenPasswordPage(function(data){
                        _t.otp = data.password;
                        if(data.close == false)
                            _t.ovpTransToOtherBank();

                    }, function(data){

                    },
                    params);
            },
            //提交
            ovpTransToOtherBank:function(){
                var _t = this;

                var params = {
                    conversationId: _t.conversationId,
                    Otp: _t.otp,
                    _combinId: _t.id,
                    amountType: _t.amountType,
                    cleaningId:_t.clearType,
                    fromAccountId: _t.transPayerInfor.accountId,
                    fromAcctNo: _t.transPayerInfor.accountType == "213" ? _t.transPayerInfor.subDebitInfo.subAcctList[0].accountNumber:  _t.transPayerInfor.accountNumber,
                    payeeActno: _t.transPayeeInfor.accountNumber,
                    inputAmount: _t.inAmount,
                    inCurrencyCode: _t.inCurrencyCode,
                    outCurrencyCode: _t.outCurrencyCode,
                    payeeBankName: _t.transPayeeInfor.bankName,
                    payeeBankNum: _t.transPayeeInfor.branchId,
                    payeeName: _t.transPayeeInfor.payeeEnName,
                    remark: _t.remark,
                    token: _t.token,
                    transFee: _t.transFee.toString().formatMoney(_t.inCurrencyCode),
                    transFeeCur: _t.transFeeCur,
                    transType: _t.transType,
                    savePayee: _t.savePayee + "",
                };

                if(_t.type == 'BocAbroad_MalaysiaTrans'){
                    params['remitFurInfo'] = _t.remitFurInfo;
                    params['payType'] = _t.payType;
                    params['remittanceInfo'] = _t.remittanceInfoMl;
                }
                else if(_t.type == "BocAbroad_JakartaTrans"){
                    params['payeeAddress'] = _t.payeeAddress;
                }
                else if(_t.type == "BocAbroad_BangkokTrans"){
                    if(_t.transType != "2")
                        params['remittanceInfo'] = _t.remittanceInfo;
                    params['transType'] = _t.transType;
                }
                else if(_t.type == "BocAbroad_ManilaTrans"){
                    params['transType'] = _t.transType;
                    params['payeeAddress'] = _t.payeeAddress;
                }
                model.interaction({
                    method: routesUtil.method.BII.OvpTransToOtherBank,
                    params: params
                }, "BII", function(data) {
                    _t.showResult(data);
                });
            },
            showResult: function(result){
                var _t = this;
                //成功回显示界面
                var str = "-";
                if(result.tradeRate != null && result.tradeRate.length > 0){
                    var array = result.tradeRate[0].split('/');
                    if(array.length == 3)
                        str = constant.currency_sign_1_[array[0]] + "/" + constant.currency_sign_1_[array[1]] + "/"+ array[2];
                }

                var  data = {
                        type: _t.type,
                        accountId: _t.transPayerInfor.accountId,
                        payeeName: _t.transPayeeInfor.payeeEnName,
                        payeeActno: _t.payeeActno,
                        inCurrencyCode: constant.currency_sign_1_[result.inCurrencyCode],
                        outCurrencyCode: constant.currency_sign_1_[result.outCurrencyCode],
                        inAmount: _t.inAmount.toString().formatMoney(_t.inCurrencyCode),
                        transTime: result.transTime,
                        transFee: result.transFee.toString().formatMoney(_t.inCurrencyCode),
                        transFeeCurShow:  constant.currency_sign_1_[result.transFeeCur] ,
                        statusShow: constant.trans_status_[result.status],
                        status:result.status,
                        transId: result.transId,
                        amountType: _t.amountType,
                        remark: _t.remark,
                        accountType:_t.accountType,
                        ibanNum: _t.transPayeeInfor.accountNumber,
                        tradeRate: str,
                        address: _t.transPayeeInfor.payeeAddress,
                        //baseAmt: _t.rateList.length > 0 ? _t.rateList[0].baseAmt : ""
                        payeeBankName: _t.transPayeeInfor.bankName,
                        payeeBankSwift: _t.transPayeeInfor.branchId,
                        outAccountNumber: _t.transPayerInfor.accountType == "213" ? _t.transPayerInfor.subDebitInfo.subAcctList[0].accountNumber:  _t.transPayerInfor.accountNumber,
                        txtMoneyTitle:  _t.amountType == "0" ? $.localeResource[_t.type].ovs_bps_sbpm_8 : $.localeResource[_t.type].ovs_bps_sbpm_51 ,
                };

                if(_t.type == 'BocAbroad_MalaysiaTrans'){
                    data['remitFurInfo'] = _t.remitFurInfo;
                    data['payType'] = constant.pay_type_[_t.payType];
                    data['payeeRecIdType'] = _t.payeeIdentityNumDic[_t.transPayeeInfor.payeeRecIdType];
                    data['payeeIdentityNum'] = _t.transPayeeInfor.payeeIdentityNum;
                    data['remittanceInfoMl'] = constant.malaysia_remittanceInfo_use_[_t.remittanceInfoMl];
                }
                else if(_t.type == "BocAbroad_JakartaTrans"){
                    data['transType'] = constant.jakarta_trans_type_[_t.transType];
                    data['payeeAddress'] = _t.payeeAddress;
                }
                else if(_t.type == "BocAbroad_BangkokTrans"){
                    if(_t.transType != "2")
                        data['remittanceInfo'] = constant.bangkok_remittanceInfo_use_[_t.remittanceInfo];
                    else
                        data['remittanceInfo'] = "";
                    data['transType'] = $('#txtPayeeAcctType').html();
                }
                else if(_t.type == "BocAbroad_ManilaTrans"){
                    data['transType'] = constant.manila_trans_type_[_t.transType];
                }

                common.fullLayer.show({
                    view: new($.extendCls(controller, {
                        ejs: "../BocAbroad/views/transfer/other/OtherTransResultView.ejs"
                    }))({
                        id: 'OtherTransResultView',
                        data: data,
                        onBack: function(e) {
                            common.fullLayer.close(e);
                            _t.onBack('home');
                        },
                        _hisClose:function(e){
                            common.fullLayer.close(e);
                            _t.onBack("tr_01");
                        }
                    })
                }, "");
            },
            ////选择交易类型
            //onTransType:function(){
            //    var _t = this;
            //    common.fullLayer.show({
            //        classes:"halfLayer",
            //        view: new($.extendCls(controller, {
            //            ejs: "../BocAbroad/views/transfer/ChoiceTransTypeView.ejs"
            //        }))({
            //            id: 'ChoiceTransTypeView',
            //            data: {
            //                title1:$.localeResource[_t.type].ovs_bps_sbpm_53,
            //                title2:$.localeResource[_t.type].ovs_bps_sbpm_54
            //            },
            //            onNoFreeType: function(e) {
            //                $("#txtTransType").html($.localeResource[_t.type].ovs_bps_sbpm_53);
            //                _t.transType = "0";
            //                common.fullLayer.close(e);
            //
            //            },
            //            onFreeType:function(e){
            //                $("#txtTransType").html($.localeResource[_t.type].ovs_bps_sbpm_54);
            //                _t.transType = "1";
            //                common.fullLayer.close(e);BocAbroad_BangkokTrans
            //            }
            //        })
            //    });
            //},
            //马来西亚用途
            onMalaysiaUse: function(){
                var _t = this;
                common.fullLayer.show({
                    view: new($.extendCls(controller, {
                        ejs: "../BocAbroad/views/transfer/PayTypeView.ejs"
                    }))({
                        id: 'PayTypeView',
                        data: [constant.malaysia_remittanceInfo_use_],
                        sure: function(e) {
                            common.fullLayer.close(e);
                            var clickobj = $(e.target);
                            while (clickobj.length > 0 && !clickobj.hasClass('boc-list-item')) {
                                clickobj = clickobj.parent();
                            }
                            _t.remittanceInfoMl  = clickobj.attr("use");
                            $('#txtMalaysiaUse').html(constant.malaysia_remittanceInfo_use_[_t.remittanceInfoMl]);

                        },
                        onCancel: function(e){
                            common.fullLayer.close(e);
                        }
                    })
                });
            },
            //曼谷汇款用途
            onRemittanceInfo: function(){
                var _t = this;
                common.fullLayer.show({
                    view: new($.extendCls(controller, {
                        ejs: "../BocAbroad/views/transfer/PayTypeView.ejs"
                    }))({
                        id: 'PayTypeView',
                        data: [constant.bangkok_remittanceInfo_use_],
                        sure: function(e) {
                            common.fullLayer.close(e);
                            var clickobj = $(e.target);
                            while (clickobj.length > 0 && !clickobj.hasClass('boc-list-item')) {
                                clickobj = clickobj.parent();
                            }
                            _t.remittanceInfo  = clickobj.attr("use");
                            $('#txtRemittanceInfo').html(constant.bangkok_remittanceInfo_use_[_t.remittanceInfo]);

                        },
                        onCancel: function(e){
                            common.fullLayer.close(e);
                        }
                    })
                });
            },
            //马来西亚选择付款类型
            onPayType: function(){
                var _t = this;
                common.fullLayer.show({
                    view: new($.extendCls(controller, {
                        ejs: "../BocAbroad/views/transfer/PayTypeView.ejs"
                    }))({
                        id: 'PayTypeView',
                        data: [constant.pay_type_],
                        sure: function(e) {
                            common.fullLayer.close(e);
                            var clickobj = $(e.target);
                            while (clickobj.length > 0 && !clickobj.hasClass('boc-list-item')) {
                                clickobj = clickobj.parent();
                            }
                            _t.payType  = clickobj.attr("use");
                            $('#txtPayType').html(constant.pay_type_[_t.payType]);

                        },
                        onCancel: function(e){
                            common.fullLayer.close(e);
                        }
                    })
                });
            },
            getTransData:function(){
                var _t = this;
                var params = {};
                bocovsbridge.retrieveTransAcctInfo(function(data){
                    //得到数据赋值
                    _t.payOutAvailBalance =  data.payOutAvailBalance;
                    _t.outCurrencyCode = data.payOutCurrency;
                    _t.inCurrencyCode = data.payInCurrency;
                    _t.transPayeeInfor = data.transPayeeInfor;
                    _t.transPayerInfor = data.transPayerInfor;
                    _t.savePayee = data.savePayee;
                    if(data.transType != undefined && data.transType != ""){
                        _t.transType = data.transType;
                        if(_t.type == "BocAbroad_BangkokTrans"){
                            if(data.transPayeeInfor.payeeAcctType == '19'){
                                _t.transType = "1";
                                _t.clearType = "19";

                            }else if(data.transPayeeInfor.payeeAcctType == '26'){
                                _t.transType = "0";
                                _t.clearType = "26";
                            }else if(data.transPayeeInfor.payeeAcctType  == '27'){
                                _t.transType  = "2";
                                _t.clearType = "27";
                            }
                        }
                    }
                    else{
                        if(_t.type == "BocAbroad_JakartaTrans")
                            _t.transType = data.transPayeeInfor.payeeAcctType == "7" ? "0" : "1";
                        else if(_t.type == "BocAbroad_BangkokTrans"){
                            if(data.transPayeeInfor.payeeAcctType == '19'){
                                _t.transType = "1";
                                _t.clearType = "19";

                            }else if(data.transPayeeInfor.payeeAcctType == '26'){
                                _t.transType = "0";
                                _t.clearType = "26";
                            }else if(data.transPayeeInfor.payeeAcctType  == '27'){
                                _t.transType  = "2";
                                _t.clearType = "27";
                            }
                        }
                    }

                    if(_t.type == "BocAbroad_JakartaTrans"){
                        //_t.transType = data.transType;
                        _t.payeeAddress = data.transPayeeInfor.payeeAddress;
                        $('#txtPayeeAcctType').html(constant.jakarta_trans_type_[_t.transType]);
                        _t.clearType = _t.transType == "0" ? "7" : "8";
                    }
                    else if(_t.type == "BocAbroad_BangkokTrans"){
                        //_t.transType = data.transType;
                        $('#txtPayeeAcctType').html(constant.bangkok_trans_type_[_t.transType]);

                        //BahtNet 类型不用选用途
                        if(_t.transType == "2"){
                            $("#bangkokTransDiv").css("display", "none");//removeClass("show").addClass("hide");
                            $("#bangkokTransDiv1").removeClass("show").addClass("hide");
                        }
                        else{
                            $("#bangkokTransDiv").css("display", "block");//removeClass("hide").addClass("show");
                            $("#bangkokTransDiv1").removeClass("hide").addClass("show");
                        }
                        //_t.remittanceInfo = '01';
                        //$('#txtRemittanceInfo').html(constant.bangkok_remittanceInfo_use_[_t.remittanceInfo]);
                    }
                    //马尼拉
                    else if(_t.type == "BocAbroad_ManilaTrans"){
                        if(data.transPayeeInfor.payeeAcctType == "18")
                            _t.transType = "0";
                        else if(data.transPayeeInfor.payeeAcctType == "32")
                            _t.transType = "1";
                        else if(data.transPayeeInfor.payeeAcctType == "25")
                            _t.transType = "2";

                        _t.payeeAddress = data.transPayeeInfor.payeeAddress;
                        $('#txtPayeeAcctType').html(constant.manila_trans_type_[_t.transType]);
                        _t.clearType = data.transPayeeInfor.payeeAcctType;
                    }



                    //转出信息
                    $("#txtOutAccountNum").html(_t.transPayerInfor.accountNumber);

                    var str = constant.account_type_[_t.transPayerInfor.accountType];
                    $("#txtAccountType").html('<em class="boc-change-type" style="float: left;">'+str+'</em>');
                    if(_t.transPayerInfor.accountNickName != undefined && _t.transPayerInfor.accountNickName != null &&  _t.transPayerInfor.accountNickName != "")
                        $('#txtAccountType').html('<em class="boc-change-type" style="float: left;">'+str+'</em>'+'&nbsp;&nbsp;|&nbsp;&nbsp;' + _t.transPayerInfor.accountNickName);


                    if(_t.transPayerInfor.accountType == "212" || _t.transPayerInfor.accountType == "213" ){
                        $("#txtCurrencyCodeBg").removeClass("show").addClass("hide");
                        $("#txtCurrencyCode").removeClass("show").addClass("hide");
                    }
                    else{
                        $("#txtCurrencyCodeBg").removeClass("hide").addClass("show");
                        $("#txtCurrencyCode").removeClass("hide").addClass("show");
                    }

                    $("#txtCurrencyCode").html(constant.currency_sign_1_[_t.outCurrencyCode]);
                    $("#txtBalMoney").html(_t.payOutAvailBalance.toString().formatMoney(_t.outCurrencyCode));
                    if(_t.transPayerInfor.accountType != "212" && _t.transPayerInfor.accountType != "213"){
                        $("#txtCurrencyCodeBg").css("display", "block");
                    }
                    else {
                        $("#txtCurrencyCodeBg").css("display", "none");
                    };
                    $("#txtBalCurrencyCode").html("("+ constant.currency_sign_1_[_t.outCurrencyCode] +")");
                    //转入信息
                    $("#txtInAccountNum").html(_t.transPayeeInfor.accountNumber);
                    $("#txtInAccountName").html(_t.transPayeeInfor.payeeEnName);

                }, function(data){}, params);
            },

            //选择单选金额
            onSimpleInputMoney:function(){
                var _t = this;
                common.fullLayer.show({
                    classes:"halfLayer boc-popup",
                    view: new($.extendCls(controller, {
                        ejs: "../BocAbroad/views/transfer/SimpleInputMoneyView.ejs"
                    }))({
                        id: 'SimpleInputMoneyView',
                        data: {
                            inCurrencyCode: constant.currency_sign_1_[_t.outCurrencyCode],
                            title: $.localeResource['BocAbroad_HungaryTrans'].ovs_bps_sbpm_8,
                            inAmount: _t.inAmount,
                        },
                        onSure: function(e) {
                            if(!checkForm.checkAll('.boc-simple-input')){//验证页面信息。
                                return;
                            };
                            if($('#in_amount').val() != ""){
                                _t.inAmount = Number($('#in_amount').val().trim()) + "";
                                $('#txtMoney').html(_t.inAmount.toString().formatMoney(_t.outCurrencyCode) + "("+ constant.currency_sign_1_[_t.outCurrencyCode] +")");
                                //_t.amountType = "1";
                            }

                            if(_t.inCurrencyCode != _t.outCurrencyCode) {//不同币种显示查看牌照界面
                                $("#inMoneyCode").css("display","block");
                                $("#divRate").removeClass("hide");
                                //$("#showRate").css("display", "none");
                                $("#inMoneyCode").html($.localeResource[_t.type].ovs_bps_sbpm_17 +"("+ constant.currency_sign_1_[_t.outCurrencyCode] +")");
                            }
                            else{
                                $("#inMoneyCode").removeClass("show").addClass("hide");
                                $("#divRate").addClass('hide');
                                $("#showRate").removeClass("hide");
                            }

                            common.fullLayer.close(e);

                        },
                        onCancel:function(e){
                            common.fullLayer.close(e);
                        },
                        onLoadFinish:function(data){
                            if(_t.inAmount != "")
                                $('#in_amount').val(_t.inAmount);
                        }
                    })
                });
            },

            //选择金额
            onInputMoney:function(){
                var _t = this;
                common.fullLayer.show({
                    classes:"halfLayer boc-popup",
                    view: new($.extendCls(controller, {
                        ejs: "../BocAbroad/views/transfer/TabInputMoneyView.ejs"
                    }))({
                        id: 'InputMoneyView',
                        data: {outCurrencyCode: constant.currency_sign_1_[_t.outCurrencyCode],
                            inCurrencyCode: constant.currency_sign_1_[_t.inCurrencyCode]
                        },
                        onSure: function(e) {

                            //_t.outCurrencyCode = "064";
                            // if(_t.type == "BocAbroad_SROVTrans" ){
                            //     alert("IM in"+_t.amountType+"out"+_t.outCurrencyCode+"in"+_t.inCurrencyCode);
                            //     if( (_t.outCurrencyCode != "064" && _t.amountType == "0" )||(_t.inCurrencyCode == "064"&& _t.amountType == "2")){
                            //         alert("IM in 2");
                            //         var number = Number($('#out_amount').val().trim()) + "";
                            //         number = number.split('.');
                            //         alert(number);
                            //         common.showMessage($.localeResource[_t.type]);
                            //         common.showMessage($.localeResource["0"].ovs_bps_sbpm_102);
                            //         if(number.length > 1){
                            //             common.showMessage($.localeResource[_t.type].ovs_bps_sbpm_102);
                            //             return;
                            //         }
                            //     }
                            //
                            // }

                            if(!checkForm.checkAll('.boc-div-display')){//验证页面信息。
                                return;
                            };

                            if( _t.amountType == "0"){
                                _t.inAmount = Number($('#out_amount').val().trim()) + "";
                                _t.amountType = "0";
                                $('#txtMoney').html(_t.inAmount.toString().formatMoney(_t.outCurrencyCode) + "("+ constant.currency_sign_1_[_t.outCurrencyCode] +")");
                                $('#txtMoneyTitle').html($.localeResource[_t.type].ovs_bps_sbpm_8);
                            }
                            else if( _t.amountType == "2"){
                                _t.inAmount = Number($('#trad_amount').val().trim()) + "";
                                $('#txtMoney').html(_t.inAmount.toString().formatMoney(_t.inCurrencyCode) + "("+ constant.currency_sign_1_[_t.inCurrencyCode] +")");
                                $('#txtMoneyTitle').html($.localeResource[_t.type].ovs_bps_sbpm_51);
                                _t.amountType = "2";
                            }

                            if(_t.inCurrencyCode != _t.outCurrencyCode) {//不同币种显示查看牌照界面
                                $("#inMoneyCode").css("display","block");
                                $("#divRate").removeClass("hide");
                                //$("#showRate").css("display", "none");
                                $("#inMoneyCode").html($.localeResource[_t.type].ovs_bps_sbpm_17 +"("+ constant.currency_sign_1_[_t.outCurrencyCode] +")");
                            }
                            else{
                                $("#inMoneyCode").removeClass("show").addClass("hide");
                                $("#divRate").addClass('hide');
                                $("#showRate").removeClass("hide");
                            }

                            //马来西亚判断金额大小
                            if(_t.type == "BocAbroad_MalaysiaTrans"){
                                if(_t.inAmount > 10000)
                                    $('#malaysiaUseDiv').removeClass("hide").addClass("show");
                                else
                                    $('#malaysiaUseDiv').removeClass("show").addClass("hide");
                            }
                            _t.tabChange = false;
                            common.fullLayer.close(e);

                        },

                        onTabOut:function(e){
                            $(".boc-tab li").removeClass("boc-tab-ui").eq(0).addClass('boc-tab-ui');

                            $("#0").removeClass("boc-div-none").addClass("boc-div-display");
                            $("#1").removeClass("boc-div-display").addClass("boc-div-none");
                            if(_t.amountType == "2"){
                                _t.amountType = "0";
                                _t.tabChange = !_t.tabChange;
                                $('#out_amount').val("");
                            }
                        },
                        onTabTrade:function(e){
                            $(".boc-tab li").removeClass("boc-tab-ui").eq(1).addClass('boc-tab-ui');
                            $("#1").removeClass("boc-div-none").addClass("boc-div-display");
                            $("#0").removeClass("boc-div-display").addClass("boc-div-none");
                            if(_t.amountType == "0"){
                                _t.amountType = "2";
                                _t.tabChange = !_t.tabChange;
                                $('#trad_amount').val("");
                            }
                        },
                        onCancel:function(e){

                            if(_t.tabChange){
                                if(_t.amountType == "0")
                                    _t.amountType = "2";
                                else if(_t.amountType == "2")
                                    _t.amountType = "0";
                            }

                            common.fullLayer.close(e);
                        },
                        onLoadFinish:function(data){

                            if(_t.amountType  ==  "0"){
                                $(".boc-tab li").removeClass("boc-tab-ui").eq(0).addClass('boc-tab-ui');
                                $("#0").removeClass("boc-div-none").addClass("boc-div-display");
                                $("#1").removeClass("boc-div-display").addClass("boc-div-none");
                                if(_t.inAmount != ""){
                                    $('#out_amount').val(_t.inAmount);
                                }
                            }
                            else if(_t.amountType  ==  "2"){
                                $(".boc-tab li").removeClass("boc-tab-ui").eq(1).addClass('boc-tab-ui');
                                $("#1").removeClass("boc-div-none").addClass("boc-div-display");
                                $("#0").removeClass("boc-div-display").addClass("boc-div-none");
                                if(_t.inAmount != ""){
                                    $('#trad_amount').val(_t.inAmount);
                                }
                            }
                            _t.tabChange = false;
                        }
                    })
                });
            },
            onBack:function(id){
                var params;
                if(id == undefined || id == "")
                    params = "entrance";
                else
                    params = id;
                bocovsbridge.navigateToPage(function(data){}, function(data){},params);
            },
            onBackUi:function(e){
                var params = "back";
                bocovsbridge.navigateToPage(function(data){}, function(data){},params);
            },
            onOvpExchangeRateQry:function(){
                var _t = this;

                if(_t.inAmount == ""){
                    common.showMessage($.localeResource[_t.type].ovs_bps_sbpm_21);
                    return;
                }

                var params = {fromAccountId: _t.transPayerInfor.accountId,
                    fromAcctNo: _t.transPayerInfor.accountType == "213" ? _t.transPayerInfor.subDebitInfo.subAcctList[0].accountNumber:  _t.transPayerInfor.accountNumber,
                    bankId: _t.transPayerInfor.accountType == "213" ? _t.transPayerInfor.subDebitInfo.subAcctList[0].accountIbknum:  _t.transPayerInfor.accountIbknum,
                    outCurrencyCode: _t.outCurrencyCode,
                    //inCurrencyCode: _t.inCurrencyCode,
                    currency: _t.inCurrencyCode,
                    clearType: _t.clearType,
                    currencyCode: _t.inCurrencyCode,
                    //交易金额和转出金额
                    //amount: _t.inAmount
                    transAmount: _t.inAmount
                };
                if(_t.type == "BocAbroad_AudTrans"){
                    params['amount'] = _t.inAmount;
                    params['transAmount'] = null;
                }

                model.interaction({
                    method: routesUtil.method.BII.OvpExchangeRateQry,
                    params: params
                }, "BII", function(data) {
                    for(var i = 0; i < data.rateList.length; i++){
                        data.rateList[i].soureCodeShow = constant.currency_sign_1_[data.rateList[i].soureCode];
                        data.rateList[i].targetCodeShow = constant.currency_sign_1_[data.rateList[i].targetCode];
                    }
                    _t.rateList = data.rateList;
                    _t.showRateView();
                });
            },
            //显示牌价
            showRateView:function(){
                var _t = this;
                common.fullLayer.show({
                    view: new($.extendCls(controller, {
                        ejs: "../BocAbroad/views/transfer/RateView.ejs"
                    }))({
                        id: 'RateView',
                        data: {
                            type: common.currentRouterKey,
                            rateList: _t.rateList
                        },
                        _hisClose:function(e){
                            common.fullLayer.close(e);
                        }

                    })
                }, "");

            },


            ///////////////////////////////////////////////////

        });
        return common.Module.sub({
            _constructor: function() {
                this.mainView = null;
                $.proxy(this.baseprototype._constructor, this)();
            },
            init: function() {
                this.mainView = new mainView({
                    id: common.currentRouterKey,
                    el: "#loginViewWrap",
                    eloper: "html",
                    //参数
                    data: {
                        type:common.currentRouterKey,
                    }
                });
                this.mainView.load();
            },
            destroy: function() {
                this.mainView.destroy();
            }
        });
    });