//预约付款管理js
define(['zepto', 'common', 'viewcontroller', 'model', 'routesUtil','amountUtil','checkForm'], function($, common, controller, model, routesUtil,amountUtil,checkForm) {
    var mainView = $.extendCls(controller, {
        ejs: '../BocAbroad/views/transfer/ZBAddPayee.ejs',
        _hisClose: function(e){
            bocovsbridge.navigateToPage(function (params) {
            }, function (params) {
            }, 'back');
        },
        imgName:function(){
            var imgSrc = $('#savePayee').attr('src');
            if(imgSrc == 'images/boz_02.png'){
                $('#savePayee').attr('src','images/boz_01.png');
                $('#savePayee').attr('name',"true");
            }else{
                $('#savePayee').attr('src','images/boz_02.png');
                $('#savePayee').attr('name',"false");
            }
        },
        bankList:function(){
            model.interaction({
                method: routesUtil.method.BII.OvpBankQryByClear,
                params: {
                    cleaningId:31
                }
            }, "BII", function(data) {
                var banklist = data.bankList;
                common.fullLayer.show({
                    view: new ($.extendCls(controller, {
                        ejs: "../BocAbroad/views/transfer/ZBBankList.ejs",
                    }))({
                        id: 'banklist1',
                        data:banklist,
                        _hisBankClose: function(e){
                            common.fullLayer.close(e);
                        },
                        optionBank:function(e){
                            var bankName = e.currentTarget.children[0].id;
                            var bankCode = e.currentTarget.children[1].id;
                            common.fullLayer.close(e);
                            $("#bankName").text(bankName);
                            $("#bankCode").val(bankCode);
                        }
                    })
                },true);
                var _title = common.strLong($.localeResource["BocAbroad_ZBAddPayee"].ovs_zb_pm_selectbank,25);
                $("#optionBankName").html(_title);
            });

        },
        otherBankSubmit:function(e){
            var _bankName = $("#bankName").html();
            if(_bankName != '请选择' && _bankName != '' && _bankName != 'undefined' && _bankName != 'Select') {
                if (!checkForm.checkAll(".boc-input-import")) {
                    return false;
                } else {
                    var _turncode = $('#payeecode').val().trim();
                    var params = {
                        transPayeeInfor: {
                            payeeEnName: $('#payeename').val().trim(),
                            accountNumber: _turncode,
                            branchId: $('#bankCode').val(),
                            payeeAcctType: 31,
                            bankName: $('#bankName').html()
                        },
                        savePayee: $('#savePayee').attr('name')
                    }
                    bocovsbridge.backToTransAcctInfoPage(function (data) {
                        //回调
                    }, function (data) {
                    }, params);
                }
            }else{
                var msg = $.localeResource["BocAbroad_ZBAddPayee"].ovs_zb_pm_banknamekong;
                common.showMessage(msg);
                return;
            }
        },
        onSubError: function(err) {
        },
        serviceFormParams: function() {
            return {};
        },
        //返回的列表数据
        onLoadFinish: function() {
            //common.fullLayer.show({
               /* view: new ($.extendCls(controller, {
                    ejs: "../BocAbroad/views/transfer/ZBAddPayee.ejs",
                }))({
                    id: 'banklist1',
                    data:'',*/

                //})
            //});

        },
        //执行方式
        onChoice: function() {
        },
        destroy: function() {

        },
        //提交
        onSubmit:function(){
        }
    });
    return common.Module.sub({
        _constructor: function() {
            this.mainView = null;
            $.proxy(this.baseprototype._constructor, this)();
        },
        init: function() {
            this.mainView = new mainView({
                id: "billerDetailManage",
                el: "#loginViewWrap",
                eloper: "html",
                //参数
                data: {
                    type: "sin",
                }
            });
            this.mainView.load();
        },
        destroy: function() {
            this.mainView.destroy();
        }
    });
});